(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    548294,      13526]
NotebookOptionsPosition[    484768,      11910]
NotebookOutlinePosition[    524126,      12798]
CellTagsIndexPosition[    524014,      12792]
WindowTitle->S60 Control Systems
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[TextData[{
 "Control Systems in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 8"
}], "Title",
 CellChangeTimes->{{3.5042666161992254`*^9, 3.504266618943083*^9}, {
  3.50426675565267*^9, 3.504266758474478*^9}}],

Cell[TextData[{
 StyleBox["Wolfram",
  FontSlant->"Plain"],
 " ",
 StyleBox["Online Seminar Series",
  FontColor->RGBColor[0.811765, 0.117647, 0.145098]]
}], "Subtitle"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"Flatten", "@", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"BodePlot", "[", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"s", "^", "2"}], "-", 
            RowBox[{".01", "s"}], "+", "1"}], ")"}]}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "240"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{"StateResponse", "[", 
          RowBox[{
           RowBox[{"StateSpaceModel", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", " ", "0"}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{"0", ",", " ", 
                  RowBox[{"-", "3"}]}], "}"}]}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "1", "}"}], ",", " ", 
                RowBox[{"{", "2", "}"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
           RowBox[{"Sin", "[", "t", "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"t", ",", " ", "0", ",", " ", "15"}], "}"}]}], "]"}], 
         "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"t", ",", " ", "0", ",", "15"}], "}"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "240"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"NyquistPlot", "[", 
       RowBox[{
        RowBox[{"4", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", "0.5"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"z", "-", "0.3"}], ")"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", "0.8"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"z", "+", "0.5"}], ")"}]}]]}], ",", 
        RowBox[{"SamplingPeriod", "\[Rule]", "1"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"1", "/", "GoldenRatio"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "240"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ListLinePlot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"OutputResponse", "[", 
           RowBox[{
            RowBox[{"StateSpaceModel", "[", "\n", "      ", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0.5", ",", " ", "0.07869"}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", " ", 
                    RowBox[{"-", "0.60653"}]}], "}"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0.0042", ",", " ", "0.0104"}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"0.0786", ",", " ", "0.00786"}], "}"}]}], "}"}], 
                ",", " ", "\n", "       ", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", " ", "0"}], "}"}], "}"}]}], "}"}], ",", 
              " ", 
              RowBox[{"SamplingPeriod", " ", "->", " ", "0.1"}]}], "]"}], ",",
             " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Sin", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"2", "*", "Pi", "*", "i"}], ")"}], "/", "20."}], 
                 "]"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{"i", ",", " ", "100"}], "}"}]}], "]"}], ",", " ", 
              "\n", "      ", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"RandomReal", "[", 
                 RowBox[{"NormalDistribution", "[", 
                  RowBox[{"0", ",", " ", 
                   RowBox[{"Sqrt", "[", "0.01", "]"}]}], "]"}], "]"}], ",", 
                " ", 
                RowBox[{"{", "100", "}"}]}], "]"}]}], "}"}]}], "]"}], "]"}], 
         " ", "+", " ", "\n", "   ", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"RandomReal", "[", 
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", " ", 
              RowBox[{"Sqrt", "[", "0.001", "]"}]}], "]"}], "]"}], ",", " ", 
           RowBox[{"{", "100", "}"}]}], "]"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "240"}]}], "]"}]}], "}"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.503678066931278*^9, 3.503678087437329*^9}, {
   3.5042669138136387`*^9, 3.504267020394767*^9}, {3.504267060919088*^9, 
   3.5042671643009276`*^9}, {3.5042671987953672`*^9, 
   3.5042672517060027`*^9}, {3.5042672861406484`*^9, 
   3.5042673432468405`*^9}, {3.5042675451714516`*^9, 3.504267577259367*^9}, 
   3.5044396086279783`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtmnc419/7xylR6JMUQkZkZHu/raz7ZO8kSkJGMhOlpcyyUvZeRUaSWZKS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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{-1.3010299956639813`, -52.01945861695545},
      CoordinatesToolOptions:>{"DisplayFunction" -> ({10^Part[#, 1], 
          Part[#, 2]}& ), "CopiedValueFunction" -> ({10^Part[#, 1], 
          Part[#, 2]}& )},
      DisplayFunction:>Identity,
      Frame->True,
      FrameTicks->{{None, None}, {None, None}},
      GridLines->{None, None},
      ImageSize->240,
      Method->{},
      PlotRange->{{-1.3010299956639813`, 
       1.3010299956639813`}, {-52.01945861695545, 32.91953598745631}},
      PlotRangeClipping->True,
      PlotRangePadding->{{None, None}, 
        Scaled[0.02]},
      Ticks->{{{-1., 
          FormBox["0.1`", TraditionalForm]}, {0., 
          FormBox["1", TraditionalForm]}, {1., 
          FormBox["10", TraditionalForm]}, {-0.6989700043360187, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.5228787452803375, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.3979400086720376, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.3010299956639812, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.2218487496163563, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.15490195998574313`, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.09691001300805639, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {-0.045757490560675115`, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.3010299956639812, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.47712125471966244`, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.6020599913279624, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.6989700043360189, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.7781512503836436, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.8450980400142568, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.9030899869919435, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}, {0.9542425094393249, 
          FormBox["\"\"", TraditionalForm], {0.00375, 0.}, {
           Thickness[0.001]}}}, {{-40., 
          FormBox[
           RowBox[{"-", "40.`"}], TraditionalForm], {0.0125, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.25]}}, {-20., 
          FormBox[
           RowBox[{"-", "20.`"}], TraditionalForm], {0.0125, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.25]}}, {0., 
          FormBox["0.`", TraditionalForm], {0.0125, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.25]}}, {20., 
          FormBox["20.`", TraditionalForm], {0.0125, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.25]}}, {-35., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-30., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-25., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-15., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-10., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-5., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {5., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {10., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {15., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-45., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-50., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {25., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {30., 
          FormBox["\"\"", TraditionalForm], {0.0075, 0.}, {
           GrayLevel[0.], 
           AbsoluteThickness[0.125]}}, {-30., 
          FormBox[
           StyleBox["\"9999\"", ShowContents -> False, StripOnInput -> False],
            TraditionalForm], 0}}}], {129.6, -77.87228258248675}, 
     ImageScaled[{0.5, 0.5}], {240, 148.32815729997475`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwdmHk4VO/7x+0RSZixFBlihJGlItFzi1RIpRRFqCxtKPtWSEJkKXtJhUif
tMr+KC2WUrbIFmbmmGSNhMTvfH9/zfW65jr3877f7/s55zyHdtzT2oWHi4tL
kJeL63+/M331b9ddu7lt3965+akD5kZt2dKBxp0XUNPhqI96DGIbUD4fl+6M
QFOhfNbqNAFE7V4lJGYah15utJ5+3SWN/PY97ODtTEZ9e6SSmkVVkPPzxodL
8WnIQctK/tFGbWRJHQ39a3ILXbGR2ddZqY9uGV4t+BuSgwLfLU9X/gxo1ZhU
8lzHPYTkdXY9/bkDRd0pCP6jk4eC9JJo255boIV9W1x+xz9ArJ9lUaHi+9EF
ngarKU4h+pfUGSSccxBxnh/RnzR5hKrPCx3vD7dFx1x+0sazHyPfezpPb7yy
R6eFq6/MhDxB3xU/exzLcULfK608pzueoTkLH+uhPBeUSZE66c3/ApUfTaR4
u7qjgx7fbX/pvEQBB6nPOXvPoIa1Xtsn4l+hgIXbm5yavNCVAH09z4pSpHXs
xGLPpQsImrk0xjhl6JtPnrrrDh9UEpFEGTGpRA1MK8YmkQDk1W23/Mz5KqQx
nVhttiIIqW9UXPqRXY1+rOTVXKCFoC8X7KanQmrQ0b1vxH5vD0Nm64Z7Jzve
oOOXbrgFy15BufusbJ961KIkLfRd2T0KcYc+a/Hif4t+jEa83YKvosr2oA/j
Ou9QiUxY5qmYWKR9VfjpaPwHZLvt3g8js0R0/bmn+n/r6lCP4zkhHvEkNPK9
Ne9sRR0KmZ/MNRtMQvn6tzJ/cupReFjqRr3EG2jNsEbkD5OPaE1Wx8KiQhoK
oiYtFnR9RL92hW4XE0tHHdt/B7if/4RS8cHmc7wZKDmr6txQdhMqLbB5MTWT
iSJVHhT9CvmC9CY3zHmL3UFzHXopEx0tSP6CqW09by4q1RF0erC+FW1rcjpJ
KcxFfvGdaseCW9HdEp4LD/floV/bA2sa5duQRGzVQnZ+Phr+r/xnvks72tX9
FhudK0Q9l422O0x1oCvLV7GfORejmg0m4/Wiveh0X/x/u1xK0MVYifIwp140
oK/mEdpZggzZzEi9Z70o7+7Z/JuWr1BZZqRsnk0fUmLeNTuuV4qe8b/fEXbr
O4pqXxoGqXLUcm6d1WrKAIobUm00XqxCtSYPcpvvMdGr006i0YxapHW9+Mef
OiaSnYq5+R+ZS3bnK035cSa6/Iv7ssyTWhRwrq709FYWsimxt3mt+xZppv34
yNvGQu8dtv3bsu0dyhxW/72Jn0Bab4/WSzt+QF5JT3ZkunFQ0pTmeH9DI1rz
vYw4rjGK5GV3Bf253oIkzzo+XGYyhaifq37e/9eN1Jbdf7/v8BRa9fxoaK9y
D4J7xGDGmSkUG3U2WtCqB53tPLda4+YUqjuw1lM7uwe9NQ2J28eeQvpjBwxr
jXqRj1yGR8bVaZTd6LArPrAPtTa16Kh//I1OvTAwjPDqR5xT1L0+/b/RucRj
ejaX+9Ei35EzVdO/kcGbglrZ1H6ktnXg/l65GXQ2z6I1pKIfRTwYl/TxmEGO
zo6FafwDSCdM5E+l2B80Ua63myttACVrm1VY2cwihdtFda7/DaIN3XY7jdxn
0elxlRXUqkH0MfJcq3rwLAr0c2598XEQCXTe/Cl4dxbpfOw4WvNzEAVfZK6u
HZlFEGZZK7yeiU42hoXoRc4h1TsGgrY5TLTZpcJI4fk8+leb+v1HGAu1in6u
F30/jzTDrYosrrOQV+mgzb/OecRzoUY6I4uFHgov9+hanEdNyPPkzEsWWvvM
Nvum+V9kaFuU+OoHCwku/V4UHPyLIoLN5Qz3sNG3dK2aSbF/SLH2akUqL4Ey
W4tW+in/Q40ZGQqrVxLoiCjdcX7LPzR6OP/dZVmCnE+5RZ4T/5DZHz87bm0C
9XssN5R8+Q/9KHc++9CeQBxT1qvNdotIyMVlIPMxgQovOS6rOLeIBhr1y2xK
CXS6vOsQilhEt22/iU+9JtDIhubfO4sWUU28KLutjUATstW6dv8WUaWIor7O
HIFmJ9KKg+8uoa8iZdeMDIdQmbrE0tLLJWS9OQtLmg6hINfrVpENS2hN8Mnp
jxZDaKE7cjRuagntUPdY3n9kCIUxSymfFbkgeuZh3HX/IdQf5me0isEF1Ebx
s2cuDiFj+Y0uB/S4YMdJ9h3VK0OIx674RYcFF7Szch+bJA+hyKa8A/0+XPDo
30uL+YdDiHXmRLDiJS7QDf2b3/FkCO0Qot0/GcMFEUE8r2+WDCEB01u/OLe5
QLXy/s//Xg+h6LLkpMn3XHD57xHdI1+HEOfQvjLdZi5gCLXd0u0eQrunVwz4
dnOBgNajLSPfh9DyDTFa8+Nc8Ce17sM8Zwhdy730mUeGG9IWx/yuzQ0h842n
xClK3DB1qHiTxb8hJPjW2obO4Aar65OsYS4OimQqd1sYc4Px6bHB+mUctN17
pfwxC26Y8bsnLSTMQVy8c05eNtwwpNMooirKQSGKH4mbp7ihLPrcIp8kBxk8
e7n+gTc3vIrtH3xD5aBZ4ztny0K5QVOk4oCTDAf5Ol/41ZvEDdUOGQVb5Dlo
4+TRTRNZ3CCfmurtq8BBv8J2BPDkc0ORx/2MREUO8siRXlQp54ZP1vytJ1U4
SEOLx3jLW25YarVtl1PloGH887JFEzcU/yclVrKegwr2tr936CSvl30dxFDn
ILfv1UJeg9zw2qZNJFKDg1Q8CywjRrihJuNLVRmDg1iLSQk3Z7jBm7bpSpMm
B927HtySz8UDRfTwI282cJCTvAulbDkPbBrS3ZSixUHyj61sGyV54HvmR5Gd
2hzUY6Sf1SvPA/6hDZ0dJGd+ovWNq/JAY/2jxJ06HGTrIEzj0eWBwvJf6qkk
U0enT0ga8UBf7Op7tSS3hfTlq+zkgf1x+cOfSU4Wqfuhv58Hrpj//FdO8v5b
TzUsjvLAC9MfXyNJFtPI8nRw4YHD5srnGSQ3VUQ+8/TkAZbauroX5PpxFh6/
wwN5oPXl6Q5Zks27D+vfvMwDt8pDMx1J/YJnjIPz43ngleCgyGWyv/fzatWl
aTyQ6blG7QrZf2SsJHfjXR6orn466kL6s1120aS3iPz/ncoBZdI/rodDUeMv
eSDvANehWjUOqt7SXM9dQ+rRr51EpP8h9eUikg08oGoyTcuic9BWu9y9Km08
kGAiPdimzEHznPhk/T4e4BN6wRhV4qDSAP92cw4PLB635GLRyHlINz/qucAD
395Frj8nR84DfWN2uAAvjIu8CV6S5aAnr+QGbojxgmBJnoWXNAcxOiZcS9fx
wmrD0OOj4hw04tpV2KDJC4t3LhXMreSghzO1Iz36vFDuveM0S4TMn5p2gXsP
LyQG6DvaCJD554W9lDjMCylaPkndPGT+m07PKjvzgplrohEsDSF5G6OL5r68
EGV7lTvvzxCSusmMuXGbF34rGKr3EENIWv1l5Gw+L+SFrOTJGxxCsm+iLjk8
4QWuVOPH+/rI6yfW+9JreaF2aW3yvvYhpGzp5VTB4YUHdw93/CL3twrT+KjC
L1740fOsoKVyCKkGSRy68pcX2M2qrimvhpBGQYnFXlE+kBh686T20RDS5fu3
manLB75PjNtqU4bQxqwm7V1GfFBexHeoImEIbdbJ0fjPjA9SnbO7UmKGkIGT
iaK/HR9YyFgvTIWQ96vKmBXCl/jgmvdjM5vjQ2ivD5Wl08AHbbd5tj6lD6F9
wpy+tFY+EJ/pSOheO4Ss75V9W+jhg3qbj6Y/pIbQoS/2n9+P80Gnt9LQ42VD
yEHjfvkRCj90mFS0MdkEOsPakBThxA+vNzeoLtwi0Nlg7rihU/ygrRQFTjcI
5CHeGmXpzQ/B715BQQyBLoBfCDWKH5ZNzsmzfAkUeKvS7WERPzhcFbcR2UOg
qwd3b2uZ4YeRl9HOqjNsJPuiSZaHWwAG1xB3vv1go8cSB/9oCwvAKSN64ele
NvracuxJ0loBkD2Ajmi8ZaN1+30U9+8SgPoTupwNiWz0Zs8dgS8ZAhAR4phu
pshG/8x+N30yXAZhGlkJ+htYKDE/qOif2TJYSbETEljLQusEuKIZ+5dBeI98
2UtRFrJ8t9w43mUZHNV/RakcZaJME4XnlteXwZTvZ+T2kIn0wSKt8fsyoHzn
GbaQZyLvLXcd6yMEwWRHkRXv5AAyzxGdtogTBBV7i+G0vgGkuCwkuilFEEy5
9J0pHwfQl7ZDT1sLBEEtRh8a8weQppcIb1+TIEh8vOugfHQAcfL983/JCoGm
03exAtyP7CWtRlc/F4Kxtk+LGyf7kOn4fJAHczm4GoSFHXP6hgJ33VR7PbIc
nn20C7ik8w09vsvokphZDseeLOqG831D0gedtpQJCsO4ti+bXtCJRkrf/eHV
FIZ+gftfBMc60I2IRJ+MAGEIf7L57R6fr2iQouLxdoUIZAguT08424rCDfc7
y+qvgF7liJpnug3I4HHGi4t4JbxNiJ/b6ngTn5mdDKtbsQqajQ4o7fn7ERuc
d6US4qtAcICWdPvUJyw43FXEK70Kzhfy/inv+IRzu2u/blNcBaWf9ozZPW/C
PdUpGi83r4JyTZGnyzd+wVZXtnTedVwF/ufk432YzVhHPHxD8NNVIHb84+EC
tXbMde332/SSVbD4wSFw1qEdN/GePlJSsQpk2aIn1iW14zO/ra9MviPrB9D3
iP5px7md67rdulZB6HHTUtrrr5hypy7qIK842K2vaeCy6sSz6mJ9DBtxwFvk
T/vu6sa/b8uG6x4Rh4v37sp+8u3Gv1Yqr9viKA4mxutDZu9145GpLadNT4mD
rqXgpvqFbtxfcWLmSKg48CdEV5o/7sH1Fq9Eo/PEIfgkVrkh2IczzxxDg7/F
4fxVwc5Nlv04rdd9cGheHJw2hhZ0O/bjm3u9r4wuiYNg9rGtbt79+LpudOOs
kAR43D6zYUNmP474+/TwSnkJ4BVo4L5E9OPT1/i9DM0kAErVZfiCBvDWokc5
qakS8GUd/6GBa4O4S6Hozo4sCVCzo/H/yhzEAamF2dN3JGBnm3Yfp3AQl4Tn
37IulICTPVM10R8GsY5tTrpopQR8GrTTSOBmYlX+m4lRAxJgsi3rZZ4XE38I
Sk7YREiAKOXvzMqLTOw6kXidNSwBw3nuDMdrTDLP+Ljt0xIg0DCm8yiPidc+
uxq9KCAJWe5drYudTEx1DA7z05CE+rAk4QADFn7ZFnhJWVsSsqcozevNWPig
ecDFtk2SsEZ2xWW8n4WTNvmG6CBJOGGacjrVnYVFRDwDxvZLgvjDtxETN1mY
t+y4l6u/JNjMJwft5rDwPU1nT0qIJLgbKQro/mJhyHX0eBsmCX9GozKW/rLw
xQT7s4qxkrBsn8I945VsPO9yyL3vliTwKb1+47aRjSfEzZ0OvZGEVi15Ie1A
Nu48q/jl9AdJePrKtOhXOBvXkO/Slz5KAnfNy0NJsWycEFS0tuCrJFyzGr/p
ksXGmoMi3+eGJeHIZkHkXsHGVEO2leiEJHRkNVSI1bLxYkpVteJvSRj3/dCZ
0sDGTbs9si2WJCEinFO96Rsbn3v62eG2BAWI6mCiYZqNDwoXfHoqTQGpBE/J
w3/Z2NAlzOi9HAXMy2OvYW4Ci8hoy43TKfAifLW2siiBH4Ul94AhBQp92Pbb
lQl8s+u0pY0xBSYqrTuK1QgcstGk8pQZBQwVnljPbSCwBWcqK3kfBZhpa1UV
DAg8vNfmKOskBU4UJ+6vtCRwSyGjcfYUBQKO8nQL7idwOa/A1hWeFEA6Csra
NgSOeVUiuzmQAkUvuDmSDgT2WpUQa36RAi+XUw9/cSKw7Rm3+WOXyfX6/b3d
ThJYda1019V4Clw99i5H9QyBxQIndt9KpsCTp9wF1h4Enm2pK3uSRgGFbxq7
bc8T+ENUYMa3uxS4NTexY8aPwI/79wuN5VNA9HZX2vVAAqcaqAXyPKJA0qmD
XjwhBHYd67JVL6HAjZaMuyFhBLba9bwOVVDAX6ZkIiKCwJvvXdM/WEOBxkKx
5ycjCSy/cKLA/R0FAn8/YtOiCMx/yFA6tIECX542XC2/SuCRYsnopM8UGIj4
mK4ZQ+A2odE/eW0UKBOhSF+MJXDliXdu5d8o4D4lwF94jcC5Vbc7mvoosNDF
51gcR+A4Kb+dTCYFLrudV06KJ7DPeatXfzgUEDEqPmx1ncD2jSp0kTEK5C0p
/CZINlVeSlWYosCxA+v/HUkgsMalDoFNsxQw7VHzfEiy5Ldiv93/KOC2Ldq8
neQFnWjCgYcKbXK517tJZsY5HbqwjAq35AcMqkg+O6yhqCVChbJ6+6FLJM/s
nBsdFaPCuN3tp4okh+W9KyuiUMG/SzEjj1x/OW/ylVOyVIg8dO62IMk3nY7t
p6+lQtjuddUWpH65ajU5thIVhmb6FzzI/vJX/+HcU6VCCb5uf4HsXyuw9oUT
gwqh+9b225D+lH9NCJPXocIXm8hYGdI/k432lj2bqWAcUnysivT3Y5KqdOZW
Khz3SnY0Jv0/ND7NPAxUeN8nn5hH5tNv+bqYsoMKS95mUz/I/E49jA9u3U2F
nJ75a6Lh5Dy7qEjsPUAFp64vp2bJ/AVqf/WJ2FIht679RVUQgRMU8MMGeypk
Gmoanwgg8L3uw9vNXKnQ75azfq836e+WdaJ8Z6hgE3D7WooXgUtSJ7699qTC
25oXBpXnCFy/P+a8USAVuotmrz10I7B1sY3R31Aq/Bt02niBnOceEUWhsggq
xCUk6Ms6E3jiQ3nOxjgqXHB7cU74CIGp20Y+q9+hwoGjB4y8zQmck1Wa9eM+
FXiFlfy2mRF4/Vyk24MCKigP3zcaNiaw4Qu5JcVnVPBu1Uxm6hP4uNpeTdl3
VNDJyuE9Ru7nkaur5zvqqeC2UvukpgKBfdlD71KaqBA84hD1XZbA0TlhDqs6
qRATxrOetZLAxdRncYI/qVCt3FPtP8vG+j4Xbd+PU6HmSCD33l9s/KbZfF3k
NBWuVN7evWyEjb/GMSuW/lEh8dCZVau/s/ECD+XnjJgUEJS8hC/k/WvXuP9u
9mYpWOk01hB8lY1lteWjBA2lYLHZ433ZRTYevfD2jbqxFAR89V/b5svGyTNi
hhcspODDE3eN7BNs3POvUHPJUQoyjhWGxxix8XmRHgmZGClIMXqb3jjMwqZW
EfsMr0vBUheh1fGdhamJqvGON6Sg7Hz+hpo2Fq6U8BXIvy0F3FvMC9SqWVhg
teiczjMpEPlAf30igYUz10OfZbcUhF4syAxQZ+GzZwhZr34paPwUs+ykPAuj
/+IO32BLwXXBbAXNVSzM0vr25du4FOhdai08NsPEmvoXal35pGFAeCBQFzPx
G7PcgjCGNDD3txi9NmfinycEvV9ckoY5k4lKWfNBPJJtWoUjpWGdkZ7KkS2D
eOxb2LLGGGn4srctKER1EE/sncsauCENEPpg32mBQTyzdfitaIE0SMs0p4/W
DGAeyY/UU1+kAW+1zX2oNYCl3yaUy9FkoLr00t+sP9/xjnVSPFffyMDvX4/D
bRK6MOf4zoKtH2SgO9a/avvJLhx3199qolEGFgTndwlv6cIt8p2Zdu0y8CJb
aMeGwW/4mEyGrgZHBlbe0rhRr/MNB4iudmleIQtS/HtSQz914KJZ+brVdrKw
1z0nN3W4Da/6pHL9ybgs+NYJzsTf/4RXRxfv27x5DYwshagN117BaepbxCTc
5OD+Gp2LPIb16KDFp8TqM3KgJrVe+sTdeiR2xnnVaS85OOaU2pMj0IBiH8aI
vw6Ug/FdjS+ffmlAF9d3SXrGyYFQe228zImP6CQ9WKbxqRwAD8PkWthnpKVU
pXh5QQ7OVI+JKn5qQfWyxpumkuRhsviDEy21EzXJF6vwpclD9s/ndWrvO1Gb
opw05ZY8jBMeESIznahfbW5+c748pKanPj9s8w39MXhaE1QuDzZzyVF84l1I
+SjNkocpD7elPSJ8L3ej8CzuE6s2roXshPPLykz7UNQdz4OKW9aC0cHzBw09
+1Dc/d4dutvWwmYBgY7rGX0ovahM1WbXWvAXovjljPah4orzY+n2a8Hb69tP
jxvfUW/3QKDClbXgd84oC5/uR1vWvEnc8HUtbApS0GhPH0D9Suv6fnSthW8F
+5wzCgdQtHqUeu53cj3dCxOm5QOo08D8vfSPtZC/7kbV/u4B5GfX8pd7YS0M
/E0MQmsGkZ3Fed1hMQXoaprRPJwxiDT2Kh7ZKaEAXic20aMKBhHXgdawXIoC
SL0AyaxXg6jgyKamY7IKMLSzNMivfRD9OTXn3qqkAMhDYOvkSiZKiQ7Prtys
QD7fZ9NYl5jIPU7nncwWBdjF5QKn4pnIMJH502+rAsw/fp3SkslErLQdW7RB
AUJUmpasXzLRxgdCbXm7FWBQ3GBa8AcTtbxLEkqwVwDRdG5/AwsWyq/frjVy
TAG2zOYOcB9moaBPU4d2OyvACs3koUfHWYjWbpPL66oAH31Uw/8LZCEvlgwK
8FSAW2xb0cP5LCTKe8/HOUIBzIpWPzCaZyGBOXxgMpKsl7A0IczPRotjvTrh
V8n+eotrX61ko/EumcmcOAV4wnbDD9ax0ZdnSef6UxUg6n2b7pAlG9UVFFt6
ZSjAT3rF0J1DbFST/Umd65YChO+yvrXJiY2exgoNr71L8mRk7Z8LbJR8PNzV
sUgB3sQkabanslGs7Z0d4/8pQHvHeXGfO2wUYVW17tITBci6XBE4/oCNvA3m
BrNfKoCcUN694FI2Oih+3rEPK0Cbw1VRTgcbUd842Tq0KUBklVGbgBiBREsv
6o1+VQAt2zf73akEEnh8ixr6TQF+3Ze+kbeGQH8yOttu9SnAjRMHtZ+rEqjz
/L79PRwFeM2fmCGDCPTFzUPr7E8yz86b/w6bEqjOIW7lwqgCZA7wdJ7fTaCy
3XWfVk8pwI7/8tr1DhAokwbmR/8pQFlJq4GIC4GSpY6t/7mkAFeaxtOVTxEo
dkWIYDAPDXp2XNOXPUeg4LlX7zOX0cj3l0Zaig+BfMbb89SW02Axa9Ox1QHk
eZ89FVkuQgNb04evQ4IJZN+8waRrFQ0E+Lcxv4QT6OCHPYqnJWkQ9UDxZm0k
gSyrznDPU2lg1HJrf9JVApk+j+mPkaEBmK+kGMQSyKjwAZZZQ4OCtp6OqjgC
bb7zLrtQngafuMNurEkgkGYKM3QLjWzi85TJoSQCyYevNbRTocEFZ4OLR1II
9NhbULFXlQbHJD7/XZNGoG2uk8uc1Wmg9P1xTUU6gZpsu0ZZDBqs24IbN2cS
yMGittVdiwavU9irr2cRaMToUdmIDg3sTy178voWgUK0Uu54baLBYdXlV5tv
E0hE6eKVaT0aSOxsvVOVTaBbFLczAQY0mNyya+7KHQJpCO7bv2BIgwO+Vslq
OQSqmNfXC0M0yDzXeKqIZPNRmhzfdhrQ03IvCt4lUNf35bzRpuR6rvizMcmn
W6Y4wjtpkLWX2/4wyfNve5oSdtPA5MNexd0kx75690LCkgalxok0KZJlHj7O
TLOiwVHdAtvXZP2CW2lhq/fTIE4s9P1OkvUTwlzvHKDBf3umTz0k9dWFn7JU
OkSDtY5Txj9I/bY+1joPbGlgfMxpDx/JHNet0upHabDB2D3uL9m/v926xccO
NPi6IonnM+mPgOUKlo4TDf5e/fn8Iulf6raZ+pLjNDjhHZ27PINAKtrfiw1c
aNByI6DzAul/iVJdSrUbDUT/+3jgFZmPGfVp8PbTNOiOSJHtvEGgdsFM5/dn
acD1janVTuZ58m/ETnNPGiDvuszHZN7To2cYTefJPCkH7U/GE0iy1Wiu3Y8G
+8Puz5yMJlDuO5XvdoFkf1+iO4qvEEi3dOW73mAaLOnZKnREEMj69kAiO4wG
iUdm58pDCDSY0OB36jIN7G4PJ/sHEuhCxHP70Ss0UBNYnivmR6Aktyuqv2Np
8NtWAnV6EEjhiIdoYDwNghrkmwXOEOiJ5eHphQQaSJ/P/LnKjdx/2utr+FJo
8C46oqHqGLmfFz4elrxD+jnwa/6sJYGyx14apd+lAR9bKSZsJzm/A9lKa3Jp
cLynrNdrO4H2vPcaVyqkAf/nT4tDegSKS5S8qvucBr7MPJo2jUBrLv87++ol
DfLui7LUVxOoyJew3lpKg9uFViW8FAI1HCmVN6miwUzximJzQQIJKduXWH+g
wdC7tF+bR9notAwyL6qnwfIAmbJUgo0aVij28X4k5+9ks13ndzaKmxnif/mF
BoabPuzibmEj0TpvG6kuMu/JA7w/X7CR+Jlr090jpP/3j8/SfdnogqNH9MZx
Gohs3HP04Vk2aj2wf038JA3qXojtXnmSjW4aSplum6EB58q6qTBrNpISvX8j
Z4kGj4/H1/JpstGap+U6LuKK0FeamZz+nYVC8m6/r5JUhMiSKq3d7SzUmxF2
hCqlCOCTr9zbwELZEWYRH1Yrwtmlk/uLX7KQwsGW5vXKinCY65vjYgwLKf/5
4TWmpwj9y5+1HGSwkKaRTLG/gyL8Olt52dqRiZ4rnfrL46QIrQp6Hc77mEh/
ednO68cV4ZoMc2S/MRNt77Dtz3VThO30iqo2RSY6dD59Vct5RehWQQlurEF0
KU/KRyNKEdxkUt07nQfRlxXULQOPFeFMifrHXLMBZDPtcuXsU0V4ztyzdkl3
AHV1vWz+81wRSuN07xjRBhDrgc1p0TJFCLcNvu32tx/NGqdkba1VhFt8R3sv
PO5HND/JxZQORUifsc4KX9mPLvSJ15pzKcH9dHGiMaQX1b23r3rIowSZLm7y
vw70Ivni/FfL+ZUgY3SQa1ytFzVcMnjUIKQEXPuvFZ3r7EGKtOMp5hJK0Giz
ZzhSuwc1n3jqZq6iBAGj3lJWPV1I68deEXNLJWDMLHeZoXSi8ak4m93pSmD0
ohHF01vQzg3vM3cz1sHxPa8fblt4iaqntv7907QOls9u9qz3fo09NHS6ml2U
Qe1K1dfKbe3Y94/svKO7MkjR9tmWnm/HIW94ZcdOKwPV6VRLYm47vmbbbrfc
Sxn+UhRPdQh9xQWRAd+2BylDHPOM+bOWr3iwp7rz+XVl8JB1ULN16MSH4i06
Ul4pw5CZa7TuwW7sYLvxj1K5MkybxNTrRHTjk0pyUs8qlUEjZgud/0k39i4b
O9T0Whmu+GYJKQr34ER20leBj8rAldahtBH34Aajznb/fmXIVRrcHCjfh43G
TrbZCakAEX9YqOloP6ZW7LxXKawC7CeFle4e/XjsqprXWlEVuL5RSnQkrB9n
0yaE2eIqoJKiu+5RXj9ePBhs4rVGBQaNFixWjvVjXJH0LGqDCvAa0xbNgwaw
cUx14nMbFZBJYuYPXxrEsofuHqPaqsAGTne+e8Ig/qUYqRF4RAUsRZ0MP2YP
4nuVu+u2OarAvcrkjyZVg5hnom2p3l0FVr7LX/5rdhDXHvrp0R+sAhszIlW3
nGGS5wHpPSvuqcBYxiYejgELvxh9RzuZqwLPtPi5Xpqx8LpX3jPl+SpQEdC1
3dWahfnMP99xL1KB9RKpdr6nWPiNZ9Sv2hdk/xv2y5imsvC2ium0oA8qoPGr
f38qef56HHnvbHM9WW+g2CFnmoXlrPYZq35UAf7YPRXxiyy80F803P5FBTbL
c20VF2fjcoETRtpdKiDHl/i7Ro+NN1s3Dw6NkP4Z1919GMrG+asvvdo2rgKS
jz+vYF1hYwpbIy5lUgUK9VqWcV1n42n/6E0mMyogX9Hq8/02Gz+7jaKzl1Sg
6KDyqEElGyu6jdr/5qZDYEtK9FXy/JmklaVtyUcH+gz3sZIGNvaqnemaE6SD
3MsjN8o72XjDj/8YNuJ0GC8f2WA/xcbZz47yPJKkg+0qmftlc2wsGiLUwSNF
h8sy9kJzS2w8JuoS9mQ1HQTePb8mJ0LgRxvXtAor08FMJ9pzQZHAaxbrHxyn
02FTza7L7qoEvvbBP6RsPR2qhbealDAIfPpIq7KbJh1C6r0fzOgRWDUsNuCN
Hh2Cvt12Xm5B4MqtefyWBnS4rvL76eBeAu/7g5PbDekw8RhWpx0kcIDH70cc
YzpYWyvJ3XQgsIiamMEFUzo86Z180ONM4By22oe/ZnSQuKKkxe1K4Dp7pwFR
SzrkC66V6ztHYHvpYI90Kzpo2yj4pJ4n8ERryl/aflJP9tQjNV8CS1s0UjYd
osNywUsFRDDZnwBxr9qWDoXpHg6ilwgMb7i0dh2lQ43Anc5VEQR237LZ/KgT
HdQsA4UeXSXwwvS+DtZxOhjYXC7dHkvgxCdnTnq40KHpkrj8yzgCrzsbNfnH
jQ6UPdV6vAkELqXfvRh+mg7G2+R5GUkEtmRWCAufI/1uqw/VuUHg/uyv6Tc9
ST1JtnkSKQT2OTKpLH+BDkK/nf2/pBJYkCry/IEPHYrDQyfd0wl8q1kFtP3p
wCjdvqo3g8Ba8cafygPp8FJmd5tGFoHf7rI/YhpCBz+6qr7tLQLb8vkPfbpI
h3vH/Q0cbxN4BCf5HA6nwynLpk7jbAKHBT/iHrhMhwWXt2Jcdwgsqffh+uko
OsRpTX7PILnw18Dq6Wg67GaMmKzMIfC2xwsFodfo4NJraeBEcsspqc3LrtNh
5ZuHNXEkuyrr1CYmkn7x7Gi/SfJ8v+U+2Rt04LQcDQwg+fott977KXQYsxcs
1iNZ0TbiNCOdDsy6EwEt5HolErf/lGTSwQtd7dhFsvnnV5Fwm/T7x7WmTFJv
X2zLqoY7ZL2xWMc6sp8LZqPZB+7RQTHwdlwz2a8Aj6BGby4dEp70HC4h/cis
UixzfUCH9irnWr9MAmsGGplNFNIhq35Hszjp35uNtq2Bj+gQvXD3cmwagQ9N
XHDiLaaD6aWEnl4yj+Gi+NG4p3TwDaL3idwk8EW3giDqCzq8oV6OlUomsLhS
7bKcEjq0hFQw/5F5G2TO0p5X0OHrLnqewzUCN9lIFBtW00GGK35VRzSBj6/S
NHxfQwfzOT1djSgCx0afOPTtHR0K0gMenAojsLzpRebxOjpYKkwKWIcS+NlS
utdIAx2c3V7rUIMI3OXXFLv0mQ7AUyOk401gNZctWLmLDjdXppwrPUHgBEWr
+cs9dFCQUpOqdyTw9Pfjmwb76DAvdc2l/CiBq4/EFWUz6WBRIiuADhDYet/3
NKlROhwyODjyBQj8asV0i+84Oa8DGtZDW8n93igo2jZJB/Zg7tW+zQQmduhE
Js7Q4YfdmmBPDQIHbr3iJcSlCoLcVQFrqGQ+sxlFbjyqEDpbvdVAjMDbSx4T
7/hU4Xa/lPiW5eR+1u60jxBShbe/Mtd0/WPjHBX13X/FVSFWM/T+QyYb161q
po0qq0Kf7us98YVszPjMtrdQVQXXz2eCa+6ycXLcfFqhmiqMS660bs9gY/tl
60RdN6iC100pjdwYNh5f8Jvv01cFPkXpiQ43NqZy1rR+sVAF2WOUO/fk2Tg4
T1t0g5UqjAZm6M5IsnH/cbPd8ftUwVnGT19DmI0f9nri3TaqkPpN7B36Qz4P
Wt8UvTmmCnOXPE8KNLGwS7V75IvzqrDZztFtrR8Lj50b9t/howqdBTZHCsnn
SYDc2TNf/VQhcKLjxSoHFo4N8bSeDVaFTzG6k6EmLPzEwE/BMEoVTrRoVL4X
JZ8fJZcrazNVwaaCeUjjDhMnF2dPt9Sqworvh9+NPxjEaxwVOCfek3zM/9KF
tEGcJ3qve7pOFepeXcr+GjWIS8/lvaE2qcJvBfEQE5dB3Kv+KPFIpyo8bi5u
eKYwiFULyjQGR1Rhv6+HM1fyAMY5bScnKevhXbyPA92xH/db0hz9pNfDFHvQ
4ZxFP+aaO2f3V3Y9PH9sH5ah14+3719mxa+wHv67eDQ3d2U/fs9toCejth7c
v6wYkAj9jj8evyNkvG09GG+YtD+6oQ93rTv9ONF1PRiYnh+56tWNpwuW/mx4
tR62y9plTPi04xPKRUKZe9Qg3DvU4OvSazypdmPzswk1qIkNPrDb8SUqzf07
8DtaHZ5V+/1rNmtBm018/phfU4eqMSPlFf4t6OXAiEhOvDqEmnzR2fCgBT2T
79MzT1YH+f+Wzassa0WP0mvis7PU4cXrTIm+d60oJ+7Klp2P1QEXxx7Q3taO
YnxWJqW3qsOb/zYtFEt3IkGJ6PzRdnX4HHYw1WJHJ4p6ylW5vVMdGrXK1N6f
70SRY5PESI86OIjMmB9u6EQX3dsMjQl1KNXkTA4GfkMX7DM4P2bVoW5kvOls
Sxc6YqoEW+U1wOJ1Su9zt170r01QtFZBA2zKVp9QvNGLclzGus2VNKAheumm
c3UvIqLK/I+oagA6vm54n2QfulC/tzhQRwP2jFZ+/lnVh2KtQuRLzTTgBfcF
nZ+8/ajctn1hoydZ/4Naor3BAHL4Ud5QeV4D5P/VGvdZDiCuoJx0Ux8NsK/e
amTqOIDMss5sPBioAXm+U3crLw+gll7us96XNWD9bKWEfeMAGj6u2f00TQO6
rSMUjWwG0epzV8s0azTgQfxJ3zprJrq+5Lrp2hsN8PYMsLvrxEQ8yWZPh95q
wJqaL4aOHkw0XMJfmFOvAe3Czs9iYpionCsyXbxVAxT7wrTSqpnoyM0w/xk2
2T+vqHakEgs1qThNWXM0IPnOYb3cDSy0vQx5Fg9rgH+sklzBVhZS61t0dR/X
AKEpnh1HD7DQHD30UNesBqy8s27zuXAWSq8I3FQtzIA1unfUtDtZSMTK7qms
KAMkNoX6XR1kobB+fYa/GANsVkvn1YywkDv/7DotCgNqxm76dnOxkd5eP8l7
8gzYQJc7/5TORl8HL0xd0WZAx/W/Rq2ebGTua+05qMuAl87J4fsD2Kh6mc7P
bZsZwAqjtz0NY6N8jcnBPwYMGN/o7C2dxEZ+fp4tp0wZcOaofVDIEzaiLD/7
dM9hBkR80Fud9oONck1CgybsGLA2Zofg9AQb6YReN7lhz4Bym8UutVk2spp4
0t7pzICySv6/ygIEivr6e+7EWQZwyTcU7lMgz/diy2oFPBnwo/yAVbAKge7t
lo4rPM8Atour3yUNAuFKA/lxPwZM9PlrSuoTaPbepe1B4QxQVY+w8NhD1utJ
FJaLZMB1gWsyJ63JetR7bTiK7G+gWln3MIG0Yt668scxQClxtt3eiUDVb9o3
FFxnQPv3fPdXJwlkuUDMmicxgKbaTP3pTqBTnkLXElMZ4Jg1fK/Xi1yvQPag
bgYDqrdHeN7yIdcbVJf7msUA0XecjRsDSL02VsWr7zKgZGdq4thFcr0Ex4Dq
+6S+TPW15PsVqq7zMnbOZ8BRA+GbIlcI1LX1Rmt+EZmnurDi9VgCufvm3tr9
mAFyjj26kvEEmnn80mXkCQOmH9jJeScQKJLzXjPhOXm9f3fXwyQCiSt2/tEu
YQAFlbtX3CBQztEfNW2lZH5eVrW5Kf/7XjYf41/BgGsXJwjXNAJVNgkfkK1m
QNO32c/cGQSyEJRbU1XDAM9pHOSbSeox1mQ71jJAG7KZr7NIPcHoMc97BnzV
HBEYukXqebHPP6+OAYo6PAOs26SeMWfY1Uj+X6HvUZFN6lH1Fvr5iQE527YW
nb5D6nGObIn/wgCdYq7MXyRrZqVkabWSfsW0bD2QQ+ppyz/Z2s4AH6nmxLj/
fR8TLWX4dTIgL29NRjbJnTvrZ6S7GTBwsf1gDMmu4V24opcBp8ZWv7Ukebr8
Z/SxfgZcQmJDHLJ+xPTCfm4mA05UtVQ5kCymKbo6l82AQ88v7yoi9WW7rWWZ
cRhwebfr/3/PY9zV+u/HMANqdYxDvpD9VXYZ+8WNkv2c+ri+gOzfXPIA2jDB
AMErtcm2pD+de04KtvxiwD3ZwbKBdFLPVd9mn98MGK1h3jUh/Z2uicqUmiX7
FY3cc5H0P2I+7UT5PAMq0i/iJDIfsY2FGg7/GNA8c30+lMwv+1z576Ulcp6q
vbhNyHz/D9SXXXo=
         "]]}, 
       {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwVmnk8VO8Xx61Fyjok69iGmIkUEvWcJBVCKtGmhIqylC8hJUkSopRdSKIV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         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{0, 0},
      Frame->True,
      FrameTicks->None,
      ImageSize->240,
      PlotRange->{{0, 15}, {-0.7071022191449334, 0.75620265798751}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]}], {388.79999999999995`, -77.87228258248675}, 
     ImageScaled[{0.5, 0.5}], {240, 148.32815729997475`}], InsetBox[
     GraphicsBox[{{{}, {}, 
        {RGBColor[0.24720000000000017`, 0.24, 0.6], LineBox[CompressedData["
1:eJwU2Xc8Vt8fAHA82/bYm1IUDRoSdT/IyMrITFISihTyJTLbi2hIGRWVUiiV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          "]]}}, 
       {RGBColor[0.24720000000000017`, 0.24, 0.6], 
        Arrowheads[{{0.02, Automatic, 
           GraphicsBox[
            LineBox[
             NCache[{{{-1, 
                 Rational[1, 2]}, {0, 0}, {-1, 
                 Rational[-1, 2]}}}, {{{-1, 0.5}, {0, 0}, {-1, -0.5}}}]]]}}], 
        ArrowBox[{{5.492623735114358, -3.188514961074044}, {
         5.481031089564651, -3.1885400041060215`}, {
         5.46946945264305, -3.1885229076216843`}}], 
        ArrowBox[{{5.467153580668997, 3.1885144320063263`}, {
         5.477994593166007, 3.1885395823869938`}, {5.488862919207417, 
         3.188527714415546}}]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{3., 0},
      Frame->True,
      FrameTicks->None,
      ImageSize->240,
      PlotRange->{{2.394336554249293, 8.666666666666668}, {-3.188540004106021,
        3.1885395823869933`}},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.02], 
         Scaled[0.02]}}], {648., -77.87228258248675}, 
     ImageScaled[{0.5, 0.5}], {240, 148.32815729997475`}], InsetBox[
     GraphicsBox[{{}, {}, 
       {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw1lAkwnGcYxzdEiGgdlQ6i44gmmJSSuKL4Yx2x1Fq7a4PUHXEkqWSwhHbj
qGtKkTg2IeIciUQkpYiwRUI0KlpjOjXVdFXTCrKlyYRkqjqe3Zmdnd/+39/z
Pt/3Pe9nFHmaE6PAYDCiN7///259ZC7ip72JSoILA/QH3l/U9ZF65hGroCND
2+y7bWKXLdaAUmD+YJpyA7E21hW8/czC0ol1kFSYOSd82U6sD7Fxf1BwXjHV
M4QK22Snu10j5cbQjznxuunxOWITMMqec01brxLvg/rQZKVxaB2xKa5pmoWs
eSRRPXOozcS21ZXXER+Al0Hr8HPNXGILLEaaqA79nkL+h6gsaFR0LGqh3AqJ
dxuCjvXI2Ro7BkNnbAYyiA+iNXx2VFVaQ3wIBvvX07vOdBHb4OnxqY1dgnJi
WzBXenbrWnYQ2+HhatWf1Rcbie3RtGa1TVKRTf04QNEzynHAoJL4ML5fDpku
yZWzI6x+jHt1XfQl8Udgjk+Un5rMonpO4C6nFhjFpRE7I56TlfvWr4XELuhO
LNH9TKuaGNBzHBGWqTZssQhomVNJrqjJpfquGNybvG92LGmLRa6YU3jnG8u2
Msrd0NnRlKqxvZZ8NxjdMnJd6JLn7mBoDMy/6+xNvjuK/4r2+eqJ/PqZiDFm
q3bPN5PPhOV7DnMdesmUe+BlrIV67VoT+R7oa2l7zWq4TPU94Ro2vl+Yl0+5
JyxOBQYLdDLJ90LKDoPOn9TaKPdC95X08EVRNfneeMAeXfYrKKfcGyydsCXl
yOvkH8EPUsM4vYyb1N8RRGh2lewRp1Lug8bjpZqr4VHk+yBf/VyorYq8Pxbs
T2sH+RoWkc+CLGVEphIWQrkv1u+W919LLCDfF+Evjt13HpCfDz+Ip8eLf/Es
Id8Pny86/+s9TfUYH2O113zvbDA9L9Emu0t/22ktnyd/BPN9ZclK8eT7Q9g5
MxN/sp5yNlakffenxmgesMnWlqxMyQ1az4Zbk8X5q0zqT8KGTJjDDNa7TPsH
bNZ/Vqv0Aa1HANjxt0oLknypnwCcSNAPjn1D51cSALWxZ9I7l6LJ50D/Xuyj
gN3NWzk48Ijjf7qam0D7c1B4pe8TVjzdDwkHLXu0Dl941Up+IGaGqh4WieX7
B8JhuDc7ypXmSxSIirNLKV/P03pJIIy5C5YZvIvkc2Fo7vMz8zabfC60dKb8
v1iIIZ+LSb/6B3/zaqh/LtqeKG+MLOaTz0PSvYgEJxUh9c+D7W2ef+wlmi8R
D+0esspvTbNpfx7GqnpGl+pv0P3n4+3zf7xgFdL7D3xMrETsEhyk8yzigzPc
2p/zD82/hI83uk53jj6Svy+DUFbr0pzGzSR/k5UnrRl6VeQHwWYjSebZd5P8
IOTkt6etnqR5YgjAzpqw2Ig9Q74AkdtLhIfs86h/AWDn7GX2uJR8AQ54nE2v
VUwn/ygW56V+1f3igf8AnlXeCQ==
         "]]}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->True,
      AxesOrigin->{0, 0},
      Frame->True,
      FrameTicks->None,
      ImageSize->240,
      PlotRange->{{0., 100.}, {-0.08768787863132531, 0.06242730881674142}},
      PlotRangeClipping->True,
      PlotRangePadding->{
        Scaled[0.02], 
        Scaled[0.02]}], {907.2, -77.87228258248675}, 
     ImageScaled[{0.5, 0.5}], {240, 148.32815729997475`}]}, {}},
  ContentSelectable->True,
  ImageSize->{1048.8, 167.7445651649735},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{3.504439609952567*^9}]
}, {2}]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Presenter:",
  FontSlant->"Plain"],
 " Bob Sandheinrich\nseminars@wolfram.com"
}], "Subsubtitle"],

Cell[TextData[{
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[
     DateString[], "Menu"], StandardForm],
   ImageSizeCache->{283., {5., 17.}},
   UpdateInterval:>1]]],
 StyleBox["  (GMT ", "Menu",
  StripOnInput->False],
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[$TimeZone, "Menu"], StandardForm],
   ImageSizeCache->{35., {0., 16.}}]]],
 ")"
}], "DateSection"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types", "Section",
 CellChangeTimes->{3.5042676971414366`*^9}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " provides two objects for storing and working with dynamical models:"
}], "Text",
 CellChangeTimes->{{3.504267707572734*^9, 3.5042677135979757`*^9}, 
   3.5042678807011976`*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " \[LongDash] a time domain representation of a linear, time-invariant (LTI) \
system"
}], "Item",
 CellChangeTimes->{{3.5042677170076084`*^9, 3.5042677726515718`*^9}, {
  3.5042678128974733`*^9, 3.5042678157641745`*^9}}],

Cell[TextData[{
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " \[LongDash] a frequency domain representation of an LTI system"
}], "Item",
 CellChangeTimes->{{3.5042677281706533`*^9, 3.504267731580286*^9}, {
  3.5042677768396597`*^9, 3.50426781959683*^9}}]
}, Open  ]],

Cell["", "Spacer"],

Cell[TextData[{
 "All of the control systems functions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " use these objects."
}], "Text"],

Cell["\<\
Control systems object can represent both discrete and continuous-time \
systems:\
\>", "Text",
 CellChangeTimes->{{3.504267707572734*^9, 3.5042677135979757`*^9}, 
   3.5042678807011976`*^9, {3.504272208738966*^9, 3.504272358910076*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["SamplingPeriod",
  BaseStyle->"FunctionLink"],
 " \[LongDash] an option to ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042677170076084`*^9, 3.5042677726515718`*^9}, {
  3.5042678128974733`*^9, 3.5042678157641745`*^9}, {3.50427236232341*^9, 
  3.504272384471116*^9}}],

Cell[TextData[{
 ButtonBox["ToDiscreteTimeModel",
  BaseStyle->"FunctionLink"],
 " \[LongDash] gives the discrete-time approximation of a continuous-time \
model"
}], "Item",
 CellChangeTimes->{{3.5042677281706533`*^9, 3.504267731580286*^9}, {
  3.5042677768396597`*^9, 3.50426781959683*^9}, {3.50427239232646*^9, 
  3.504272435047686*^9}, {3.504272547983842*^9, 3.5042725608890505`*^9}}],

Cell[TextData[{
 ButtonBox["ToContinuousTimeModel",
  BaseStyle->"FunctionLink"],
 " \[LongDash] gives the continuous-time approximation of a discrete-time \
model"
}], "Item",
 CellChangeTimes->{{3.5042724352035465`*^9, 3.504272477862428*^9}, {
  3.504272523202102*^9, 3.5042725325381165`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: TransferFunctionModel", "Section",
 CellChangeTimes->{
  3.5042676971414366`*^9, {3.504268004389509*^9, 3.504268013126151*^9}}],

Cell["\<\
A transfer function is a frequency domain mapping of the inputs of a system \
to its outputs.  For a linear, time-invariant system, a transfer function can \
be represented as a ratio of polynomials in a complex variable.\
\>", "Text"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    StyleBox["tf",
     FontSlant->"Italic"], "(", "s", ")"}], "=", 
   RowBox[{
    FractionBox[
     RowBox[{"Y", "(", "s", ")"}], 
     RowBox[{"U", "(", "s", ")"}]], "=", 
    FractionBox[
     RowBox[{
      SubscriptBox[
       StyleBox["poly",
        FontSlant->"Italic"], "n"], "(", "s", ")"}], 
     RowBox[{
      SubscriptBox[
       StyleBox["poly",
        FontSlant->"Italic"], "d"], "(", "s", ")"}]]}]}], 
  TraditionalForm]], "DisplayFormula"],

Cell[TextData[{
 "Here is an example of a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " in ",
 StyleBox["Mathematica.",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.504267911378021*^9, 3.504267994847361*^9}, {
  3.504268639062427*^9, 3.5042686528607254`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"tf", "=", 
   RowBox[{"TransferFunctionModel", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"1", " ", "+", " ", "s"}], "}"}], "}"}], ",", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "+", " ", "s"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"3", " ", "+", " ", "s"}], ")"}]}]}], "}"}], ",", " ", "s"}],
     "]"}]}], TraditionalForm]], "Input",
 CellChangeTimes->{{3.504268199337452*^9, 3.5042682017694597`*^9}, {
  3.504268258002949*^9, 3.5042682614398527`*^9}, {3.504376457086887*^9, 
  3.504376457554455*^9}}],

Cell[TextData[{
 "Evaluate a ",
 ButtonBox["TransferFunctionModel.",
  BaseStyle->"FunctionLink"]
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"tf", "[", 
  RowBox[{"3", " ", "I"}], "]"}]], "Input",
 CellChangeTimes->{
  3.504268440734249*^9, 3.504268551865281*^9, {3.504268586018405*^9, 
   3.5042685877782326`*^9}, {3.5043764602975206`*^9, 3.504376467653924*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: TransferFunctionModel construction", "Section"],

Cell[TextData[{
 ButtonBox["TransferFunctionModel ",
  BaseStyle->"FunctionLink"],
 "objects contain a numerator, denominator, and complex variable.  The \
numerator is a matrix of polynomials.  A denominator can either be a matrix \
of polynomials or a single polynomial if it is common to all the subsystems."
}], "Text",
 CellChangeTimes->{{3.504267911378021*^9, 3.504267994847361*^9}, 
   3.504268639062427*^9, 3.5042686965761013`*^9}],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", "1", "}"}], "}"}], ",", 
     RowBox[{"s", "+", "1"}]}], "}"}], ",", "s"}], "]"}]], "Input"],

Cell["\<\
Multi-Input, Multi-Output (MIMO) systems are represented by matrices of \
rational functions.\
\>", "MathCaption"],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", "s", ",", 
        RowBox[{"s", "+", "1"}]}], "}"}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", "2"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"s", "+", "4"}], ")"}]}]}], "}"}], ",", " ", "s"}], 
  "]"}]], "Input",
 CellChangeTimes->{3.504268440734249*^9}],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "1"}], ",", 
         RowBox[{"x", "-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"x", "+", "3"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", "1"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "+", "a"}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", "x"}], ",", 
         RowBox[{"x", "+", "b"}]}], "}"}]}], "}"}]}], "}"}], ",", "x"}], 
  "]"}]], "Input"],

Cell[TextData[{
 "Discrete-time models are designated by the ",
 ButtonBox["SamplingPeriod",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SamplingPeriod"],
 " option.  Any nonzero value is considered to be a discrete-time system."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"z", "-", 
        RowBox[{"1", "/", "2"}]}], "}"}], "}"}], ",", 
     RowBox[{"z", 
      RowBox[{"(", 
       RowBox[{"z", "+", 
        RowBox[{"1", "/", "2"}]}], ")"}]}]}], "}"}], ",", " ", "z", ",", " ", 
   RowBox[{"SamplingPeriod", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.504268440734249*^9, 3.504268551865281*^9, {3.504268586018405*^9, 
   3.5042685877782326`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: StateSpaceModel", "Section",
 CellChangeTimes->{
  3.5042676971414366`*^9, {3.504268004389509*^9, 3.504268013126151*^9}, {
   3.5042682866489964`*^9, 3.5042682911589603`*^9}, {3.504268743359496*^9, 
   3.5042687458357143`*^9}}],

Cell[TextData[{
 "Linear systems can also be represented in the time domain by a set of \
ordinary differential equations.  Here ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are the state input and output vectors, respectively."
}], "Text"],

Cell[BoxData[{
 FormBox[
  RowBox[{
   StyleBox[
    RowBox[{
     OverscriptBox["x", "."], "(", "t", ")"}],
    FontWeight->"Plain"], "\[LongEqual]", 
   RowBox[{
    RowBox[{"A", ".", 
     StyleBox[
      RowBox[{"x", "(", "t", ")"}],
      FontWeight->"Plain"]}], "+", 
    RowBox[{"B", ".", 
     StyleBox[
      RowBox[{"u", "(", "t", ")"}],
      FontWeight->"Plain"]}]}]}], TraditionalForm], "\n", 
 FormBox[
  RowBox[{
   StyleBox[
    RowBox[{"y", "(", "t", ")"}],
    FontWeight->"Plain"], "\[LongEqual]", 
   RowBox[{
    RowBox[{"C", ".", 
     StyleBox[
      RowBox[{"x", "(", "t", ")"}],
      FontWeight->"Plain"]}], "+", 
    RowBox[{"D", ".", 
     StyleBox[
      RowBox[{"u", "(", "t", ")"}],
      FontWeight->"Plain"]}]}]}], TraditionalForm]}], "DisplayFormula",
 CellTags->"Functions"],

Cell[TextData[{
 "The state matrix ",
 Cell[BoxData[
  FormBox[
   StyleBox["A",
    FontWeight->"Bold"], TraditionalForm]]],
 ", input matrix ",
 Cell[BoxData[
  FormBox[
   StyleBox["B",
    FontWeight->"Bold"], TraditionalForm]]],
 ", output matrix ",
 Cell[BoxData[
  FormBox[
   StyleBox["C",
    FontWeight->"Bold"], TraditionalForm]]],
 ", and transmission matrix ",
 Cell[BoxData[
  FormBox[
   StyleBox["D",
    FontWeight->"Bold"], TraditionalForm]]],
 " can be represented in block form."
}], "Text"],

Cell[BoxData[
 FormBox[
  TagBox[
   FormBox[
    SubsuperscriptBox[
     FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"A", "B"},
         {"C", "D"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, True, {False}, False}, 
          "Rows" -> {False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      TraditionalForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      TraditionalForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      TraditionalForm],
     MultilineFunction->None],
    TraditionalForm],
   {StateSpaceModel, {}}], TraditionalForm]], "DisplayFormula"],

Cell[TextData[{
 "Here is an example of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". "
}], "MathCaption",
 CellFrameLabels->{{None, None}, {None, None}},
 CellChangeTimes->{{3.504268311391592*^9, 3.5042683184986734`*^9}, {
   3.5042683777658205`*^9, 3.5042683777658205`*^9}, 3.504268435120122*^9, 
   3.5042685569734545`*^9, {3.504268813288287*^9, 3.5042688389665995`*^9}, {
   3.5042689214238973`*^9, 3.504268941056587*^9}, {3.504268971707825*^9, 
   3.504269010696241*^9}, {3.5042690515857706`*^9, 3.504269069334694*^9}, {
   3.5042692230755854`*^9, 3.5042692317396774`*^9}, {3.5042693636791143`*^9, 
   3.504269376567744*^9}}],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", " ", "1"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", " ", 
        RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "0", "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"1", "/", "2"}], "}"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", " ", "0"}], "}"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"{", "0", "}"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{
  3.504268440734249*^9, 3.504268551865281*^9, {3.504268586018405*^9, 
   3.5042685877782326`*^9}, {3.5042694134257956`*^9, 3.5042694262365017`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: StateSpaceModel construction", "Section"],

Cell[TextData[{
 "The matrices in a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " are given as a list."
}], "Text"],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", "a", "}"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"{", "b", "}"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"{", "c", "}"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"{", "d", "}"}], "}"}]}], "}"}], "]"}]], "Input",
 CellTags->"Functions"],

Cell[TextData[{
 ButtonBox["Normal",
  BaseStyle->"FunctionLink"],
 " can be used to retrieve the matrices."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"Normal", "[", "%", "]"}]], "Input",
 CellChangeTimes->{3.5042694965083647`*^9},
 CellTags->"Functions"],

Cell[TextData[{
 "The ",
 ButtonBox["SamplingPeriod",
  BaseStyle->"FunctionLink"],
 " option is also used to create a discrete-time ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 "."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", " ", "1"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", " ", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "0", "}"}], ",", " ", 
       RowBox[{"{", "1", "}"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], ",", " ", "1"}], "}"}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{"{", "0", "}"}], "}"}]}], "}"}], ",", 
   RowBox[{"SamplingPeriod", " ", "->", " ", "T"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5042695841905584`*^9, 3.5042696020984125`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: StateSpaceModel construction", "Section"],

Cell[TextData[{
 "A ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " can also be constructed from a set of differential equations."
}], "Text"],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["a", "3"], " ", 
       RowBox[{
        RowBox[{"x", "'''"}], "[", "t", "]"}]}], "+", 
      RowBox[{
       SubscriptBox["a", "2"], " ", 
       RowBox[{
        RowBox[{"x", "''"}], "[", "t", "]"}]}], "+", 
      RowBox[{
       SubscriptBox["a", "1"], " ", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
      RowBox[{
       SubscriptBox["a", "0"], " ", 
       RowBox[{"x", "[", "t", "]"}]}]}], "\[Equal]", 
     RowBox[{"f", "[", "t", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "''"}], "[", "t", "]"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "[", "t", "]"}], ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "[", "t", "]"}], "}"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{3.50434872177137*^9},
 CellTags->"Functions"],

Cell["An inverted pendulum, linearized about an equilibrium.", "MathCaption"],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  GraphicsBox[
   {Thickness[0.002777777777777778], 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      149.24559999999997`, 85.94140000000002}, {150.40759999999997`, 
      83.01540000000001}, {138.33359999999996`, 85.94140000000002}, {
      150.40759999999997`, 88.86740000000002}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{233.666, 85.94140000000002}, {144.902, 
      85.94140000000002}}},
      CurveClosed->{0}]}, 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{151.7129, 70.}, {
      152.8749, 67.074}, {140.80089999999998`, 70.}, {152.8749, 72.926}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{170.333, 70.}, {147.369, 70.}}},
      CurveClosed->{0}]}, 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{96.624, 
      219.14359999999996`}, {99.027, 217.11159999999995`}, {87., 
      213.99959999999996`}, {96.27, 222.27159999999998`}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{110.667, 226.334}, {92.793, 217.096}}},
      CurveClosed->{0}]}, 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      148.31349999999998`, 259.27829999999994`}, {150.3455, 
      261.68129999999996`}, {153.45749999999998`, 249.65429999999995`}, {
      145.1855, 258.92429999999996`}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      104.26760000000002`, 342.8633}, {102.23560000000002`, 
      340.46029999999996`}, {99.12360000000001, 352.4873}, {
      107.39560000000002`, 343.21729999999997`}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{128.1631, 297.5049}, {150.3611, 
      255.44690000000003`}}},
      CurveClosed->{0}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{101.95700000000001`, 
      347.15430000000003`}, {122.84, 307.58930000000004`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001388888888888889], 
     Dashing[{0.044444444444444446`, 0.005555555555555556, 
      0.002777777777777778, 0.005555555555555556}], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{34.667, 318.}, {102.91600000000001`, 
      354.58299999999997`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001388888888888889], 
     Dashing[{0.044444444444444446`, 0.005555555555555556, 
      0.002777777777777778, 0.005555555555555556}], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{128.667, 235.667}, {157.833, 251.75}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001388888888888889], 
     Dashing[{0.044444444444444446`, 0.005555555555555556, 
      0.002777777777777778, 0.005555555555555556}], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{145.084, 111.41700000000002`}, {
      213.33300000000003`, 148.}}},
      CurveClosed->{0}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{323.66700000000003`, 
      85.94140000000002}, {245.00000000000003`, 85.94140000000002}}},
      CurveClosed->{0}]}, 
    {Thickness[0.004166666666666667], 
     FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}}}, {{{121.3262, 199.123}, {121.3262, 
       198.84799999999998`}, {121.3262, 197.516}, {121.4342, 196.583}, {
       121.6512, 196.04999999999998`}, {121.8682, 195.517}, {122.2342, 
       195.25}, {122.7502, 195.25}, {123.2772, 195.25}, {123.6432, 195.511}, {
       123.8482, 196.03199999999998`}, {124.0542, 196.554}, {124.1562, 
       197.584}, {124.1562, 199.123}}, CompressedData["
1:eJxTTMoPSmViYGAQBmIQvfyFh95/zngHW67riws+ZjjA+MYg8DnDoavvySd5
rniHmSDwNcMh8JZ0TSKQXwDS8CPDQUItmHUxkH/g1ELXbb8zHH6ffnfyMJAP
4n7+i+DPfb/8mPd/BL9xqnN3jnymg2PTo+MzmOMdcp7/XvnRLNNh/ZTUjuSv
cQ4g7iXXTAedK7OeyT6Pc3ipZsixJiTTAcRdfiHO4fHS2UcUYjIdjjitzby3
EY0/EcEHOW9SVZyD5ZYTZfuCMx1+Lkjf/Co7ziFulycPk3Omw76D4mrBsXEO
IO/bGmU6lD2YI7g0NM4hoHd6npB4poPS32+lD0Li4OEDAFnBlQs=
       "], CompressedData["
1:eJxTTMoPSmViYGCQBGIQfcRpbea9jXEOUSnW9/1TMx1ufPjiFfkMwW96dHzG
br54hzQQiMp0OCSuFsyqHe/wPfjx0tkumQ4CVWar7dzjHQQiLLec0Mt0WD8l
tSM5NN6hcapzdw4/gn/oq0ZM/7MMVP6uDIfP8pfy44H6Xbd9/ntlRoZDDufP
BelA848obCjKaITK88c7nFoIVJGZ4aBzZdYz2edxDlzXFxfYxmU4SACds3gT
gr9070FxtWoEX6OuZ2d2YBzEPKD+Fl7/9VNM4xwOgAysz3B4f/Kw01rJOIc9
JZMlWKZlOKiANHDHOcx9v/yY93YEHxQcvY8R/NkgA3kyHQJvSdckSsU52JvG
7fLUyXTYlQ30gHmcw4myffOlnDMdlP5+K30QEucQtEOu9XVkpkPZgzmCS2sR
4Yse/gBQY7Ih
       "]}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{179.667, 39.333999999999996`}, {
      95.33500000000001, 39.333999999999996`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
      0, 1, 0}}}, {{{68., 39.333999999999996`}, {48.333, 
      39.333999999999996`}, {48.333, 100.}, {129.75, 100.}, {222.334, 100.}, {
      222.334, 39.333999999999996`}, {207.66899999999998`, 
      39.333999999999996`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{94.667,
       39.333999999999996`}, {94.667, 31.970999999999997`}, {88.697, 
      25.999999999999996`}, {81.334, 25.999999999999996`}, {73.97, 
      25.999999999999996`}, {68., 31.970999999999997`}, {68., 
      39.333999999999996`}, {68., 46.696999999999996`}, {73.97, 
      52.66799999999999}, {81.334, 52.66799999999999}, {88.697, 
      52.66799999999999}, {94.667, 46.696999999999996`}, {94.667, 
      39.333999999999996`}}},
      CurveClosed->{1}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{207., 
      39.333999999999996`}, {207., 31.970999999999997`}, {201.03, 
      25.999999999999996`}, {193.666, 25.999999999999996`}, {186.303, 
      25.999999999999996`}, {180.333, 31.970999999999997`}, {180.333, 
      39.333999999999996`}, {180.333, 46.696999999999996`}, {186.303, 
      52.66799999999999}, {193.666, 52.66799999999999}, {201.03, 
      52.66799999999999}, {207., 46.696999999999996`}, {207., 
      39.333999999999996`}}},
      CurveClosed->{1}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.004166666666666667], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{18.3335, 24.}, {324.3335, 
      24.}, {324.3335, 228.668}}},
      CurveClosed->{0}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{138.25,
       107.834}, {138.25, 107.834}, {129.75, 100.}, {146.75, 100.}, {138.25, 
      107.834}}},
      CurveClosed->{1}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}}}, {{{23.9077, 312.3066}, {32.0817, 316.6656}, {139.4977, 
      115.39959999999999`}, {138.2967, 107.80959999999999`}, {131.3237, 
      111.0386}, {23.9077, 312.3066}}},
      CurveClosed->{1}]}, 
    {Thickness[0.004166666666666667], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{141.75,
       107.834}, {141.75, 105.9}, {140.183, 104.334}, {138.25, 104.334}, {
      136.317, 104.334}, {134.75, 105.9}, {134.75, 107.834}, {134.75, 
      109.768}, {136.317, 111.334}, {138.25, 111.334}, {140.183, 111.334}, {
      141.75, 109.768}, {141.75, 107.834}}}]}, 
    {Thickness[0.004166666666666667], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{141.75,
       107.834}, {141.75, 105.9}, {140.183, 104.334}, {138.25, 104.334}, {
      136.317, 104.334}, {134.75, 105.9}, {134.75, 107.834}, {134.75, 
      109.768}, {136.317, 111.334}, {138.25, 111.334}, {140.183, 111.334}, {
      141.75, 109.768}, {141.75, 107.834}}},
      CurveClosed->{1}]}, 
    {Thickness[0.001388888888888889], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      140.63379999999998`, 69.918}, {140.63379999999998`, 
      68.60100000000001}, {139.56679999999997`, 67.533}, {138.2498, 67.533}, {
      136.9328, 67.533}, {135.86579999999998`, 68.60100000000001}, {
      135.86579999999998`, 69.918}, {135.86579999999998`, 
      71.23400000000001}, {136.9328, 72.301}, {138.2498, 72.301}, {
      139.56679999999997`, 72.301}, {140.63379999999998`, 
      71.23400000000001}, {140.63379999999998`, 69.918}}}]}, 
    {Thickness[0.001388888888888889], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      140.63379999999998`, 69.918}, {140.63379999999998`, 
      68.60100000000001}, {139.56679999999997`, 67.533}, {138.2498, 67.533}, {
      136.9328, 67.533}, {135.86579999999998`, 68.60100000000001}, {
      135.86579999999998`, 69.918}, {135.86579999999998`, 
      71.23400000000001}, {136.9328, 72.301}, {138.2498, 72.301}, {
      139.56679999999997`, 72.301}, {140.63379999999998`, 
      71.23400000000001}, {140.63379999999998`, 69.918}}},
      CurveClosed->{1}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{7.7090000000000005`, 6.3447}, {
      7.7090000000000005`, 6.3447}, {16.842, 13.035699999999999`}, {
      32.096000000000004`, 24.212699999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.5107, 225.63479999999998`}, {
      336.9027, 234.7128}, {344.1987, 240.06079999999997`}, {344.1987, 
      240.06079999999997`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{25.8604, 6.8203}, {29.5274, 9.5073}, {
      37.9984, 15.7143}, {49.913399999999996`, 24.4433}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.1875, 212.5752}, {343.6405, 
      226.82819999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{43.7002, 7.0684}, {67.0892, 
      24.205400000000004`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.1035, 199.69140000000002`}, {
      343.79449999999997`, 214.1194}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{60.8682, 6.8262}, {84.5892, 24.2042}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.0156, 186.8066}, {344.1806, 
      201.5796}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{77.7261, 6.355499999999999}, {101.4491, 
      23.737499999999997`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.4199, 174.2803}, {343.8619, 
      188.5243}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{95.8774, 6.833}, {119.91839999999999`, 
      24.445}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.08889999999997`, 
      161.21679999999998`}, {344.01189999999997`, 175.8138}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{113.69529999999999`, 
      7.064499999999999}, {137.4193, 24.447499999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.2402, 148.5039}, {
      343.92920000000004`, 162.92989999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{130.8755, 6.832}, {153.9355, 23.728}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.15920000000006`, 135.623}, {
      343.84920000000005`, 150.051}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{148.38040000000004`, 6.835}, {
      171.11140000000003`, 23.489000000000004`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{324.5557, 123.0928}, {343.9977, 
      137.33679999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{166.1953, 7.0664}, {188.9453, 23.7344}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.2236, 110.02929999999999`}, {
      336.51759999999996`, 119.0363}, {344.3966, 124.80829999999999`}, {
      344.3966, 124.80829999999999`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{183.042, 6.587899999999999}, {186.543, 
      9.1539}, {195.188, 15.4869}, {206.75900000000001`, 
      23.965899999999998`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.14160000000004`, 
      97.14450000000001}, {336.06860000000006`, 105.88250000000001`}, {
      343.82560000000007`, 111.5665}, {343.82560000000007`, 111.5665}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{201.1953, 7.0664}, {205.1073, 9.9314}, {
      213.6033, 16.1574}, {224.5983, 24.212400000000002`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.2021, 84.36720000000001}, {335.8671,
       92.91420000000001}, {343.98209999999995`, 98.85920000000002}, {
      343.98209999999995`, 98.85920000000002}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{218.375, 6.8301}, {241.423, 
      23.716099999999997`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{323.9736, 71.37889999999999}, {336.1866,
       80.32689999999998}, {344.6196, 86.50589999999998}, {344.6196, 
      86.50589999999998}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{235.86230000000003`, 6.8213}, {
      239.66930000000002`, 9.6113}, {248.50730000000004`, 16.0873}, {259.5883,
       24.2063}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.123, 58.668000000000006`}, {335.883,
       67.283}, {344.291, 73.44300000000001}, {344.291, 73.44300000000001}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{253.69140000000002`, 
      7.062499999999999}, {257.6714, 9.9805}, {266.3244, 
      16.319499999999998`}, {276.77340000000004`, 23.9765}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.5127, 46.130900000000004`}, {
      335.9947, 54.54390000000001}, {344.6707, 60.90090000000001}, {344.6707, 
      60.90090000000001}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{271.1992, 7.0684}, {275.21020000000004`,
       10.0064}, {283.8922, 16.3694}, {293.93420000000003`, 
      23.727400000000003`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{324.1895, 33.072300000000006`}, {
      335.09950000000003`, 41.06530000000001}, {344.1175, 
      47.67230000000001}, {344.1175, 47.67230000000001}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{288.6953, 7.0653999999999995`}, {
      292.9683, 10.196399999999999`}, {302.4683, 17.1574}, {312.4183, 
      24.4474}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{305.8779, 6.834}, {314.1249, 12.876}, {
      344.5059, 35.135999999999996`}, {344.5059, 35.135000000000005`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{323.7002, 7.0684}, {344.4122, 22.2444}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.6, 0.6, 0.6], Thickness[0.001388888888888889], Opacity[1.], 
     CapForm["Round"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{340.8672, 6.8262}, {344.5822, 9.5472}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001388888888888889], 
     Dashing[{0.044444444444444446`, 0.005555555555555556, 
      0.002777777777777778, 0.005555555555555556}], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{138.25, 203.}, {139., 4.}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001388888888888889], 
     Dashing[{0.044444444444444446`, 0.005555555555555556, 
      0.002777777777777778, 0.005555555555555556}], CapForm["Round"], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{24.8335, 320.}, {138.25050000000002`, 
      107.834}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}}}, {{{106.9897, 186.0615}, {116.4837, 
      190.6445}, {127.1487, 194.2035}, {138.2567, 196.6385}}},
      CurveClosed->{0}]}, 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{85., 
      211.5}, {85., 210.304}, {84.03, 209.334}, {82.833, 209.334}, {81.637, 
      209.334}, {80.667, 210.304}, {80.667, 211.5}, {80.667, 212.697}, {
      81.637, 213.667}, {82.833, 213.667}, {84.03, 213.667}, {85., 212.697}, {
      85., 211.5}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{108.75, 187.}, {
      110.992, 184.789}, {98.763, 182.602}, {108.634, 190.145}}}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
      0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
      0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJrIGYC4vJ986X0Z6Y6/Ah+vHR2RYDDn5UfL/muSHXQ
bhe7ea46wCFJIMJyy8ZUB/Gb574HNwY4rAJKJ21NddjlycOk3Rng8AnIFdiZ
6gDktYtNDHCY5tyd83xXqsOy2UcUNixF8EHGfT+G4IPViwTB+e9q7E3j9IMc
LgONu7Ej1WHSW6CAY5CDH9ABO7dA3ecZ5HCybN/8WRtSHeJADggKcmicCjRg
OVR9WJADzD/o/A1FGRPfpgY5PP+98mNQWhoG/6gCUOR7oMN+oPLYGARfla1x
6uHINIcQoPVHpKDuC0lzAHEVDKHu8U1zKAYaV2MVBNHvBjXfOQgSPhZpDue/
Az3gEQQJTyUEf4GU/l2Vd6lwvgswOH6/QPBB7l//FOp+tyAHyy0nyuyepELs
c4a651GqgykoQByg5gH5YAFLBB8cHvoIPlh/WyCYv0QyDc4HyrIxaiH44PA1
SYPEd3cgJL6A/vECReAUqLxtGiR+5wZC/OuYBomfjYEOL4Dhe8kZ6t+zUL4P
Jh+cvqQR6mH8XFAEOaQ5zAEmpyKrQIj/baHm+wdC0ocFlB8JlQe6F5y+kgPB
6fWRJjS+MhD+ReaDwgOdnwn0vv3eADgf7N8F0PzxBKq+L8ABaN2++S+g4d8W
AHHvGyi/LgAcPxHfoPyqAIj/WNIw+OD8khUAT6/ofFj+BAApW7RJ
      "]], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 
      3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {
      0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}}}, CompressedData["
1:eJxlkz0sQ1EUx6tWBh9hbA0kIqlJSJCebmq6uZXe9wYG0aQshEW0lBjqI5HW
IBEm0cZYsRlMxMZMJ2kiMdRgYXTeuefdm7bDy8nv3vPxP/ecN7C4KlPtgUCg
Db8J/IL4fWejYws/SfhL1EoXmwKewpX1dJeCt5ffRC0j4PIRDwYVdARH8n37
AjbSxXo2ouC0joEnQseNK+j3As4F3MfRc0oBnj6G7yyTX9Uy5emRhpcRo6MS
tlHOPeYDNPGYBK/sW4Tj45KOO4YUeCYopbbdrCfJ8dhPMw9gW8UU5ztWhqmv
aUfXq7G+Twe863qK9eXcFvbzl7HNyqJlegfhGn2Uf8Y1+ql+lP1jrG/SBZrD
qGWK67VM/g+ika+EyUfvVxCmHuk4EEYPzXVXwJw3GNRLfWR43jm3cf7I1NeK
0HO8cVp41iu0JXSfz5ZJx7ujde2wvg9HzzvP+/TlaP0F9q+z/7Vl0vFkmWxI
wiuuZWnY6qE8Icu0t/O8T53SML1v1d6T3lt+ryX2P+P9XuP7Q6H3ZJP3cU/o
+kdK2wzPo6zM+/ns6/H/r2b2/f8Baml6Yg==
      "]], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
       1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
        3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {
       1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1,
        0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
       3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
       0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3,
        3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}, {{1, 4, 3}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
       1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {1, 
       3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
       0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
       1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
        3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}}, {{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}}, {{0, 2, 0}}}, {CompressedData["
1:eJxllVlIVVEUhk1fLJKiqF4M9MWiIihSquuwshRuk3bOFsqHPEVSvigUiIXR
Q0URDRSFQRNNUhShDSqNWt5IK83SUjGvU5CFRgMp0bTO2v9xoz6IfGevvYZ/
rb1u9MY8Kzs0JCRkF/+5/2PX3/WPb7WoqaA3pnSRQzuT+EufRTPmhV8/vRj8
y6KTuZN2U7xDYj/G1ueJDrXUDdjd42yqqj2fEpfs0Ox9U1vqJtg09npk5ia/
4b+NHEAZ3l3JF24b7kg7VJT7wKFAVMnWLRHgJw4N2t2XT4XD/inihcFfDfL5
bVF8kC/UOjQ+lD1+NSz2nw275qEfLSr//qexgPl0NQf8YJGbrs+z77LoQkrZ
9z814KBF2T52UAP7Not+8PXeZ4bd+/caHHLDt/zU+kW+dai/kAUMselTDH94
B55o0+EiFrQV9jE2TXYLbEf9CbboXdnlkBTot4mzC9b3OLRty9G+wuWG5f4K
w/Wc7uWV8N+D/Jkl326HWM3qqFXaPo05h90lrYKeXYZF/w7D0/lCVgD5Zdui
32AD8tmhuaAVfFDbB9vBZ9G/buhfCvsP6F+1YZmH94anuQV80/WEdWIexijp
57Rm8Fgl9eW8Qb4Tla7vhUPL3YGYoiiP5ax9jPOZ+n7RS+S3UOn5bsJ5qpJ8
Ay2Yp/WK0lmOY52wz1dD+Un/jxiWfpSP4NeKUnmcGttg36H0PD1HPz7q+JVV
DrnlD3xWon//TcNS77kR52sMu/MT7Ue8L0r3cyn0GVB6npMQ/x/yiUc9ERl6
fr33Hp0xfB8wi/0C6FmgRrHM+2LEOwz2ob4z6EcC9LykZF+UEfp/DfbL4O+G
ou29/GBWGBY9Mwy7+6Wn2LDocwv1XwPfR33FsGd9j3F7Y8/o+HEvoN8Bpeeb
51m5CecZlveaZVjyT9P659Y5xK/haF8i+sn7INr9EAv9A6h/ltJ6PoI+kUr2
wZwKw6LHWsOyD1Yj3yhd/2Aq3t8Mpfu1xKFidl8yV+u139vPiZiPRag/YzR7
/RN/V+1R7PVf/Fdiv/twv96W9zApEe+1Ce87Gfm2Yf94+QaxD9INz+d2Z24Y
fp51wrA7rzuvoD9tej8V34H+zfp+633sk1e2rr8W+T20h/ol83HRsLzv44Yl
372opx7x8+2h3wfpx2bszwD8Zer92M/9dMPPTkP8CsOSr2VY+u1Hfhb2fTLm
Y52+H56E+ctCfB/2f+6IfuwZzV7/vN/zkezZ/wfK9646
       "], CompressedData["
1:eJxTTMoPSmViYGBQBWIQHZVifd8/L9Sh8qWaIYdQggOM33zg1EJX9gQIXRXq
kCwQYbnlf7zD1QqgwkmhDuyNU527v8c7qBtyrJFZFerwd+XHS77v4x22ff57
peJoqEPFvvlS+q/jIfqfoPH5wuB8oO6oFIMwh9VA7Umf4h2EQAq8whw4QeIM
CQ6nF7pu+5wS5pAKdFYv0D1g+4rCHGSBDo0XQPCNgNQtKQT/INAaM+UEsLr7
aWEOM/KAJmskQOwLCHPYDnKndoIDyLu9TmEQfboJEPdrhjk88O+d/g7I/3cF
6GFWBB9s3u9QOD+gd3qe0CcEH2zPcwQfJN18F8EH23MFwQfbfxrBB8fDMTT1
e0Mh/tNLcMgHBdCGUHA8bDSA6l8S6rAIGEy1RlD3zw6FuNMYKj811MENJGGS
4ADiTp+E4IOMj+oOBcf7eaB5YPF6SPwf1YD6vwSSPjoUEOkDHC8SCD4s/QAA
iR0G0g==
       "], CompressedData["
1:eJxllEtIlUEUx8VFGCGFLpKwh5vbJgJLtLxCB3xApt2w5kO0yzeZ2gO7JpZd
F0JlaGFC0uMWSGELMbJCMIMeYpBh1sYwwoQMLMSCQGonVjNz/nnCFjL+5rtz
Hv/zn0mrqC2pio+LiwubP7vuaY9Fkm4qapwNpJ+v15Se0Jta1qqoNql5qPCU
JrOMdp1UdDt/4MdCk6afC+PR2cOKku1+qya75O9XvHZoet1lfqgU5UyF2ld3
LuEeYZOl8smApqDZjx1QtNEk7nyhaW1ZZXAqiu9j2q3BS4qWm38+f9T0LmoK
7VP06Icp5Ium6xFT4aSw6+e7sDsf7zFPg1PAU5psutBm8KSmrwFTSC54At9L
hd33sLCtO7Va2OlVJ+zyNS2Jd07Y9dsi/MvIG7jwP1v9YqPgQmEr+8Buj+MO
I1+JR8/t/hC+7/PcPEefQv+//TyEXuUeVdlB3Be2fkjoEXZ930D8EM5f1GTT
tmd59MmUEzmNftaDT2j2zW/FHIF/3gu7uGPCtq3IS8VxIpj3gOI510LfB8Iu
Xjf7K1ajue5O+LEaenXAv75mXdoQv0zYxfGEnV4l6P8yxxsOad7vUrTFjP1D
MeZ5D/enCH54jPi7UP+IsPN7grfILl+Gx3kKoWcR9C3QVGDKHq/HvEmTxWgr
zysxQ9jVs0HYxs1MRH7jx1cNg7fWzPusX55H2f0jDYPTPutj7sPdubfFFW98
nu83RQdXlW7vH/K5zmfCtszmK8Ku/npFx2bm78yN+Jy/XNHZq7ltNRM+65Or
6JrBmVnEz1IUqjAB5oVtnX3L9CLb9yVtBfTN5vk1rUR/hHkkww8FivVI0WTH
37uX9fbXQe9DeE8CeK/OIN9WxG9RrFcm/NfI/qJt8M9xPh/MRv6jivdz4D/z
frl7tQP1hBXHzRN253cKO/8Wy/vn6jN+c/oeUe5ebCoF13G+7jD83Yz+q+HP
f97vP6EXvqQ=
       "], CompressedData["
1:eJxTTMoPSmViYGCQBGIQve3z3ysVT0MdFrlu+1xbnuAQlWJ93/8zgi8LEvgX
CqbjKxMc/l2peKnGEeYg3HzglGJtgsNVINdQPMzh4KmFrmbNCWB6m1yYwys1
Q441vQh+3/Q8oeY5CL4RxxqZqBUJDkJAcxZKQNVvTXAAu4cnzGE7iD4CdQ9D
GIS+nOAQ0As06E2oA1B3yu5bCQ4zgMYeOI/gg92zHcEHGe+6LBRsvs7VBLC/
/s4JdUgFGsd7Cqp+RijYPbcOJzjkgxw0FaLfeg+CD1a3GcF3Azl0MTQ85oY6
VAKlOaZBw2t1KERdZ4IDSHjNrlAHm/v+vdNrofJnEeGLHv4A5dy9Lw==
       "], {{87.508625, 135.19162500000002`}, {87.508625, 
       135.19162500000002`}}}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
       1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3,
        3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {
       0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3,
        3}, {1, 3, 3}}, {{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
       3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {CompressedData["
1:eJxdlHtQzWkYx4/KOrSFLqhEtd2vR6XLHtWXxVbqrHTxe3+RxBH1vlk5Uoro
cojZxSlZVhehNkRqMKXZ1NBmR21u61CnsBtSlLVy2T3sz7/7xzvvfOZ55vs+
83xmXuuE9UvkOiKRKFw4n25ljEOi1XsOn4trdkaqKYr3TdxSOoFA1t1ct62H
IlClmqG0IIjTnFMreymyYmuj7roSBBrmvkv+xEGz40L9CGqL5LtiBXaSast9
5hNENhTwMRqKXJnY8shiArus4fXLuimWU97J1YxAemZh2iwjhh37D842MyIo
6zQ9ITFjaF2zXb9RX6iLv+SPWjJYDZmcMvyMwCC2/kDuTIatG6pDV4kI+mpc
b8itGV6X/rru7hsOq+0ek34rhnxFujh5iENJS5+HzgyG6XOdr7YNcLA1iZ27
VMgbzUwoyXnCwdhzX2L9dAZjO+v9pf0ckiyyK6YIPKuzL6/xDw4teimaDAuG
JeMyArb3cYiomtNoac6Q3jXUOKzmYK476KczjWG7g9sy2S0Okt693YVCfrq+
raP9IAcP/xdFExwZLtbNT3z4isPY7/XMn7owGJVJW1L+Ffp3z3jb5cFQ0CX2
6dQjOOs2x+OqF8OkmeqXQQYEYzbpjv3ZlyFQVB2eZ0LADXlcipQymCgyQ340
Jzhf2BKhDGQYLDijv9OSoPhu6NP3QQwR8mmbv7IhkHjRovx5DAs/a9jT5UiQ
V2kXY7+Q4ey+Bs92JwKbx6qT2gUMP7hfeXZQSrAoIaRhhbdQryn7IJ0n8IjS
u9ONIWvbNOvpIQS3y7TBYxwYtOXuS/wEn0+/rRl9K/hQZ75csGipkL+495d3
wj6OhyWtdYkjMBRF97gKflcaH2pQrybIz57srdJnWOPRLXMZJghfn+3emkNx
7eOfw9tGCdwHHMflZlKUOCniVmkJ3mQbvtKkUTw6veuwWpdHpZfkr5sKCtXY
sAcxE3jUHsqqv5NKcavRIMnBlIdORXzb5Y0UVdc7fENteZSG9TgXbaYYvjr1
+TV7HhvqDHpmp1PYV6yI9XXikao48OKmwLKVJ3JULjzKVRsTkjMo8gOej3x0
43E06h+FeAtFt7z5RZiEx0j1kdEugSPuW2RlePLYq1r65Iow74fzTakn/Hhk
aWwkJzdRBOd239/ty8PiG70NRgLrnnFZY+LMI9qsTWOVQuHuU2MybxIPlzlr
0+7EU3wRmplb9ZigXzYQ/zCEouPanrD2RwSmhb6X20MpbqSFaeQdBFXn19Hh
FRT39j+TzmwnEMWV+R+Lpmi8LdaubiUoH7Br6w2nUARVWfk2EezktJMrgikq
M0tu/1ZL4Jp3h0sJoggP+f2hX7nwXo7XW2M/inU/RQSn7iY4FzV1ROVJEVn4
wGC84KtY/0C2xpHi9HHTvvQAgiv3auQygdN6Ri61TCHwb15Z0S+hOHw9PXbM
CAef+mIdpT/FoFfi1kc3Oeju6Dye8TVFklGTtbyZQ5nj+ILLPEXAoey/X1dy
8DwYxQYFfwH1tlhQzmH53tbX8/dQJMef0os8xcFqcqRNxzGKamfvSRsvcLjg
891z0kRRl7VcebGLA98bPbGng+L//9d/bU0Tcg==
       "], CompressedData["
1:eJxTTMoPSmViYGCQAmIQfbTnw7cd0yIdbltZ3Cj3yXH4uOXPgdwVkQ6y7/t6
PgbkOJg9fzBTYUukw+uqRa+lwnMcJirPbby4M9LB9V7R189xOQ4RphzF3fsj
HX59zj14Ky3H4fyV12KSB4DqFdazi+fmOHxn9Mit2h3pIJFqdmJFYY5DoWVc
o0RxpIPtvr3ZDjtzHAIezK2pSol0+LT75bStx3Mc6j21gl2CIh0OH7x35M35
HIf/JcysZTaRDhvOz/n69GKOw4S99/7uVIt0KGhkOfr4co5DefrbbcEikQ5v
ws57/r6U47ClSN/AmTXSQTngb7MOUP88jkc2W15EOGwMezvrC9D87Nisln03
Ihy+zTuVKb8nx0G28ARb0tUIh88aUz+sWZ3jYBV1dRLfpQgHr9QuS4/ZOQ4M
nWoBU25GOLwSsBBi6AK6/+9uu8+vIxwuas+rulKe47DVZLsTx78Ih1+7eP5/
TM1xsD8823SBWKQDwwarIoWIHAfBlZniu00jHR5xaVyJ98txeNRn/vNqSKTD
kVRRs/kuOQ5yBvwztUojHQ6VHu3545zjgB4fAB6IyRU=
       "]}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
      0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGINIGYC4r5DXzVinsc5bHdoenR8eZED5/XFBbb/4hwq
zVbbha8ocpBrfR24gzfe4fS7k4ebVhY5nAEB0XiHNZn3Cr1WFzloxPQf+iob
D1YvvrbI4RpQO5cShD99A4IPUn9qK5q8YDGc/6p4q+hu0WIH94dVIusU4h2a
ef3XT5EohpvvxlzBrSJV7PAfBCTiIe6Vgernj3fIj2c/JylX7LAWZAADgg+U
vb74TxycDzTd/eGPOIerR3NNGIB8sH++xDksmmTFeFYWyv8Q5xC1cf+beUB+
ahoQvIaGB5A/EwSexDn8U/z77asMgj9j97QJ5+WLHWyA1hWwQf2rCHWPfryD
el3PzmyVYgdgaMq1xsU7cP5ckL5ZvdjByBgIEhB8cPgnQvzXrg51P5AvfMHl
hoE61L9J8WD33VODqgfyjUINtDSR+CD38Ksi+DY6V2albS2C80HmfVgPjY80
SHhFrimC2Jcb7xBwS7pm4aoih+2gBFAKMf8lMD2A/dMaDw4vXiAf5J3XczD5
4PhaWuQAS1/ofFh6AwDyzBtM
      "]], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      203.06349999999998`, 155.52830000000003`}, {205.0955, 
      157.93130000000002`}, {208.20749999999998`, 145.90430000000003`}, {
      199.9355, 155.17430000000002`}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{158.6006, 
      240.0303}, {156.56859999999998`, 237.62730000000002`}, {
      153.45659999999998`, 249.6543}, {161.72859999999997`, 
      240.38430000000002`}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{182.4961, 194.6719}, {
      205.11110000000002`, 151.6969}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{156.29, 244.32130000000004`}, {177.173, 
      204.75630000000004`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.002777777777777778], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 
      0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGINIGYC4tLJEixhdmkOzufTrj4vyXDYNPf98mOeaQ4n
du3oZSvLcNhTMlmiJTDNIUf72/TYigwHkPK+0DQHfUX5L2+qMxwcE55eWBQJ
Ud9Wn+EgyRLGtzYaym9D8MHqJ6DJe2TC+atMz1qfC8h0uKh0++e/qDSHuxkM
+Y1hmXDzk0KC1BdEZjroAh2oHg51bxxEv25QmsMWnsI13YmZDiDuJi8E/+kF
oIEeCH4WyEPuaQ6NN20rI4B8kH/4XNMcpIqvC31KgPKd0xy6Nzx8ORXIB1qv
FO0ADQ8g/1dd1p4vNmkOlyfG/HOOR/DZjvYbfk/JdPAx73R84Av1bwbEPUZJ
aQ6qXtXN+nmZDsq3f9a9qkxzeG6/5P6+kkyH497mnQerEHxQ+LtVQ/yXXgJx
fyWQ/+ft6wM7i6HhVQ1xn2gxRP0xIN/yx6GUVYUIPsg95fkIvt8yLjfVCRlw
Psg8y1ZofNRCwoe7LgNiX2OaQxnTLI7ZVRkOncAICGiFmK9VngHxTy8kvIpK
MxxAwS07E5MPjq/8DAdY+kLnw9IbAAxxGVs=
      "]], 
     FilledCurveBox[{{{0, 2, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {
      1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
      0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 
      3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
      1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 
      3}, {0, 1, 0}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {0, 1, 
      0}}}, CompressedData["
1:eJxlVFlIVFEYHsceLDUNTdEhHTeypNLMMGj5i2ijovSeC5UYVrZQ59pCRKUE
LQxUZIVUOuJDMj606GRQZoRQRtgyg4jKIIXjqLg1uM+kkZ17z3+94Dzch++e
/5z//5Zz4o4UZOX763Q6P/blsU/PvgiHzZPdQcGpn387dpUIKi7eNTBvTaII
Jx/8LtzUpmHrefanmUJO5NtmXYIIbDUj10ZhwrrvdJlRBH2KKcLxFetjRAiS
fzRROO4+uGVjlIavlD9NeLdIw8p5wSJk5NbvvPsdz5shwE6zXWqhsP1UwfCt
fgKebJfF0I71vwgUsfb1bN4Z03hHu53w+Z0U0t8vDQlswPU+CqVx9y6eayEg
08lwU/hYtCTzhIuA4LKYG0covLS3ikNuwvl5KMQEd6647ycCGydIP02h0pvW
Wx2s4Q0Pv13bEabh/RCW9wn5PfqDesZw/RomKQw6XkzlMH3MjUbr6BieF4/6
DuP8TE+7THDQF6v+KP2SJR+s1svjF8bNwQbERqyPQBwtglEmHCpx/uEiyMsp
QRKslvVjfGU7bQES99Mf5+/D+SxEmS8pWuL+hnD9qFHi+k0LXN8k7OcW+PnL
JVhw+Mnuxf0CeBk980oJwteu/5DlErh+6RL3q5OvG9b5YiUPrcKsPnOxWi+3
M41oWF42j1Ooq7r8ZZlT4HyYP4fkPLH+Sv68FG5e2FYy2SNAFStIncJ1Nq/q
t8JnSMNnP/+rvTqiYUWvSYHnyYt+6zBv45i3UMzrKJ4fxfPuceN6AlH6Wwdw
fxriPsxvJtff0oP520y4n07Eewjn/xPnPUCUPPx1IP9jhPNvw/t4hoB8XZre
YL4X4notzudPuD5W5DuNftXgfg/393k16jcm8PtWjf2HNazcB7eGlbz087xs
rUF+vQLI8hx9RaEtJT+qq5vre/01+unififV4fnMTzmvexsoz1enhtV8KHk2
+WK1XvGvmEJy942KH108L4YS1KMX8WPcP4D9y+hsvhVcgfp7sb4S9wfg+2LH
ehP3M/UZ+jFBOL9KfN8CRYW/qwLzEInvczlig8jzVIo4VuR6luD88fh+3EF9
EzU8971X8X+tV+OU
      "]], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{82.8335, 
      147.82810000000003`}, {85.7595, 148.99010000000004`}, {82.8335, 
      136.91610000000003`}, {79.9075, 148.99010000000004`}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{82.8335, 211.5}, {82.8335, 
      143.48399999999998`}}},
      CurveClosed->{0}]}},
   AspectRatio->Automatic,
   ImageSize->{358., 358.},
   PlotRange->{{0., 360.}, {0., 360.}}]],
  CellGroupingRules->{FrontEnd`Private`GroupTogetherGrouping, 999.},
  ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}], "Picture"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "+", "m"}], ")"}], 
        RowBox[{
         RowBox[{"x", "''"}], "[", "t", "]"}]}], "-", 
       RowBox[{"m", " ", "l", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"\[Theta]", "[", "t", "]"}], "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          RowBox[{"\[Theta]", "'"}], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{"m", " ", "l", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]", "[", "t", "]"}], "]"}], " ", 
        RowBox[{
         RowBox[{"\[Theta]", "''"}], "[", "t", "]"}]}]}], "==", 
      RowBox[{
       RowBox[{"F", "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"d", "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"m", " ", 
        RowBox[{
         RowBox[{"x", "''"}], "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}], "+", 
       RowBox[{"m", " ", "l", " ", 
        RowBox[{
         RowBox[{"\[Theta]", "''"}], "[", "t", "]"}]}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"m", " ", "g", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}], "+", 
       RowBox[{"d", "[", "t", "]"}]}]}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"invPendulum", " ", "=", " ", 
  RowBox[{"StateSpaceModel", "[", 
   RowBox[{"eqns", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"\[Theta]", "'"}], "[", "t", "]"}], ",", 
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "t", "]"}], ",", 
      RowBox[{"d", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
      RowBox[{"x", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.494946982054118*^9, 3.494947000142241*^9}, 
   3.495919335502689*^9, {3.4959194441070538`*^9, 3.495919476086821*^9}, 
   3.4959195547984943`*^9, {3.5043487659338655`*^9, 3.504348779299446*^9}, {
   3.5043488290044374`*^9, 3.5043488808521447`*^9}, {3.506778494452031*^9, 
   3.506778545918804*^9}, {3.5067785962762456`*^9, 3.506778602229142*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Types: Conversion between types", "Section",
 CellChangeTimes->{{3.5042694401848974`*^9, 3.504269445748671*^9}, {
  3.5042709167219105`*^9, 3.5042709249980764`*^9}}],

Cell[TextData[{
 "Use ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " to convert from one type to another."
}], "Text",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.5042709348951864`*^9, 3.504270950527944*^9}, {3.5044381168463554`*^9, 
   3.504438122238835*^9}}],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox[
           RowBox[{"k", " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "s"}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", "s"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", "s"}], ")"}]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 1014044283}}}], 
  "]"}]], "Input",
 CellChangeTimes->{3.504270955827184*^9},
 CellTags->"Functions"],

Cell[TextData[{
 "If the complex variable is not specified, ",
 Cell[BoxData["\[FormalS]"],
  FontWeight->"Bold"],
 " is used for continuous-time systems and ",
 StyleBox["\[FormalZ] ",
  FontWeight->"Bold"],
 "is used for discrete-time systems."
}], "MathCaption",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9}],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", "%", "]"}]], "Input",
 CellChangeTimes->{3.5042694965083647`*^9, 3.5042709780216484`*^9},
 CellTags->"Functions"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 "Model Types: ",
 StyleBox["Sampling and inverse sampling", "Color7",
  FontSlant->"Plain"]
}], "Section"],

Cell[TextData[{
 "A continuous-time ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " can be discretized using ",
 ButtonBox["ToDiscreteTimeModel",
  BaseStyle->"FunctionLink"],
 "."
}], "Text",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.5042709348951864`*^9, 3.504270950527944*^9}, {3.504271011204242*^9, 
   3.5042710691529903`*^9}, {3.5042711152407923`*^9, 3.5042711413941*^9}}],

Cell[BoxData[
 RowBox[{"tfdiscrete", "=", 
  RowBox[{"ToDiscreteTimeModel", "[", 
   RowBox[{
    TagBox[
     SubsuperscriptBox[
      FormBox[
       TagBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {
            FractionBox["1", 
             RowBox[{"1", "+", "s"}]]}
          },
          AllowScriptLevelChange->False,
          BaseStyle->{Deployed -> False},
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
          
          GridBoxItemStyle->{
           "ItemsIndexed" -> {{{1, 1}, {}} -> {
               Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
                1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.7]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
        Function[BoxForm`e$, 
         MatrixForm[BoxForm`e$]]],
       StandardForm], 
      FormBox[
       StyleBox["\<\"\[InvisibleSpace]\"\>",
        ShowStringCharacters->False],
       StandardForm], 
      FormBox[
       StyleBox["\<\"\[ScriptCapitalT]\"\>",
        Editable->False,
        ShowStringCharacters->False],
       StandardForm],
      MultilineFunction->None],
     {TransferFunctionModel, {{
       Control`CommonDump`pVar -> $CellContext`s, Hash -> 702650279}}}], ",", 
    "T", ",", "z"}], "]"}]}]], "Input",
 CellChangeTimes->{3.504270955827184*^9, 3.5042710845052004`*^9},
 CellTags->"Functions"],

Cell[TextData[{
 ButtonBox["ToContinuousTimeModel",
  BaseStyle->"FunctionLink"],
 " ",
 "performs the inverse operation."
}], "MathCaption",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}}],

Cell[BoxData[
 RowBox[{"ToContinuousTimeModel", "[", 
  RowBox[{"tfdiscrete", ",", "s"}], "]"}]], "Input",
 CellChangeTimes->{3.5042694965083647`*^9, 3.5042709780216484`*^9, 
  3.504271149561164*^9},
 CellTags->"Functions"],

Cell["\<\
Both functions can perform the conversion using any of the following methods.\
\>", "MathCaption",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}, 3.504271165988808*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ToDiscreteTimeModel", "[", 
    RowBox[{
     RowBox[{"StateSpaceModel", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"-", ".5"}], "}"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"{", "1.", "}"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"{", ".4", "}"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"{", ".5", "}"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"10", "^", 
      RowBox[{"-", "3"}]}], ",", " ", 
     RowBox[{"Method", "\[Rule]", "#"}]}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{
   "\"\<ForwardRectangularRule\>\"", ",", "\"\<BackwardRectangularRule\>\"", 
    ",", "\"\<BilinearTransform\>\"", ",", "\"\<ZeroOrderHold\>\"", ",", 
    "\"\<FirstOrderHold\>\"", ",", "\"\<ZeroPoleMapping\>\""}], 
   "}"}]}]], "Input",
 CellChangeTimes->{
  3.5042694965083647`*^9, 3.5042709780216484`*^9, {3.504271149561164*^9, 
   3.5042711750131025`*^9}, {3.504438147751807*^9, 3.504438165363083*^9}},
 CellTags->"Functions"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Manipulation", "Section",
 CellChangeTimes->{{3.504272101709904*^9, 3.504272104811518*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " uses the following functions for changing the representation of control \
system objects:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["TransferFunctionFactor",
  BaseStyle->"FunctionLink"],
 " \[LongDash] factors the numerators and denominators of a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.504272147345712*^9, 3.504272152676124*^9}, {
   3.5042726083016624`*^9, 3.504272640284134*^9}, 3.5042732679640293`*^9}],

Cell[TextData[{
 ButtonBox["TransferFunctionExpand ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] expands the numerators and denominators of a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.504272157616886*^9, 3.5042721676230984`*^9}, {
   3.5042726442118063`*^9, 3.504272648388854*^9}, {3.5042727069766283`*^9, 
   3.5042727137721243`*^9}, 3.504274164261049*^9}],

Cell[TextData[{
 ButtonBox["StateSpaceTransform",
  BaseStyle->"FunctionLink"],
 "\[LongDash] transforms a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " object using a similarity matrix"
}], "Item"],

Cell[TextData[{
 ButtonBox["DualSystemsModel ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the dual model of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042738984385757`*^9, 3.5042739109083834`*^9}, {
   3.504273981792763*^9, 3.504273984316626*^9}, 3.5042741619407344`*^9, {
   3.504356575226014*^9, 3.5043565762397995`*^9}, {3.5050605340391536`*^9, 
   3.5050605560805264`*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelExtract",
  BaseStyle->"FunctionLink"],
 "\[LongDash]",
 StyleBox[" ",
  FontSlant->"Italic"],
 "extracts a subsystem of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042738984385757`*^9, 3.504273907592442*^9}, {
  3.5042739490137053`*^9, 3.5042739766515613`*^9}, {3.504274159463642*^9, 
  3.504274160561088*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelDelete",
  BaseStyle->"FunctionLink"],
 "\[LongDash]",
 StyleBox[" ",
  FontSlant->"Italic"],
 "deletes a subsystem of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042738984385757`*^9, 3.5042739109083834`*^9}, {
   3.504273981792763*^9, 3.504273984316626*^9}, 3.5042741619407344`*^9, 
   3.504356575226014*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Manipulation: TransferFunctionModel", "Section",
 CellChangeTimes->{{3.504273219049081*^9, 3.5042732280536323`*^9}}],

Cell[TextData[{
 ButtonBox["TransferFunctionFactor",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["TransferFunctionExpand",
  BaseStyle->"FunctionLink"],
 " change the representation of the polynomials in a ",
 ButtonBox["TransferFunctionModel.",
  BaseStyle->"FunctionLink"]
}], "Text"],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "+", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"s", "-", "1"}], ")"}]}], "}"}], "}"}], ",", 
     RowBox[{"s", 
      RowBox[{"(", 
       RowBox[{"s", "+", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"s", "+", "2", "+", "I"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"s", "+", "2", "-", "I"}], ")"}]}]}], "}"}], ",", "s"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TransferFunctionExpand", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TransferFunctionFactor", "[", "%", "]"}]], "Input"],

Cell[TextData[{
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " preserves the poles and zeros of a system.  To cancel pole-zero pairs, use \
",
 ButtonBox["TransferFunctionCancel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["Simplify.",
  BaseStyle->"FunctionLink"]
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"TransferFunctionCancel", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%%", "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Manipulation: StateSpaceTransform", "Section",
 CellChangeTimes->{{3.504273219049081*^9, 3.5042732280536323`*^9}, {
  3.50427338325167*^9, 3.5042733865296183`*^9}, {3.5043566167444296`*^9, 
  3.504356623014303*^9}}],

Cell[TextData[{
 ButtonBox["StateSpaceTransform",
  BaseStyle->"FunctionLink"],
 " performs a similarity transformation on a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ". For a transformation matrix ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]],
  FontWeight->"Bold"],
 ", the new system has the following dynamics:"
}], "Text"],

Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["w", "\[Prime]",
     MultilineFunction->None], "(", "t", ")"}], "=", 
   RowBox[{
    RowBox[{
     TemplateBox[{"M"},
      "Inverse"], ".", "A", ".", "M", ".", 
     RowBox[{"w", "(", "t", ")"}]}], "+", 
    RowBox[{
     TemplateBox[{"M"},
      "Inverse"], ".", "B", ".", 
     RowBox[{"u", "(", "t", ")"}]}]}]}], TraditionalForm], "\n", 
 FormBox[
  RowBox[{
   RowBox[{"y", "(", "t", ")"}], "=", 
   RowBox[{
    RowBox[{"C", ".", "M", ".", 
     RowBox[{"w", "(", "t", ")"}]}], "+", 
    RowBox[{"D", ".", 
     RowBox[{"u", "(", "t", ")"}]}]}]}], TraditionalForm]}], "DisplayFormula"],

Cell["where", "Text",
 CellChangeTimes->{{3.5042734434664927`*^9, 3.504273471585386*^9}, 
   3.5042735021277857`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"w", "(", "t", ")"}], "=", 
   RowBox[{
    TemplateBox[{"M"},
     "Inverse"], ".", 
    RowBox[{"x", "(", "t", ")"}]}]}], TraditionalForm]], "DisplayFormula"],

Cell[TextData[{
 "Here is an example of ",
 ButtonBox["StateSpaceTransform.",
  BaseStyle->"FunctionLink"]
}], "MathCaption"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["m", "t"], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"StateSpaceTransform", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"2", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {}}], ",", 
   SubscriptBox["m", "t"]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.5042736692182884`*^9, {3.5067793361540833`*^9, 3.5067793420601063`*^9}}],

Cell["\<\
The inverse of the transformation matrix returns the original system.\
\>", "MathCaption"],

Cell[BoxData[
 RowBox[{"StateSpaceTransform", "[", 
  RowBox[{"%", ",", 
   RowBox[{"Inverse", "[", 
    SubscriptBox["m", "t"], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50677934431002*^9, 3.506779344591259*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Manipulation: DualSystemsModel", "Section",
 CellChangeTimes->{{3.504273219049081*^9, 3.5042732280536323`*^9}, {
  3.50427338325167*^9, 3.5042733865296183`*^9}, {3.504356626367594*^9, 
  3.5043566330897713`*^9}}],

Cell[TextData[{
 ButtonBox["DualSystemsModel",
  BaseStyle->"FunctionLink"],
 " provides the dual of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ". For a continuous-time model, the dual system has the following dynamics:"
}], "Text"],

Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["w", "\[Prime]",
     MultilineFunction->None], "(", "t", ")"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"A", "\[ConjugateTranspose]"}], ".", 
     RowBox[{"w", "(", "t", ")"}]}], "+", 
    RowBox[{
     RowBox[{"C", "\[ConjugateTranspose]"}], ".", 
     RowBox[{"u", "(", "t", ")"}]}]}]}], TraditionalForm], "\n", 
 FormBox[
  RowBox[{
   RowBox[{"y", "(", "t", ")"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "\[ConjugateTranspose]"}], ".", 
     RowBox[{"w", "(", "t", ")"}]}], "+", 
    RowBox[{
     RowBox[{"D", "\[ConjugateTranspose]"}], ".", 
     RowBox[{"u", "(", "t", ")"}]}]}]}], TraditionalForm]}], "DisplayFormula"],

Cell[TextData[{
 "Here is an example of ",
 ButtonBox["DualSystemsModel:",
  BaseStyle->"FunctionLink"]
}], "MathCaption",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}, 3.504271165988808*^9, {
   3.5042732475454745`*^9, 3.504273265801701*^9}, {3.5042733031481943`*^9, 
   3.5042733415393896`*^9}, {3.50427352204404*^9, 3.504273572626977*^9}, 
   3.5042736183939705`*^9, {3.5043567864805517`*^9, 3.504356788586025*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"k", "1", "0", "0"},
          {
           RowBox[{
            RowBox[{"-", "1"}], "/", "10"}], 
           RowBox[{
            RowBox[{"-", "3"}], "/", "4"}], 
           RowBox[{"-", "1"}], "1"},
          {"1", "1", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DualSystemsModel", "[", "ss", "]"}]}], "Input",
 CellChangeTimes->{3.5043568041041446`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Manipulation: Subsystems", "Section",
 CellChangeTimes->{{3.504273219049081*^9, 3.5042732280536323`*^9}, {
  3.50427338325167*^9, 3.5042733865296183`*^9}, {3.504274006361477*^9, 
  3.5042740393742256`*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelExtract",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["SystemsModelDelete",
  BaseStyle->"FunctionLink"],
 " return subsystems associated with the specified inputs and outputs of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["TransferFunctionModel.",
  BaseStyle->"FunctionLink"]
}], "Text"],

Cell[BoxData[
 RowBox[{"SystemsModelExtract", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox["1", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "+", "s"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"4", "+", "s"}], ")"}]}]], 
           FractionBox["s", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "+", "s"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"4", "+", "s"}], ")"}]}]], 
           FractionBox[
            RowBox[{"1", "+", "s"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "+", "s"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"4", "+", "s"}], ")"}]}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {{
      Control`CommonDump`pVar -> $CellContext`s, Hash -> 1235690214}}}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " states can also be extracted or deleted."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"SystemsModelDelete", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"2", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {}}], ",", "None", ",", " ", 
   RowBox[{"{", "2", "}"}], ",", " ", 
   RowBox[{"{", "1", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.5042742415682807`*^9}],

Cell[TextData[{
 ButtonBox["SystemsModelExtract",
  BaseStyle->"FunctionLink"],
 " can also be used to duplicate inputs and outputs."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"SystemsModelExtract", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["b", 
            RowBox[{"2", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]]},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {}}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.5042742415682807`*^9, 3.5042742811547256`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Properties", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has several functions for examining the properties of a control systems \
object:"
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["SystemsModelDimensions",
  BaseStyle->"FunctionLink"],
 " \[LongDash] gives the number of inputs and outputs of a system"
}], "Item",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
  3.5042743096256104`*^9, 3.504274325209344*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelOrder",
  BaseStyle->"FunctionLink"],
 " \[LongDash] gives the number of states in a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.504273776589405*^9, 3.504273779344906*^9}, {
  3.504274327827536*^9, 3.504274343850248*^9}}],

Cell[TextData[{
 ButtonBox["TransferFunctionZeros",
  BaseStyle->"FunctionLink"],
 " \[LongDash] returns the roots of the numerator polynomials in a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042737848403387`*^9, 3.5042737944612393`*^9}, {
  3.504274348804433*^9, 3.504274376799035*^9}}],

Cell[TextData[{
 ButtonBox["TransferFunctionPoles",
  BaseStyle->"FunctionLink"],
 " \[LongDash] returns the roots of the denominator polynomials in a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.504273797886155*^9, 3.5042738012488003`*^9}, {
  3.5042743812679853`*^9, 3.504274385455673*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelLabels",
  BaseStyle->"FunctionLink"],
 " \[LongDash]",
 StyleBox[" ",
  FontSlant->"Italic"],
 "an option to ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " for labeling inputs, outputs and states"
}], "Item",
 CellChangeTimes->{{3.504273797886155*^9, 3.5042738012488003`*^9}, {
  3.504273848123446*^9, 3.5042738520465317`*^9}, {3.5042743923309813`*^9, 
  3.504274432942176*^9}, {3.504359833419569*^9, 3.50435983343517*^9}}],

Cell[TextData[{
 ButtonBox["ContinuousTimeModelQ",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["DiscreteTimeModelQ",
  BaseStyle->"FunctionLink"],
 " \[LongDash] tests whether a system is in the continuous-time or \
discrete-time domain "
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Properties: Dimension and Order", "Section",
 CellChangeTimes->{{3.5042749235909243`*^9, 3.504274933657375*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelDimensions",
  BaseStyle->"FunctionLink"],
 " returns the number of inputs and outputs of a system."
}], "Text"],

Cell[BoxData[
 RowBox[{"SystemsModelDimensions", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox["1", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", "s"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"4", "+", "s"}], ")"}]}]], 
          FractionBox["s", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", "s"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"4", "+", "s"}], ")"}]}]], 
          FractionBox[
           RowBox[{"1", "+", "s"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", "s"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"4", "+", "s"}], ")"}]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 1235690214}}}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"SystemsModelDimensions", "@", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], 
          SubscriptBox["a", 
           RowBox[{"1", ",", "2"}]], 
          SubscriptBox["b", 
           RowBox[{"1", ",", "1"}]]},
         {
          SubscriptBox["a", 
           RowBox[{"2", ",", "1"}]], 
          SubscriptBox["a", 
           RowBox[{"2", ",", "2"}]], 
          SubscriptBox["b", 
           RowBox[{"2", ",", "1"}]]},
         {
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], 
          SubscriptBox["a", 
           RowBox[{"1", ",", "2"}]], 
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]]},
         {
          SubscriptBox["a", 
           RowBox[{"2", ",", "1"}]], 
          SubscriptBox["a", 
           RowBox[{"2", ",", "2"}]], 
          SubscriptBox["a", 
           RowBox[{"2", ",", "1"}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, True, {False}, False}, 
          "Rows" -> {False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {}}]}]], "Input"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["SystemsModelOrder",
  BaseStyle->"FunctionLink"],
 " returns the number of states."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"SystemsModelOrder", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0"},
         {
          RowBox[{"-", 
           FractionBox["1", "2"]}], 
          RowBox[{"-", "4"}], "2"},
         {"1", "0", "0"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, True, {False}, False}, 
          "Rows" -> {False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}]], "Input",
 CellChangeTimes->{3.5042750576763463`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Properties: Zeros and poles", "Section"],

Cell[TextData[{
 ButtonBox["TransferFunctionZeros",
  BaseStyle->"FunctionLink"],
 " returns the roots of each numerator in a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 ". ",
 ButtonBox["TransferFunctionPoles",
  BaseStyle->"FunctionLink"],
 " returns the roots of the denominator."
}], "Text",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}, 3.504271165988808*^9, {
   3.5042732475454745`*^9, 3.504273265801701*^9}, {3.5042733031481943`*^9, 
   3.5042733415393896`*^9}, {3.50427352204404*^9, 3.504273572626977*^9}, {
   3.5042736183939705`*^9, 3.5042736297968807`*^9}, {3.5042740949965286`*^9, 
   3.504274156077237*^9}, {3.504274211294449*^9, 3.5042742381975536`*^9}, {
   3.504274960782167*^9, 3.504274982265463*^9}, {3.5042750297365675`*^9, 
   3.5042750539323225`*^9}, {3.504275100579481*^9, 3.504275137831089*^9}, {
   3.5042751737824936`*^9, 3.504275176053933*^9}}],

Cell[BoxData[
 RowBox[{"TransferFunctionZeros", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["s", "2"]}], 
           RowBox[{
            RowBox[{"5", " ", "s"}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"5", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            SuperscriptBox["s", "4"]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 2012007902}}}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"TransferFunctionPoles", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            SuperscriptBox["s", "2"]}], 
           RowBox[{
            RowBox[{"5", " ", "s"}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"5", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            SuperscriptBox["s", "4"]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 2012007902}}}], 
  "]"}]], "Input"],

Cell[TextData[{
 "The poles of a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " are the same as the eigenvalues of the state matrix for the equivalent ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 "."
}], "MathCaption",
 CellChangeTimes->{{3.5000504164962893`*^9, 3.5000504227436323`*^9}, {
   3.504280836381083*^9, 3.5042808585244293`*^9}, 3.50428089836059*^9, {
   3.5044382539649453`*^9, 3.504438259076891*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   FormBox[
    TagBox[
     FormBox[
      SubsuperscriptBox[
       FormBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {"0", "1", "0"},
           {
            RowBox[{
             RowBox[{"-", "1"}], "/", "2"}], 
            RowBox[{"-", "4"}], "2"},
           {"1", "0", "0"}
          },
          AllowScriptLevelChange->False,
          BaseStyle->{Deployed -> False},
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
          
          GridBoxDividers->{
           "Columns" -> {False, False, True, {False}, False}, 
            "Rows" -> {False, False, True, {False}, False}},
          
          GridBoxItemStyle->{
           "ItemsIndexed" -> {{{1, 1}, {}} -> {
               Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
                1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.7]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
        TraditionalForm], 
       FormBox[
        StyleBox["\<\"\[InvisibleSpace]\"\>",
         ShowStringCharacters->False],
        TraditionalForm], 
       FormBox[
        StyleBox["\<\"\[ScriptCapitalS]\"\>",
         Editable->False,
         ShowStringCharacters->False],
        TraditionalForm],
       MultilineFunction->None],
      TraditionalForm],
     {StateSpaceModel, {Control`CommonDump`noD -> True}}],
    TraditionalForm]}], ";"}], "\n", 
 RowBox[{"Eigenvalues", "[", 
  RowBox[{
   RowBox[{"Normal", "[", "ss", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{3.504280670071748*^9}],

Cell[BoxData[
 RowBox[{"TransferFunctionPoles", "[", 
  RowBox[{"TransferFunctionModel", "[", "ss", "]"}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Properties: Labels", "Section",
 CellChangeTimes->{{3.504280695057188*^9, 3.5042806984614544`*^9}}],

Cell[TextData[{
 "The inputs, and outputs of a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " can be labeled using the ",
 ButtonBox["SystemsModelLabels",
  BaseStyle->"FunctionLink"],
 " options."
}], "Text"],

Cell[BoxData[
 RowBox[{"TransferFunctionModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", " ", "s", ",", " ", 
        RowBox[{"1", " ", "+", " ", "s"}]}], "}"}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", "+", " ", "s"}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"4", " ", "+", " ", "s"}], ")"}]}]}], "}"}], ",", " ", "s", 
   ",", " ", 
   RowBox[{"SystemsModelLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"in1", ",", " ", "in2", ",", " ", "in3"}], "}"}], ",", " ", 
      RowBox[{"{", "\"\<y\>\"", "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", the states can also be labeled."
}], "MathCaption",
 CellChangeTimes->{{3.5000504164962893`*^9, 3.5000504227436323`*^9}, {
  3.504280836381083*^9, 3.5042808585244293`*^9}}],

Cell[BoxData[
 RowBox[{"StateSpaceModel", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".2", ",", 
         RowBox[{"-", ".5"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"IdentityMatrix", "[", "2", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], "}"}]}], "}"}], ",", " ", 
   RowBox[{"SystemsModelLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(u\), \(1\)]\)\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(u\), \(2\)]\)\>\""}], "}"}], ",", 
      RowBox[{"{", "\"\<output\>\"", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<position\>\"", ",", "\"\<velocity\>\""}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5067793708558755`*^9, 3.506779372074579*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Properties: Time domain tests", "Section"],

Cell[TextData[{
 ButtonBox["ContinuousTimeModelQ",
  BaseStyle->"FunctionLink"],
 ", and ",
 ButtonBox["DiscreteTimeModelQ",
  BaseStyle->"FunctionLink"],
 " are true/false tests for a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["TransferFunctionModel.",
  BaseStyle->"FunctionLink"]
}], "Text"],

Cell[BoxData[{
 RowBox[{"ss", "=", 
  RowBox[{"StateSpaceModel", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", "a", "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "b", "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "c", "}"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ssd", "=", 
  RowBox[{"StateSpaceModel", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", "a", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "b", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "c", "}"}], "}"}]}], "}"}], ",", 
    RowBox[{"SamplingPeriod", "\[Rule]", "T"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.504360008559763*^9, 3.5043600293718967`*^9}}],

Cell[BoxData[
 RowBox[{"ContinuousTimeModelQ", "/@", 
  RowBox[{"{", 
   RowBox[{"ss", ",", "ssd"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.504360008559763*^9, 3.504360037968213*^9}}],

Cell[BoxData[
 RowBox[{"DiscreteTimeModelQ", "/@", 
  RowBox[{"{", 
   RowBox[{"ss", ",", "ssd"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5043600430698385`*^9, 3.504360044193132*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.5042810451032023`*^9, 3.504281046914647*^9}}],

Cell["\<\
The following functions perform connections of control systems objects.\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SystemsModelSeriesConnect:",
 BaseStyle->"FunctionLink"]], "Item"],

Cell[TextData[{
 " ",
 Cell[BoxData[
  GraphicsBox[
   {Thickness[0.0030864197530864196`], 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{12.9917, 
      47.66550000000001}, {12.9917, 82.66750000000002}, {304.6597, 
      82.66750000000002}, {304.6597, 47.33250000000001}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      304.66020000000003`, 43.333}, {304.66020000000003`, 
      6.6669999999999945`}, {12.992200000000025`, 6.6669999999999945`}, {
      12.992200000000025`, 43.498999999999995`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{64.3682, 
      45.666500000000006`}, {63.5182, 47.80650000000001}, {72.3482, 
      45.666500000000006`}, {63.5182, 43.5275}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 45.666500000000006`}, {66.813, 
      45.666500000000006`}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{182.3691, 
      59.79830000000001}, {181.5191, 61.93930000000001}, {190.3491, 
      59.79830000000001}, {181.5191, 57.65930000000001}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{124.29, 59.79830000000001}, {
      184.81400000000002`, 59.79830000000001}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{182.9297, 
      31.3203}, {182.0797, 29.179299999999998`}, {190.9097, 31.3203}, {
      182.0797, 33.4593}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{161.32620000000003`, 31.3203}, {
      185.37520000000004`, 31.3203}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      145.95210000000003`, 31.3203}, {145.10210000000004`, 
      29.179299999999998`}, {153.93210000000002`, 31.3203}, {
      145.10210000000004`, 33.4593}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{124.3486, 31.3203}, {148.3976, 
      31.3203}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{124.349, 
      23.559}, {73.349, 23.559}, {73.349, 67.559}, {124.349, 67.559}}},
      CurveClosed->{1}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      242.35000000000002`, 23.559}, {191.35000000000002`, 23.559}, {
      191.35000000000002`, 67.559}, {242.35000000000002`, 67.559}}},
      CurveClosed->{1}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.6855, 
      45.5493}, {312.83549999999997`, 47.6893}, {321.6655, 45.5493}, {
      312.83549999999997`, 43.4103}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{242.34959999999998`, 45.5493}, {
      316.13059999999996`, 45.5493}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["y", {245.7617, 52.626000000000005`}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[
       InsetBox["2", {251.08790000000002`, 49.626000000000005`}, {
        Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["k", {256.0879, 49.626000000000005`}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["u", {19.4443, 53.0024}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {25.4443, 50.0024}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["j", {30.4443, 50.0024}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["y", {136.0239, 65.88529999999999}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {141.35010000000003`, 62.8853}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["i", {146.35010000000003`, 62.8853}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[
       InsetBox[" ", {149.12840000000003`, 65.88529999999999}, {
        Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox[
        RowBox[{"=", " "}], {152.12840000000003`, 65.88529999999999}, {
        Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[
       InsetBox["u", {161.89640000000003`, 65.88529999999999}, {
        Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["2", {167.89600000000002`, 62.8853}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["i", {172.89600000000002`, 62.8853}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["sys", {88.51660000000001, 43.2466}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {103.1826, 40.2466}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["sys", {206.51659999999998`, 43.2466}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["2", {221.1826, 40.2466}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}},
   AspectRatio->Automatic,
   ImageSize->{324., 90.},
   PlotRange->{{0., 324.}, {0., 90.}}]],
  ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}], "Picture",
 CellMargins->{{100, 100}, {20, 0}}]
}, Open  ]],

Cell["", "Spacer"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SystemsModelParallelConnect:",
 BaseStyle->"FunctionLink"]], "Item"],

Cell[TextData[Cell[BoxData[
 FormBox[
  GraphicsBox[
   {Thickness[0.0030864197530864196`], 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{12.8047, 
      139.333}, {12.8047, 158.171}, {304.63870000000003`, 158.171}, {
      304.63870000000003`, 138.666}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{12.8047, 34.}, {12.8047, 78.668}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{12.8047, 85.99900000000001}, {12.8047, 
      131.668}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{304.6387, 24.}, {
      304.6387, 3.660999999999998}, {12.804699999999968`, 
      3.660999999999998}, {12.804699999999968`, 24.666}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{304.6387, 78.}, {304.6387, 
      32.330999999999996`}}},
      CurveClosed->{0}]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
     1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
     "Round"], JoinForm["Round"], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{304.6387, 131.6533}, {304.6387, 
      85.98429999999999}}},
      CurveClosed->{0}]}, 
    {Thickness[0.0015432098765432098`], 
     StyleBox[{
       TagBox[InsetBox["+", {258.7754, 90.5889}, {Left, Baseline}],
        "InsetString"], 
       TagBox[InsetBox["+", {258.7754, 68.3289}, {Left, Baseline}],
        "InsetString"]},
      StripOnInput->False,
      FontFamily->"Arial BoldMT",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Bold"]}, 
    {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      268.7695, 82.36720000000001}, {268.7695, 79.73420000000002}, {266.6345, 
      77.59720000000002}, {263.9995, 77.59720000000002}, {261.3675, 
      77.59720000000002}, {259.2305, 79.73420000000002}, {259.2305, 
      82.36720000000001}, {259.2305, 85.00220000000002}, {261.3675, 
      87.1372}, {263.9995, 87.1372}, {266.6345, 87.1372}, {268.7695, 
      85.00220000000002}, {268.7695, 82.36720000000001}}}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      268.7695, 82.36720000000001}, {268.7695, 79.73420000000002}, {266.6345, 
      77.59720000000002}, {263.9995, 77.59720000000002}, {261.3675, 
      77.59720000000002}, {259.2305, 79.73420000000002}, {259.2305, 
      82.36720000000001}, {259.2305, 85.00220000000002}, {261.3675, 
      87.1372}, {263.9995, 87.1372}, {266.6345, 87.1372}, {268.7695, 
      85.00220000000002}, {268.7695, 82.36720000000001}}},
      CurveClosed->{1}]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["y", {188.9678, 102.708}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {194.29389999999998`, 98.708}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["k", {199.29389999999998`, 98.708}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["y", {188.9678, 62.041}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["2", {194.29389999999998`, 58.041}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["k", {199.29389999999998`, 58.041}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["u", {85.1265, 101.70700000000001`}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {91.1265, 97.70700000000001}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["i", {96.1265, 97.70700000000001}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["u", {85.1265, 61.04}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["2", {91.1265, 57.04}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["i", {96.1265, 57.04}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["sys", {149.88430000000002`, 121.042}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["1", {164.55030000000002`, 117.042}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["sys", {149.88430000000002`, 38.3745}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.037037037037037035`],
      FontSlant->"Italic"]}, 
    {Thickness[0.0030864197530864196`], 
     StyleBox[
      TagBox[InsetBox["2", {164.55030000000002`, 34.3745}, {Left, Baseline}],
       "InsetString"],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.030864197530864196`],
      FontWeight->"Roman"]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{182.64749999999998`, 29.0381}, {
      316.86349999999993`, 29.0381}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{268.7695, 82.36720000000001}, {316.8635,
       82.36720000000001}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{182.64749999999998`, 
      52.9395}, {225.80249999999998`, 52.9395}, {255.15349999999998`, 
      74.0005}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 29.0381}, {127.396, 29.0381}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 81.7051}, {51.690000000000005`, 
      81.7051}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{182.651, 
      20.371000000000002`}, {135.386, 20.371000000000002`}, {135.386, 
      60.371}, {182.651, 60.371}}},
      CurveClosed->{1}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{182.64749999999998`, 
      135.53369999999998`}, {316.86349999999993`, 135.53369999999998`}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{182.64749999999998`, 
      111.63279999999999`}, {225.80249999999998`, 111.63279999999999`}, {
      254.9465, 90.5298}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 135.53369999999998`}, {127.396, 
      135.53369999999998`}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{127.3965, 
      111.6206}, {52.02450000000002, 111.6206}, {52.02450000000002, 
      52.95159999999999}, {127.3965, 52.95159999999999}}},
      CurveClosed->{0}]}, 
    {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{182.651, 
      144.201}, {135.386, 144.201}, {135.386, 104.201}, {182.651, 104.201}}},
      CurveClosed->{1}]}, 
    {Thickness[0.0030864197530864196`], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      54.4619, 81.7051}, {54.4619, 80.38210000000001}, {53.3919, 79.3101}, {
      52.0689, 79.3101}, {50.7469, 79.3101}, {49.6729, 80.38210000000001}, {
      49.6729, 81.7051}, {49.6729, 83.0271}, {50.7469, 84.1001}, {52.0689, 
      84.1001}, {53.3919, 84.1001}, {54.4619, 83.0271}, {54.4619, 81.7051}}}],
      FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.5195, 
      29.125}, {312.66949999999997`, 31.264}, {321.4995, 29.125}, {
      312.66949999999997`, 26.986}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.5195, 
      82.36720000000001}, {312.66949999999997`, 84.5062}, {321.4995, 
      82.36720000000001}, {312.66949999999997`, 80.22820000000002}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{254.6074, 
      90.7637}, {255.1434, 93.0017}, {261.1334, 86.1717}, {
      252.68140000000002`, 89.5037}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{254.627, 
      73.78320000000001}, {255.163, 71.54520000000001}, {261.153, 78.3752}, {
      252.70100000000002`, 75.04320000000001}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.5195, 
      135.53369999999998`}, {312.66949999999997`, 137.6727}, {321.4995, 
      135.53369999999998`}, {312.66949999999997`, 133.39469999999997`}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      127.05369999999999`, 135.53369999999998`}, {126.2037, 137.6727}, {
      135.03369999999998`, 135.53369999999998`}, {126.2037, 
      133.39469999999997`}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      127.05369999999999`, 111.75}, {126.2037, 113.889}, {135.03369999999998`,
       111.75}, {126.2037, 109.611}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      127.05369999999999`, 53.}, {126.2037, 55.139}, {135.03369999999998`, 
      53.}, {126.2037, 50.861}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      127.05369999999999`, 29.216800000000003`}, {126.2037, 
      31.355800000000002`}, {135.03369999999998`, 29.216800000000003`}, {
      126.2037, 27.077800000000003`}}}]}},
   AspectRatio->Automatic,
   ImageSize->{324., 162.},
   PlotRange->{{0., 324.}, {0., 162.}}], TraditionalForm]],
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]], "Picture",
 CellMargins->{{100, 100}, {20, 0}}]
}, Open  ]],

Cell["", "Spacer"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SystemsModelFeedbackConnect:",
 BaseStyle->"FunctionLink"]], "Item"],

Cell[TextData[{
 " ",
 Cell[BoxData[
  GraphicsBox[
   {Thickness[0.001984126984126984], 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      54.571799999999996`, 77.979}, {51.645799999999994`, 76.817}, {
      54.571799999999996`, 88.891}, {57.495799999999996`, 76.817}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      54.571799999999996`, 80.32279999999999}, {54.571799999999996`, 
      37.26579999999999}, {191.33679999999998`, 37.26579999999999}, {
      191.33679999999998`, 93.26379999999999}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"u\"\>", {3.0488, 99.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[
      InsetBox["\<\"i\"\>", {9.048799999999998, 96.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"y\"\>", {162.7163, 99.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"i\"\>", {168.0425, 96.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"y\"\>", {434.5156, 99.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[
      InsetBox["\<\"i\"\>", {439.84180000000003`, 96.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"u\"\>", {272.5137, 99.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"i\"\>", {278.5137, 96.2559}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      39.9043, 101.94040000000001`}, {39.9043, 103.17640000000002`}, {42.4183,
       103.17640000000002`}, {42.4183, 105.67240000000001`}, {43.6363, 
      105.67240000000001`}, {43.6363, 103.17640000000002`}, {46.1503, 
      103.17640000000002`}, {46.1503, 101.94040000000001`}, {43.6363, 
      101.94040000000001`}, {43.6363, 99.42640000000002}, {42.4183, 
      99.42640000000002}, {42.4183, 101.94040000000001`}}}]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[{
       InsetBox["\<\"(a)\"\>", {-0.8008000000000001, 12.2549}, {
        Left, Baseline}], 
       InsetBox["\<\"(b)\"\>", {262.0952, 12.2549}, {Left, Baseline}]},
      StripOnInput->False,
      FontFamily->"Courier",
      FontSize->Scaled[0.023809523809523808`]]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{43.97, 81.013}, {
      50.216, 81.013}, {50.216, 79.777}, {43.97, 79.777}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      313.97099999999995`, 81.013}, {320.2169999999999, 81.013}, {
      320.2169999999999, 79.777}, {313.97099999999995`, 79.777}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
      0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      310.2227, 101.94040000000001`}, {310.2227, 103.17640000000002`}, {
      312.7367, 103.17640000000002`}, {312.7367, 105.67240000000001`}, {
      313.9547, 105.67240000000001`}, {313.9547, 103.17640000000002`}, {
      316.46869999999996`, 103.17640000000002`}, {316.46869999999996`, 
      101.94040000000001`}, {313.9547, 101.94040000000001`}, {313.9547, 
      99.42640000000002}, {312.7367, 99.42640000000002}, {312.7367, 
      101.94040000000001`}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{83.32079999999999,
       119.6978}, {82.15879999999999, 122.6238}, {94.2328, 119.6978}, {
      82.15879999999999, 116.7728}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 119.6978}, {87.66499999999999, 
      119.6978}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{83.32079999999999,
       93.6919}, {82.15879999999999, 96.6179}, {94.2328, 93.6919}, {
      82.15879999999999, 90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{59.270500000000006`, 93.6919}, {87.1645,
       93.6919}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{218.8369, 
      119.6978}, {217.6749, 122.6238}, {229.74890000000002`, 119.6978}, {
      217.6749, 116.7728}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{156.91989999999998`, 119.6978}, {
      223.1809, 119.6978}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{218.8369, 
      93.6919}, {217.6749, 96.6179}, {229.74890000000002`, 93.6919}, {
      217.6749, 90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{156.91989999999998`, 93.6919}, {
      222.6809, 93.6919}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{38.5889, 
      93.6919}, {37.4269, 96.6179}, {49.5009, 93.6919}, {37.4269, 
      90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 93.6919}, {42.433, 93.6919}}},
      CurveClosed->{0}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      156.92700000000002`, 85.774}, {95.09300000000002, 85.774}, {
      95.09300000000002, 127.614}, {156.92700000000002`, 127.614}}},
      CurveClosed->{1}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{428.062, 
      85.774}, {366.228, 85.774}, {366.228, 127.614}, {428.062, 127.614}}},
      CurveClosed->{1}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      325.49119999999994`, 77.979}, {322.56519999999995`, 76.817}, {
      325.49119999999994`, 88.891}, {328.4151999999999, 76.817}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{438.46389999999997`, 
      37.596700000000006`}, {463.25489999999996`, 37.596700000000006`}, {
      463.25489999999996`, 93.2637}}},
      CurveClosed->{0}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{325.49119999999994`, 
      80.32279999999999}, {325.49119999999994`, 37.59679999999998}, {
      365.96419999999995`, 37.59679999999998}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      354.23929999999996`, 119.6978}, {353.0773, 122.6238}, {
      365.15129999999994`, 119.6978}, {353.0773, 116.7728}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{271.79689999999994`, 119.6978}, {
      358.58289999999994`, 119.6978}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      440.30760000000004`, 38.0088}, {441.4696, 35.0828}, {
      429.39560000000006`, 38.0088}, {441.4696, 40.9348}}}], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
      354.23929999999996`, 93.6919}, {353.0773, 96.6179}, {
      365.15129999999994`, 93.6919}, {353.0773, 90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{330.1895, 93.6919}, {358.0835, 
      93.6919}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{489.7549, 
      119.6978}, {488.59290000000004`, 122.6238}, {500.6669, 119.6978}, {
      488.59290000000004`, 116.7728}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{427.83889999999997`, 119.6978}, {
      494.09889999999996`, 119.6978}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{489.7549, 
      93.6919}, {488.59290000000004`, 96.6179}, {500.6669, 93.6919}, {
      488.59290000000004`, 90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{427.83889999999997`, 93.6919}, {
      493.59889999999996`, 93.6919}}},
      CurveClosed->{0}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{309.5557, 
      93.6919}, {308.3937, 96.6179}, {320.4677, 93.6919}, {308.3937, 
      90.7669}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}}}, {{{271.79689999999994`, 93.6919}, {
      313.39989999999995`, 93.6919}}},
      CurveClosed->{0}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{428.062, 
      16.767999999999997`}, {366.228, 16.767999999999997`}, {366.228, 
      58.60799999999999}, {428.062, 58.60799999999999}}},
      CurveClosed->{1}]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[{
       InsetBox["\<\"sys\"\>", {117.41210000000001`, 103.7607}, {
        Left, Baseline}], 
       InsetBox["\<\"sys\"\>", {387.3761, 103.7607}, {Left, Baseline}]},
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"1\"\>", {402.0435, 99.7607}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontWeight->"Roman"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"sys\"\>", {387.3774, 36.4272}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.023809523809523808`],
      FontSlant->"Italic"]}, 
    {Thickness[0.001984126984126984], 
     StyleBox[InsetBox["\<\"2\"\>", {402.0435, 32.4272}, {Left, Baseline}],
      StripOnInput->False,
      FontFamily->"Times",
      FontSize->Scaled[0.01984126984126984],
      FontWeight->"Roman"]}, 
    {RGBColor[0.25, 0.25, 0.25], Thickness[0.000992063492063492], Opacity[1.],
      Dashing[{0.015873015873015872`, 0.005952380952380952}], 
     JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{211.345, 
      10.509}, {23.328000000000003`, 10.509}, {23.328000000000003`, 
      134.18599999999998`}, {211.345, 134.18599999999998`}}},
      CurveClosed->{1}], 
     JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{483.812, 
      10.509}, {286.132, 10.509}, {286.132, 134.18599999999998`}, {483.812, 
      134.18599999999998`}}},
      CurveClosed->{1}]}, 
    {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      330.1895, 93.6606}, {330.1895, 91.0256}, {328.0535, 88.8906}, {325.4195,
       88.8906}, {322.7865, 88.8906}, {320.6505, 91.0256}, {320.6505, 
      93.6606}, {320.6505, 96.2936}, {322.7865, 98.4306}, {325.4195, 
      98.4306}, {328.0535, 98.4306}, {330.1895, 96.2936}, {330.1895, 
      93.6606}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      330.1895, 93.6606}, {330.1895, 91.0256}, {328.0535, 88.8906}, {325.4195,
       88.8906}, {322.7865, 88.8906}, {320.6505, 91.0256}, {320.6505, 
      93.6606}, {320.6505, 96.2936}, {322.7865, 98.4306}, {325.4195, 
      98.4306}, {328.0535, 98.4306}, {330.1895, 96.2936}, {330.1895, 
      93.6606}}},
      CurveClosed->{1}]}, 
    {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      59.270500000000006`, 93.6606}, {59.270500000000006`, 91.0256}, {57.1345,
       88.8906}, {54.5005, 88.8906}, {51.86750000000001, 88.8906}, {
      49.731500000000004`, 91.0256}, {49.731500000000004`, 93.6606}, {
      49.731500000000004`, 96.2936}, {51.86750000000001, 98.4306}, {54.5005, 
      98.4306}, {57.1345, 98.4306}, {59.270500000000006`, 96.2936}, {
      59.270500000000006`, 93.6606}}}]}, 
    {JoinForm[{"Miter", 4.}], 
     JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      59.270500000000006`, 93.6606}, {59.270500000000006`, 91.0256}, {57.1345,
       88.8906}, {54.5005, 88.8906}, {51.86750000000001, 88.8906}, {
      49.731500000000004`, 91.0256}, {49.731500000000004`, 93.6606}, {
      49.731500000000004`, 96.2936}, {51.86750000000001, 98.4306}, {54.5005, 
      98.4306}, {57.1345, 98.4306}, {59.270500000000006`, 96.2936}, {
      59.270500000000006`, 93.6606}}},
      CurveClosed->{1}]}, 
    {Thickness[0.001984126984126984], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      465.6201, 93.74410000000002}, {465.6201, 92.42210000000001}, {464.5501, 
      91.34910000000002}, {463.2271, 91.34910000000002}, {461.9051, 
      91.34910000000002}, {460.8311, 92.42210000000001}, {460.8311, 
      93.74410000000002}, {460.8311, 95.06610000000002}, {461.9051, 
      96.13910000000001}, {463.2271, 96.13910000000001}, {464.5501, 
      96.13910000000001}, {465.6201, 95.06610000000002}, {465.6201, 
      93.74410000000002}}}], 
     FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
      193.5698, 93.74410000000002}, {193.5698, 92.42210000000001}, {192.4998, 
      91.34910000000002}, {191.1768, 91.34910000000002}, {189.85479999999998`,
       91.34910000000002}, {188.7808, 92.42210000000001}, {188.7808, 
      93.74410000000002}, {188.7808, 95.06610000000002}, {189.85479999999998`,
       96.13910000000001}, {191.1768, 96.13910000000001}, {192.4998, 
      96.13910000000001}, {193.5698, 95.06610000000002}, {193.5698, 
      93.74410000000002}}}]}},
   AspectRatio->Automatic,
   ImageSize->{504., 144.},
   PlotRange->{{0., 504.}, {0., 144.}}]],
  ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}], "Picture",
 CellMargins->{{100, 100}, {20, 0}}]
}, Open  ]],

Cell["", "Spacer"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SystemsModelStateFeedbackConnect:",
 BaseStyle->"FunctionLink"]], "Item"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[GraphicsGroupBox[{
    {Thickness[0.001984126984126984], 
     {Thickness[0.001984126984126984], 
      FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
       225.19973985765125`, 119.6978}, {224.03773985765127`, 122.6238}, {
       236.11173985765123`, 119.6978}, {224.03773985765127`, 116.7728}}}]}}, 
    GeometricTransformationBox[GraphicsGroupBox[{{
        {Thickness[0.001984126984126984], 
         StyleBox[InsetBox["\<\"u\"\>", {272.5137, 99.2559}, {Left, Baseline}],
          StripOnInput->False,
          FontFamily->"Times",
          FontSize->Scaled[0.023809523809523808`],
          FontSlant->"Italic"]}, 
        {Thickness[0.001984126984126984], 
         StyleBox[InsetBox["\<\"i\"\>", {278.5137, 96.2559}, {Left, Baseline}],
          StripOnInput->False,
          FontFamily->"Times",
          FontSize->Scaled[0.01984126984126984],
          FontSlant->"Italic"]}, 
        {Thickness[0.001984126984126984], 
         FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
          313.97099999999995`, 81.013}, {320.2169999999999, 81.013}, {
          320.2169999999999, 79.777}, {313.97099999999995`, 79.777}}}], 
         FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
          0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 
          0}}}, {{{310.2227, 101.94040000000001`}, {310.2227, 
          103.17640000000002`}, {312.7367, 103.17640000000002`}, {312.7367, 
          105.67240000000001`}, {313.9547, 105.67240000000001`}, {313.9547, 
          103.17640000000002`}, {316.46869999999996`, 103.17640000000002`}, {
          316.46869999999996`, 101.94040000000001`}, {313.9547, 
          101.94040000000001`}, {313.9547, 99.42640000000002}, {312.7367, 
          99.42640000000002}, {312.7367, 101.94040000000001`}}}]}, 
        {Thickness[0.001984126984126984], 
         FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
          325.49119999999994`, 77.979}, {322.56519999999995`, 76.817}, {
          325.49119999999994`, 88.891}, {328.4151999999999, 76.817}}}]}, 
        {JoinForm[{"Miter", 4.}], 
         JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{325.49119999999994`, 
          80.32279999999999}, {325.49119999999994`, 37.59679999999998}, {
          347.96419999999995`, 37.59679999999998}}},
          CurveClosed->{0}]}, 
        {JoinForm[{"Miter", 4.}], 
         JoinedCurveBox[{{{0, 2, 0}}}, {{{271.79689999999994`, 119.6978}, {
          386.58289999999994`, 119.6978}}},
          CurveClosed->{0}]}, 
        {JoinForm[{"Miter", 4.}], 
         JoinedCurveBox[{{{0, 2, 0}}}, {{{330.1895, 93.6919}, {388.0835, 
          93.6919}}},
          CurveClosed->{0}]}}, {
        {Thickness[0.001984126984126984], 
         {JoinForm[{"Miter", 4.}], 
          JoinedCurveBox[{{{0, 2, 0}}}, {{{458.83889999999997`, 119.6978}, {
           489.09889999999996`, 119.6978}}},
           CurveClosed->{0}]}, 
         {Thickness[0.001984126984126984], 
          FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{309.5557, 
           93.6919}, {308.3937, 96.6179}, {320.4677, 93.6919}, {308.3937, 
           90.7669}}}]}, 
         {JoinForm[{"Miter", 4.}], 
          JoinedCurveBox[{{{0, 2, 0}}}, {{{271.79689999999994`, 93.6919}, {
           313.39989999999995`, 93.6919}}},
           CurveClosed->{0}]}, 
         GeometricTransformationBox[
          GraphicsGroupBox[{
            JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{428.062, 
             85.774}, {366.228, 85.774}, {366.228, 127.614}, {428.062, 
             127.614}}},
             CurveClosed->{1}], 
            {Thickness[0.001984126984126984], 
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
              354.23929999999996`, 119.6978}, {353.0773, 122.6238}, {
              365.15129999999994`, 119.6978}, {353.0773, 116.7728}}}]}, 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
             354.23929999999996`, 93.6919}, {353.0773, 96.6179}, {
             365.15129999999994`, 93.6919}, {353.0773, 90.7669}}}], {
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"sys\"\>", {387.3761, 103.7607}, {Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.023809523809523808`],
               FontSlant->"Italic"]}, 
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"1\"\>", {402.0435, 99.7607}, {Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.01984126984126984],
               FontWeight->"Roman"]}}}], {{30., 0.}}], 
         GeometricTransformationBox[GraphicsGroupBox[{{
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"x\"\>", {469.5156, 69.2559}, {Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.023809523809523808`],
               FontSlant->"Italic"]}, 
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"i\"\>", {475.84180000000003`, 66.2559}, {
                Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.01984126984126984],
               FontSlant->"Italic"]}}, 
            {Thickness[0.001984126984126984], 
             FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
              440.30760000000004`, 38.0088}, {441.4696, 35.0828}, {
              429.39560000000006`, 38.0088}, {441.4696, 40.9348}}}]}, 
            {JoinForm[{"Miter", 4.}], 
             JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{428.062, 
              16.767999999999997`}, {366.228, 16.767999999999997`}, {366.228, 
              58.60799999999999}, {428.062, 58.60799999999999}}},
              CurveClosed->{1}]}, {
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"sys\"\>", {387.3774, 36.4272}, {Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.023809523809523808`],
               FontSlant->"Italic"]}, 
             {Thickness[0.001984126984126984], 
              
              StyleBox[
               InsetBox["\<\"2\"\>", {402.0435, 32.4272}, {Left, Baseline}],
               StripOnInput->False,
               FontFamily->"Times",
               FontSize->Scaled[0.01984126984126984],
               FontWeight->"Roman"]}}}], {{-16., -1.}}], 
         {RGBColor[0.25, 0.25, 0.25], Thickness[0.000992063492063492], 
          Opacity[1.], Dashing[{0.015873015873015872`, 0.005952380952380952}],
           JoinForm[{"Miter", 4.}], 
          JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{483.812, 
           10.509}, {286.132, 10.509}, {286.132, 134.18599999999998`}, {
           483.812, 134.18599999999998`}}},
           CurveClosed->{1}]}, 
         {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
          FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
           330.1895, 93.6606}, {330.1895, 91.0256}, {328.0535, 88.8906}, {
           325.4195, 88.8906}, {322.7865, 88.8906}, {320.6505, 91.0256}, {
           320.6505, 93.6606}, {320.6505, 96.2936}, {322.7865, 98.4306}, {
           325.4195, 98.4306}, {328.0535, 98.4306}, {330.1895, 96.2936}, {
           330.1895, 93.6606}}}]}, 
         {JoinForm[{"Miter", 4.}], 
          JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
           330.1895, 93.6606}, {330.1895, 91.0256}, {328.0535, 88.8906}, {
           325.4195, 88.8906}, {322.7865, 88.8906}, {320.6505, 91.0256}, {
           320.6505, 93.6606}, {320.6505, 96.2936}, {322.7865, 98.4306}, {
           325.4195, 98.4306}, {328.0535, 98.4306}, {330.1895, 96.2936}, {
           330.1895, 93.6606}}},
           CurveClosed->{1}]}}, 
        {Thickness[0.001984126984126984], JoinForm[{"Miter", 4.}], 
         JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{423.0718, 
          36.32279999999999}, {423.0718, 36.26579999999999}, {449.8368, 
          36.26579999999999}, {448.8368, 86.26379999999999}}},
          CurveClosed->{0}]}}}], {{-263.65836298932385`, 0.}}]}],
  AspectRatio->Automatic,
  ImagePadding->{{0., 0.}, {0., 0.}},
  ImageSize->{539., 158.},
  PlotRange->{{0., 504.}, {0., 144.}},
  PlotRangePadding->Automatic]],
 CellChangeTimes->{{3.4983910865944176`*^9, 3.498391583000556*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]], "Picture",
 CellMargins->{{100, 100}, {20, 0}}]
}, Open  ]],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections: Series", "Section",
 CellChangeTimes->{{3.5042813440539923`*^9, 3.5042813469585495`*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelSeriesConnect",
  BaseStyle->"FunctionLink"],
 " connects the outputs of the first system to the inputs of the second \
system.  For transfer functions this is equivalent to multiplication."
}], "Text",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}, 3.504271165988808*^9, {
   3.5042732475454745`*^9, 3.504273265801701*^9}, {3.5042733031481943`*^9, 
   3.5042733415393896`*^9}, {3.50427352204404*^9, 3.504273572626977*^9}, {
   3.5042736183939705`*^9, 3.5042736297968807`*^9}, {3.5042740949965286`*^9, 
   3.504274156077237*^9}, {3.504274211294449*^9, 3.5042742381975536`*^9}, {
   3.504274960782167*^9, 3.504274982265463*^9}, {3.5042750297365675`*^9, 
   3.5042750539323225`*^9}, {3.504275100579481*^9, 3.50427519677886*^9}, {
   3.504280717809554*^9, 3.5042807409679337`*^9}, 3.5042808617569203`*^9, {
   3.504281373099566*^9, 3.5042813821724043`*^9}, 3.5042814372809153`*^9}],

Cell[BoxData[
 RowBox[{"SystemsModelSeriesConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\"\<u1\>\""},
          {"\"\<y1\>\"", 
           FractionBox["1", 
            RowBox[{"1", "+", "z"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, {False}, False}, 
           "Rows" -> {False, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 1}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 1}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox["1",
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {
     SamplingPeriod -> 1, SystemsModelLabels -> {{"u1"}, {"y1"}}, {
      Control`CommonDump`pVar -> $CellContext`z, Hash -> 702650288}}, {
     True, True, {False, False}}}], ",", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\"\<u2\>\""},
          {"\"\<y2\>\"", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "0.5"}], "+", "z"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"0.5", "\[VeryThinSpace]", "+", "z"}], ")"}]}], 
            RowBox[{"z", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"0.7", "\[VeryThinSpace]", "+", "z"}], ")"}], "2"]}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, {False}, False}, 
           "Rows" -> {False, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 1}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 1}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox["1",
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {
     SamplingPeriod -> 1, SystemsModelLabels -> {{"u2"}, {"y2"}}, {
      Control`CommonDump`pVar -> $CellContext`z, Hash -> 1431301401}}, {
     True, True, {False, False}}}]}], "]"}]], "Input"],

Cell["Specify the connections as shown in the diagram.", "MathCaption",
 CellTags->"Functions"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[
  {Thickness[0.0030864197530864196`], 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{199.0693, 
     61.239700000000006`}, {198.2193, 63.37970000000001}, {207.0493, 
     61.239700000000006`}, {198.2193, 59.1007}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{120.2588, 
     30.5938}, {145.5598, 30.5938}, {176.20579999999998`, 61.2398}, {
     201.51479999999998`, 61.2398}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     199.01949999999997`, 30.614300000000004`}, {198.16949999999997`, 
     28.475300000000004`}, {206.99949999999995`, 30.614300000000004`}, {
     198.16949999999997`, 32.7533}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{120.2588, 
     61.2124}, {145.5598, 61.2124}, {176.1558, 30.614400000000003`}, {
     201.4648, 30.614400000000003`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{258.334, 
     22.834000000000003`}, {207.334, 22.834000000000003`}, {207.334, 
     66.834}, {258.334, 66.834}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{60.3369, 
     59.3335}, {59.4869, 61.4745}, {68.3169, 59.3335}, {59.4869, 57.1945}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 59.3335}, {62.782000000000004`, 
     59.3335}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{60.8984, 
     30.8555}, {60.0484, 28.7145}, {68.8784, 30.8555}, {60.0484, 32.9945}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 30.8555}, {63.343999999999994`, 
     30.8555}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     120.31700000000001`, 23.094}, {69.31700000000001, 23.094}, {
     69.31700000000001, 67.094}, {120.31700000000001`, 67.094}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{314.0195, 
     45.0845}, {313.16949999999997`, 47.2245}, {321.9995, 45.0845}, {
     313.16949999999997`, 42.945499999999996`}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{258.334, 45.0845}, {316.46500000000003`, 
     45.0845}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{13.3247, 32.7598}, {13.3247, 
     57.425799999999995`}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     304.99319999999994`, 42.507799999999996`}, {304.99319999999994`, 
     6.417799999999993}, {13.325199999999938`, 6.417799999999993}, {
     13.325199999999938`, 29.091799999999996`}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{13.3247, 
     61.926300000000005`}, {13.3247, 82.41730000000001}, {304.9927, 
     82.41730000000001}, {304.9927, 46.92530000000001}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["u", {180.26459999999997`, 67.15969999999999}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["21", {186.26459999999997`, 64.15969999999999}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["u", {180.65820000000002`, 36.465300000000006`}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["22", {186.65820000000002`, 33.465300000000006`}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["y", {123.8486, 67.15969999999999}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["11", {129.17479999999998`, 64.15969999999999}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["y", {123.0591, 36.465300000000006`}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[
      InsetBox["12", {128.38530000000003`, 33.465300000000006`}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["y", {262.4658, 51.1602}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["21", {267.792, 48.1602}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["u", {41.5825, 65.4204}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["11", {47.5825, 62.4204}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["u", {41.793000000000006`, 36.4204}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[
     TagBox[InsetBox["12", {47.793000000000006`, 33.4204}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[{
      TagBox[InsetBox["ss1", {83.5156, 42.7817}, {Left, Baseline}],
       "InsetString"], 
      TagBox[InsetBox["ss2", {221.5276, 42.7817}, {Left, Baseline}],
       "InsetString"]},
     StripOnInput->False,
     FontFamily->"Courier",
     FontSize->Scaled[0.037037037037037035`]]}},
  AspectRatio->Automatic,
  ImageSize->{324., 90.},
  PlotRange->{{0., 324.}, {0., 90.}}]]]], "Picture",
 CellMargins->{{100, 100}, {20, 0}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"SystemsModelSeriesConnect", "[", 
  RowBox[{
   TemplateBox[{RowBox[{"-", "1"}],"1",RowBox[{"-", 
       FractionBox["1", "2"]}],"1","0","0","2","0","0",InterpretationBox[
     "\[InvisibleSpace]", None],SubscriptBox["u", "11"],SubscriptBox[
     "u", "12"],SubscriptBox["y", "11"],SubscriptBox["y", "12"]},
    "StateSpaceModel",
    DisplayFunction->(SubsuperscriptBox[
      RowBox[{"(", 
        GridBox[{{"", "", #11, #12}, {"", 
           TemplateSlotSequence[{1, 3}]}, {#13, 
           TemplateSlotSequence[{4, 6}]}, {#14, 
           TemplateSlotSequence[{7, 9}]}}, AllowedDimensions -> {4, 4}, 
         AutoDelete -> False, AllowScriptLevelChange -> False, 
         ColumnAlignments -> {Center}, BaseStyle -> {Deployed -> False}, 
         GridBoxItemStyle -> {"Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}}, 
         GridBoxDividers -> {
          "Rows" -> {False, True, True, {False}, False}, 
           "Columns" -> {False, True, True, {False}, False}}], ")"}], #10, 
      "\[ScriptCapitalS]", MultilineFunction -> None]& ),
    InterpretationFunction->(RowBox[{"StateSpaceModel", "[", 
       RowBox[{"{", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{1, 1}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{2, 3}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{4, 4}, ","], "}"}], ",", 
           RowBox[{"{", 
             TemplateSlotSequence[{7, 7}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{5, 6}, ","], "}"}], ",", 
           RowBox[{"{", 
             TemplateSlotSequence[{8, 9}, ","], "}"}], "}"}], "}"}], ",", 
       "SamplingPeriod", "->", 
       RowBox[{#10}], ",", "SystemsModelLabels", "->", 
       RowBox[{"{", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{#11, ",", #12}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#13, ",", #14}], "}"}]}], "}"}], "]"}]& )], ",", 
   TemplateBox[{
    "0","1","1","0",RowBox[{"-", "1"}],FractionBox["1", "2"],"0",FractionBox[
     "1", "3"],"1","0","0","0",InterpretationBox["\[InvisibleSpace]", None],
     SubscriptBox["u", "21"],SubscriptBox["u", "22"],SubscriptBox["y", "21"]},
    "StateSpaceModel",
    DisplayFunction->(SubsuperscriptBox[
      RowBox[{"(", 
        GridBox[{{"", "", "", #14, #15}, {"", 
           TemplateSlotSequence[{1, 4}]}, {"", 
           TemplateSlotSequence[{5, 8}]}, {#16, 
           TemplateSlotSequence[{9, 12}]}}, AllowedDimensions -> {5, 4}, 
         AutoDelete -> False, AllowScriptLevelChange -> False, 
         ColumnAlignments -> {Center}, BaseStyle -> {Deployed -> False}, 
         GridBoxItemStyle -> {"Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}}, 
         GridBoxDividers -> {
          "Rows" -> {False, True, False, True, {False}, False}, 
           "Columns" -> {False, True, False, True, {False}, False}}], 
        ")"}], #13, "\[ScriptCapitalS]", MultilineFunction -> None]& ),
    InterpretationFunction->(RowBox[{"StateSpaceModel", "[", 
       RowBox[{"{", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{1, 2}, ","], "}"}], ",", 
           RowBox[{"{", 
             TemplateSlotSequence[{5, 6}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{3, 4}, ","], "}"}], ",", 
           RowBox[{"{", 
             TemplateSlotSequence[{7, 8}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{9, 10}, ","], "}"}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{"{", 
             TemplateSlotSequence[{11, 12}, ","], "}"}], "}"}], "}"}], ",", 
       "SamplingPeriod", "->", 
       RowBox[{#13}], ",", "SystemsModelLabels", "->", 
       RowBox[{"{", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{#14, ",", #15}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#16, ",", 
               SubscriptBox["y", "22"]}], "}"}]}], "}"}], "]"}]& )], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "11"], ",", 
       SubscriptBox["u", "22"]}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.50506227515255*^9, {3.5220576616731253`*^9, 3.5220576694231253`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections: Parallel", "Section",
 CellChangeTimes->{{3.5042813440539923`*^9, 3.5042813469585495`*^9}, {
  3.5042814317060385`*^9, 3.504281432752304*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelParallelConnect",
  BaseStyle->"FunctionLink"],
 " ",
 "merges the inputs of the two systems and sums the outputs.  For transfer \
functions this is equivalent to addition."
}], "Text",
 CellChangeTimes->{
  3.5042690408491526`*^9, {3.504269456034639*^9, 3.5042694661959286`*^9}, {
   3.504269503615033*^9, 3.504269512950329*^9}, 3.504270972971784*^9, {
   3.504271096241458*^9, 3.5042711128093762`*^9}, 3.504271165988808*^9, {
   3.5042732475454745`*^9, 3.504273265801701*^9}, {3.5042733031481943`*^9, 
   3.5042733415393896`*^9}, {3.50427352204404*^9, 3.504273572626977*^9}, {
   3.5042736183939705`*^9, 3.5042736297968807`*^9}, {3.5042740949965286`*^9, 
   3.504274156077237*^9}, {3.504274211294449*^9, 3.5042742381975536`*^9}, {
   3.504274960782167*^9, 3.504274982265463*^9}, {3.5042750297365675`*^9, 
   3.5042750539323225`*^9}, {3.504275100579481*^9, 3.50427519677886*^9}, {
   3.504280717809554*^9, 3.5042807409679337`*^9}, 3.5042808617569203`*^9, {
   3.504281373099566*^9, 3.5042813821724043`*^9}, {3.504281439920002*^9, 
   3.50428145333406*^9}}],

Cell[BoxData[
 RowBox[{"SystemsModelParallelConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox["1", 
            RowBox[{"1", "+", "z"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox["1",
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {
     SamplingPeriod -> 1, {
      Control`CommonDump`pVar -> $CellContext`z, Hash -> 702650288}}}], ",", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox["z", 
            RowBox[{"2", "+", "z"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox["1",
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {
     SamplingPeriod -> 1, {
      Control`CommonDump`pVar -> $CellContext`z, Hash -> 1877073580}}}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.504281459143175*^9}],

Cell[TextData[{
 "Specify the connections as shown in the diagram.  For all connection \
functions, the ",
 ButtonBox["SystemsModelLabels",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SystemsModelLabels"],
 " values can be used instead of the indices."
}], "MathCaption",
 CellTags->"Functions"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[
  {Thickness[0.0030864197530864196`], 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{12.9717, 
     125.5029}, {12.9717, 158.1679}, {304.63870000000003`, 158.1679}, {
     304.63870000000003`, 122.8369}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{12.9717, 67.8291}, {12.9717, 
     117.83609999999999`}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{304.6387, 
     47.161100000000005`}, {304.6387, 3.6691000000000003`}, {
     12.971699999999942`, 3.6691000000000003`}, {12.971699999999942`, 
     61.49510000000001}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{304.6387, 99.5029}, {304.6387, 53.8289}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], CapForm[
    "Round"], JoinForm["Round"], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{304.6387, 117.1694}, {304.6387, 
     105.8364}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0015432098765432098`], 
    StyleBox[{
      TagBox[InsetBox["+", {244.32130000000004`, 124.2686}, {Left, Baseline}],
       "InsetString"], 
      TagBox[
       InsetBox["+", {244.32130000000004`, 109.01660000000001`}, {
        Left, Baseline}],
       "InsetString"]},
     StripOnInput->False,
     FontFamily->"Arial BoldMT",
     FontSize->Scaled[0.037037037037037035`],
     FontWeight->"Bold"]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{128.8076, 
     135.66459999999998`}, {127.95760000000001`, 137.8036}, {136.7876, 
     135.66459999999998`}, {127.95760000000001`, 133.52559999999997`}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{128.8076, 
     109.17139999999999`}, {127.95760000000001`, 111.31039999999999`}, {
     136.7876, 109.17139999999999`}, {127.95760000000001`, 107.0324}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{181.824, 
     100.838}, {137.38600000000002`, 100.838}, {137.38600000000002`, 
     140.838}, {181.824, 140.838}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["ss1", {148.78810000000001`, 117.8477}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Courier",
     FontSize->Scaled[0.037037037037037035`]]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{128.8076, 
     50.16310000000001}, {127.95760000000001`, 52.30210000000001}, {136.7876, 
     50.16310000000001}, {127.95760000000001`, 48.024100000000004`}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{131.2529, 
     50.16310000000001}, {66.63690000000001, 50.16310000000001}, {
     66.63690000000001, 135.66410000000002`}, {131.2529, 
     135.66410000000002`}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{128.8076, 
     23.4971}, {127.95760000000001`, 25.6361}, {136.7876, 23.4971}, {
     127.95760000000001`, 21.3581}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{131.2529, 
     23.4971}, {37.13890000000001, 23.4971}, {37.13890000000001, 109.1711}, {
     131.2529, 109.1711}}},
     CurveClosed->{0}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{181.824, 18.497}, {
     137.38600000000002`, 18.497}, {137.38600000000002`, 55.497}, {181.824, 
     55.497}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["ss2", {148.78810000000001`, 34.5088}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Courier",
     FontSize->Scaled[0.037037037037037035`]]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 122.3384}, {66.41400000000002, 
     122.3384}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{68.8096,
      122.3384}, {68.8096, 121.01639999999999`}, {67.7386, 119.9434}, {
     66.4166, 119.9434}, {65.09360000000001, 119.9434}, {64.0196, 
     121.01639999999999`}, {64.0196, 122.3384}, {64.0196, 123.6604}, {
     65.09360000000001, 124.73339999999999`}, {66.4166, 
     124.73339999999999`}, {67.7386, 124.73339999999999`}, {68.8096, 
     123.6604}, {68.8096, 122.3384}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 64.8311}, {37.139, 64.8311}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{39.5342,
      64.8311}, {39.5342, 63.509100000000004`}, {38.4632, 
     62.43610000000001}, {37.1412, 62.43610000000001}, {35.8182, 
     62.43610000000001}, {34.7442, 63.509100000000004`}, {34.7442, 64.8311}, {
     34.7442, 66.15310000000001}, {35.8182, 67.2261}, {37.1412, 67.2261}, {
     38.4632, 67.2261}, {39.5342, 66.15310000000001}, {39.5342, 64.8311}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{254.3896, 
     107.0884}, {252.2506, 106.2384}, {254.3896, 115.0684}, {256.5286, 
     106.2384}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{254.3896, 109.5337}, {
     254.3896, 22.49669999999999}, {181.8246, 22.49669999999999}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{254.3896, 
     132.79149999999998`}, {252.2506, 133.64149999999998`}, {254.3896, 
     124.81149999999998`}, {256.5286, 133.64149999999998`}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{254.3896, 130.3462}, {
     254.3896, 137.66420000000002`}, {181.8246, 137.66420000000002`}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.3535, 
     119.84720000000002`}, {312.5035, 121.98720000000002`}, {321.3335, 
     119.84720000000002`}, {312.5035, 117.70820000000002`}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{259.0928, 119.84720000000002`}, {
     315.7988, 119.84720000000002`}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.3535, 
     102.9741}, {312.5035, 105.11410000000001`}, {321.3335, 102.9741}, {
     312.5035, 100.83510000000001`}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{181.82420000000002`, 102.9741}, {
     315.04920000000004`, 102.9741}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.3535, 
     50.3311}, {312.5035, 52.4701}, {321.3335, 50.3311}, {312.5035, 
     48.192099999999996`}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{181.82420000000002`, 50.3311}, {
     315.79920000000004`, 50.3311}}},
     CurveClosed->{0}]}, 
   {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
     259.0928, 119.8384}, {259.0928, 117.20439999999999`}, {256.9578, 
     115.0684}, {254.3228, 115.0684}, {251.69080000000002`, 115.0684}, {
     249.55380000000002`, 117.20439999999999`}, {249.55380000000002`, 
     119.8384}, {249.55380000000002`, 122.4724}, {251.69080000000002`, 
     124.60839999999999`}, {254.3228, 124.60839999999999`}, {256.9578, 
     124.60839999999999`}, {259.0928, 122.4724}, {259.0928, 119.8384}}}]}, 
   {CapForm["Butt"], JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
     259.0928, 119.8384}, {259.0928, 117.20439999999999`}, {256.9578, 
     115.0684}, {254.3228, 115.0684}, {251.69080000000002`, 115.0684}, {
     249.55380000000002`, 117.20439999999999`}, {249.55380000000002`, 
     119.8384}, {249.55380000000002`, 122.4724}, {251.69080000000002`, 
     124.60839999999999`}, {254.3228, 124.60839999999999`}, {256.9578, 
     124.60839999999999`}, {259.0928, 122.4724}, {259.0928, 119.8384}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {110.7241, 142.2505}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["11", {116.7241, 139.2505}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {185.5957, 143.2505}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["11", {190.92190000000002`, 140.2505}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {185.4126, 109.1362}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["12", {190.7388, 106.1362}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {185.4126, 56.5771}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["21", {190.7388, 53.5771}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {185.4126, 29.8281}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["22", {190.7388, 26.8281}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {110.54100000000001`, 114.75}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["12", {116.54100000000001`, 111.75}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {110.54100000000001`, 56.1606}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["21", {116.54100000000001`, 53.1606}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {110.54100000000001`, 29.6602}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["22", {116.54100000000001`, 26.6602}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}},
  AspectRatio->Automatic,
  ImageSize->{308., 154.},
  PlotRange->{{0., 324.}, {0., 162.}}]]]], "Picture",
 CellMargins->{{100, 100}, {20, 0}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"SystemsModelParallelConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\<\"\"\>", 
           SubscriptBox["u", "11"], 
           SubscriptBox["u", "12"]},
          {"\<\"\"\>", 
           RowBox[{"-", "1"}], "1", 
           RowBox[{"-", 
            FractionBox["1", "2"]}]},
          {
           SubscriptBox["y", "11"], "1", "0", "0"},
          {
           SubscriptBox["y", "12"], "2", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, True, {False}, False}, 
           "Rows" -> {False, True, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 2}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 2}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SystemsModelLabels -> {{
         Subscript[$CellContext`u, 11], 
         Subscript[$CellContext`u, 12]}, {
         Subscript[$CellContext`y, 11], 
         Subscript[$CellContext`y, 12]}}, Control`CommonDump`noD -> True}, {
     True, True, {False, False}}}], ",", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", 
           SubscriptBox["u", "21"], 
           SubscriptBox["u", "22"]},
          {"\<\"\"\>", "0", "1", "1", "0"},
          {"\<\"\"\>", 
           RowBox[{"-", "1"}], 
           FractionBox["1", "2"], "0", 
           FractionBox["1", "3"]},
          {
           SubscriptBox["y", "21"], "1", "0", "0", "0"},
          {
           SubscriptBox["y", "22"], "0", "2", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, False, True, {False}, False}, 
           "Rows" -> {False, True, False, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 3}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 3}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SystemsModelLabels -> {{
         Subscript[$CellContext`u, 21], 
         Subscript[$CellContext`u, 22]}, {
         Subscript[$CellContext`y, 21], 
         Subscript[$CellContext`y, 22]}}, Control`CommonDump`noD -> True}, {
     True, True, {False, False}}}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["u", "11"], ",", 
       SubscriptBox["u", "21"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["u", "12"], ",", 
       SubscriptBox["u", "22"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "11"], ",", 
      SubscriptBox["y", "22"]}], "}"}], "}"}]}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections: Feedback", "Section",
 CellChangeTimes->{{3.5042813440539923`*^9, 3.5042813469585495`*^9}, {
  3.5042814317060385`*^9, 3.504281432752304*^9}, {3.504281496121626*^9, 
  3.5042814994634285`*^9}}],

Cell[TextData[{
 ButtonBox["SystemsModelFeedbackConnect",
  BaseStyle->"FunctionLink"],
 " accepts either one system or two systems.  In the one system case, the \
system\[CloseCurlyQuote]s outputs are summed with its inputs to form the new \
system inputs."
}], "Text"],

Cell[TextData[{
 "The connections in ",
 ButtonBox["SystemsModelFeedbackConnect",
  BaseStyle->"FunctionLink"],
 " take a feedback type as a third argument.  ",
 StyleBox["\"Negative\"", "MR"],
 " and ",
 StyleBox["\"Positive\"", "MR"],
 " are accepted feedback types with ",
 StyleBox["\"Negative\"", "MR"],
 " as the default."
}], "Text"],

Cell[TextData[{
 "For a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 ", a feedback connection is essentially equivalent to:"
}], "MathCaption"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{"tf", "(", "s", ")"}], 
   RowBox[{"1", "\[MinusPlus]", 
    RowBox[{"tf", "(", "s", ")"}]}]], TraditionalForm]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SystemsModelFeedbackConnect", "[", 
    RowBox[{
     TagBox[
      SubsuperscriptBox[
       FormBox[
        TagBox[
         RowBox[{"(", "\[NoBreak]", GridBox[{
            {
             FractionBox["1", 
              RowBox[{"1", "+", "z"}]]}
           },
           AllowScriptLevelChange->False,
           BaseStyle->{Deployed -> False},
           
           GridBoxAlignment->{
            "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
           
           GridBoxItemStyle->{
            "ItemsIndexed" -> {{{1, 1}, {}} -> {
                Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
                 1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.7]}, 
               Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]],
        StandardForm], 
       FormBox["1",
        StandardForm], 
       FormBox[
        StyleBox["\<\"\[ScriptCapitalT]\"\>",
         Editable->False,
         ShowStringCharacters->False],
        StandardForm],
       MultilineFunction->None],
      {TransferFunctionModel, {
       SamplingPeriod -> 1, {
        Control`CommonDump`pVar -> $CellContext`z, Hash -> 702650288}}}], ",",
      " ", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "#"}], "}"}], "}"}]}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"\"\<Negative\>\"", ",", " ", "\"\<Positive\>\""}], 
   "}"}]}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections: Feedback", "Section",
 CellChangeTimes->{{3.5042813440539923`*^9, 3.5042813469585495`*^9}, {
  3.5042814317060385`*^9, 3.504281432752304*^9}, {3.504281496121626*^9, 
  3.5042814994634285`*^9}}],

Cell["\<\
When two systems are used, the second system is placed in the feedback loop.  \
\>", "Text"],

Cell["\<\
The specified outputs of the first system are sequentially connected to the \
inputs of the second system.  Similarly, the outputs of the second system are \
sequentially connected to the specified inputs of the first system.\
\>", "Text"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[
  {Thickness[0.0030864197530864196`], 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{172.6846, 134.60840000000002`}, {
     314.97659999999996`, 134.60840000000002`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{172.6846, 107.27539999999999`}, {
     314.97659999999996`, 107.27539999999999`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{64.6436, 134.60840000000002`}, {
     123.35860000000001`, 134.60840000000002`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{91.8809, 107.27539999999999`}, {122.3579,
      107.27539999999999`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{59.777300000000004`, 
     123.67379999999999`}, {59.777300000000004`, 25.26479999999998}, {
     130.6823, 25.26479999999998}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{87.0977, 96.3418}, {87.0977, 
     52.59780000000001}, {130.35070000000002`, 52.59780000000001}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 134.60840000000002`}, {
     48.62500000000001, 134.60840000000002`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{0., 107.27539999999999`}, {82.342, 
     107.27539999999999`}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{172.517, 
     100.45100000000001`}, {130.683, 100.45100000000001`}, {130.683, 
     142.284}, {172.517, 142.284}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["ss1", {140.8838, 118.26610000000001`}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Courier",
     FontSize->Scaled[0.037037037037037035`]]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{179.0088, 52.6016}, {239.4998,
      52.6016}, {239.4998, 134.0166}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}}}, {{{179.0088, 
     25.268599999999996`}, {276.3328, 25.268599999999996`}, {276.3328, 
     106.2756}}},
     CurveClosed->{0}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{172.517, 18.444}, {
     130.683, 18.444}, {130.683, 60.277}, {172.517, 60.277}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[
      InsetBox["ss", {144.48440000000002`, 36.26370000000001}, {
       Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Courier",
     FontSize->Scaled[0.037037037037037035`]]}, 
   {Thickness[0.0015432098765432098`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
     0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     45.4199, 141.19240000000002`}, {45.4199, 142.22240000000002`}, {47.5149, 
     142.22240000000002`}, {47.5149, 144.30240000000003`}, {48.5299, 
     144.30240000000003`}, {48.5299, 142.22240000000002`}, {50.6249, 
     142.22240000000002`}, {50.6249, 141.19240000000002`}, {48.5299, 
     141.19240000000002`}, {48.5299, 139.09740000000002`}, {47.5149, 
     139.09740000000002`}, {47.5149, 141.19240000000002`}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{49.906, 
     125.91100000000002`}, {55.043, 125.91100000000002`}, {55.043, 
     125.00800000000001`}, {49.906, 125.00800000000001`}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
     0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     77.0815, 114.1113}, {77.0815, 115.1413}, {79.1765, 115.1413}, {79.1765, 
     117.2213}, {80.1915, 117.2213}, {80.1915, 115.1413}, {82.2865, 
     115.1413}, {82.2865, 114.1113}, {80.1915, 114.1113}, {80.1915, 
     112.0163}, {79.1765, 112.0163}, {79.1765, 114.1113}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {
     0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     76.91310000000001, 97.9775}, {76.91310000000001, 99.00750000000001}, {
     79.00810000000001, 99.00750000000001}, {79.00810000000001, 101.0875}, {
     80.02310000000001, 101.0875}, {80.02310000000001, 99.00750000000001}, {
     82.11810000000001, 99.00750000000001}, {82.11810000000001, 97.9775}, {
     80.02310000000001, 97.9775}, {80.02310000000001, 95.88250000000001}, {
     79.00810000000001, 95.88250000000001}, {79.00810000000001, 97.9775}}}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], 
    JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{13., 109.00829999999999`}, {13., 
     132.2583}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], 
    JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{304.501, 
     104.50829999999999`}, {304.501, 2.498299999999986}, {13., 
     2.498299999999986}, {13., 105.25829999999999`}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], 
    JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}}}, {{{304.501, 132.2578}, {304.501, 109.5078}}},
     CurveClosed->{0}]}, 
   {RGBColor[0.25, 0.25, 0.25], Thickness[0.0015432098765432098`], Opacity[
    1.], Dashing[{0.024691358024691357`, 0.009259259259259259}], 
    JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{13., 136.7578}, {
     13., 159.5038}, {304.501, 159.5038}, {304.501, 136.7578}}},
     CurveClosed->{0}]}, 
   {Thickness[0.0015432098765432098`], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{87.0977, 
     94.70020000000001}, {84.95870000000001, 93.85020000000002}, {87.0977, 
     102.68020000000001`}, {89.2367, 93.85020000000002}}}]}, 
   {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{91.8809,
      107.4497}, {91.8809, 104.8157}, {89.7449, 102.6807}, {87.1109, 
     102.6807}, {84.47789999999999, 102.6807}, {82.3419, 104.8157}, {82.3419, 
     107.4497}, {82.3419, 110.08370000000001`}, {84.47789999999999, 
     112.2197}, {87.1109, 112.2197}, {89.7449, 112.2197}, {91.8809, 
     110.08370000000001`}, {91.8809, 107.4497}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{91.8809,
      107.4497}, {91.8809, 104.8157}, {89.7449, 102.6807}, {87.1109, 
     102.6807}, {84.47789999999999, 102.6807}, {82.3419, 104.8157}, {82.3419, 
     107.4497}, {82.3419, 110.08370000000001`}, {84.47789999999999, 
     112.2197}, {87.1109, 112.2197}, {89.7449, 112.2197}, {91.8809, 
     110.08370000000001`}, {91.8809, 107.4497}}},
     CurveClosed->{1}]}, 
   {FaceForm[{RGBColor[0.863, 0.895, 0.891], Opacity[1.]}], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{64.6436,
      134.6992}, {64.6436, 132.0652}, {62.507600000000004`, 
     129.93019999999999`}, {59.8736, 129.93019999999999`}, {57.24060000000001,
      129.93019999999999`}, {55.104600000000005`, 132.0652}, {
     55.104600000000005`, 134.6992}, {55.104600000000005`, 
     137.33319999999998`}, {57.24060000000001, 139.4692}, {59.8736, 
     139.4692}, {62.507600000000004`, 139.4692}, {64.6436, 
     137.33319999999998`}, {64.6436, 134.6992}}}]}, 
   {JoinForm[{"Miter", 4.}], 
    JoinedCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{64.6436,
      134.6992}, {64.6436, 132.0652}, {62.507600000000004`, 
     129.93019999999999`}, {59.8736, 129.93019999999999`}, {57.24060000000001,
      129.93019999999999`}, {55.104600000000005`, 132.0652}, {
     55.104600000000005`, 134.6992}, {55.104600000000005`, 
     137.33319999999998`}, {57.24060000000001, 139.4692}, {59.8736, 
     139.4692}, {62.507600000000004`, 139.4692}, {64.6436, 
     137.33319999999998`}, {64.6436, 134.6992}}},
     CurveClosed->{1}]}, 
   {Thickness[0.0030864197530864196`], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
     241.8955, 134.60840000000002`}, {241.8955, 133.28640000000001`}, {
     240.8255, 132.2134}, {239.5025, 132.2134}, {238.1805, 132.2134}, {
     237.1065, 133.28640000000001`}, {237.1065, 134.60840000000002`}, {
     237.1065, 135.93040000000002`}, {238.1805, 137.00340000000003`}, {
     239.5025, 137.00340000000003`}, {240.8255, 137.00340000000003`}, {
     241.8955, 135.93040000000002`}, {241.8955, 134.60840000000002`}}}], 
    FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}}}, {{{
     278.72749999999996`, 107.27539999999999`}, {278.72749999999996`, 
     105.95339999999999`}, {277.65749999999997`, 104.8804}, {276.3345, 
     104.8804}, {275.0125, 104.8804}, {273.9385, 105.95339999999999`}, {
     273.9385, 107.27539999999999`}, {273.9385, 108.5974}, {275.0125, 
     109.67039999999999`}, {276.3345, 109.67039999999999`}, {
     277.65749999999997`, 109.67039999999999`}, {278.72749999999996`, 
     108.5974}, {278.72749999999996`, 107.27539999999999`}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{121.9453, 
     107.27539999999999`}, {121.09530000000001`, 109.41439999999999`}, {
     129.9253, 107.27539999999999`}, {121.09530000000001`, 105.1364}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     59.777300000000004`, 121.9497}, {57.6383, 121.09970000000001`}, {
     59.777300000000004`, 129.9297}, {61.91630000000001, 
     121.09970000000001`}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{47.124, 
     134.60840000000002`}, {46.274, 136.74740000000003`}, {55.104, 
     134.60840000000002`}, {46.274, 132.4694}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{122.7021, 
     134.60840000000002`}, {121.85210000000001`, 136.74740000000003`}, {
     130.6821, 134.60840000000002`}, {121.85210000000001`, 132.4694}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{313.0195, 
     107.27539999999999`}, {312.16949999999997`, 109.41439999999999`}, {
     320.9995, 107.27539999999999`}, {312.16949999999997`, 105.1364}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     313.77639999999997`, 134.60840000000002`}, {312.92639999999994`, 
     136.74740000000003`}, {321.7564, 134.60840000000002`}, {
     312.92639999999994`, 132.4694}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     180.49710000000002`, 52.6016}, {181.3471, 50.462599999999995`}, {
     172.51710000000003`, 52.6016}, {181.3471, 54.7406}}}], 
    FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{
     180.49710000000002`, 25.268599999999996`}, {181.3471, 
     23.129599999999996`}, {172.51710000000003`, 25.268599999999996`}, {
     181.3471, 27.407599999999995`}}}]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {18.978499999999997`, 140.5215}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["11", {24.978499999999997`, 137.5215}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {18.795399999999997`, 112.6021}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["12", {24.795399999999997`, 109.6021}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {180.9053, 140.5215}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["11", {186.2314, 137.5215}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {180.72220000000002`, 112.6021}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["12", {186.0483, 109.6021}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {106.3843, 58.8384}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["21", {111.7104, 55.8384}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["y", {106.3843, 30.9189}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["22", {111.7104, 27.9189}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {183.38090000000003`, 58.8384}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["21", {189.38090000000003`, 55.8384}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["u", {183.38090000000003`, 30.9189}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.037037037037037035`],
     FontSlant->"Italic"]}, 
   {Thickness[0.0030864197530864196`], 
    StyleBox[
     TagBox[InsetBox["22", {189.38090000000003`, 27.9189}, {Left, Baseline}],
      "InsetString"],
     StripOnInput->False,
     FontFamily->"Times",
     FontSize->Scaled[0.030864197530864196`],
     FontWeight->"Roman"]}},
  AspectRatio->Automatic,
  ImageSize->{429., 219.},
  PlotRange->{{0., 324.}, {0., 162.}}]]]], "Picture"],

Cell[BoxData[
 RowBox[{"SystemsModelFeedbackConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\<\"\"\>", 
           SubscriptBox["u", "11"], 
           SubscriptBox["u", "12"]},
          {"\<\"\"\>", 
           RowBox[{"-", "1"}], "1", 
           RowBox[{"-", 
            FractionBox["1", "2"]}]},
          {
           SubscriptBox["y", "11"], "1", "0", "0"},
          {
           SubscriptBox["y", "12"], "2", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, True, {False}, False}, 
           "Rows" -> {False, True, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 2}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 2}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SystemsModelLabels -> {{
         Subscript[$CellContext`u, 11], 
         Subscript[$CellContext`u, 12]}, {
         Subscript[$CellContext`y, 11], 
         Subscript[$CellContext`y, 12]}}, Control`CommonDump`noD -> True}, {
     True, True, {False, False}}}], ",", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", 
           SubscriptBox["u", "21"], 
           SubscriptBox["u", "22"]},
          {"\<\"\"\>", "0", "1", "1", "0"},
          {"\<\"\"\>", 
           RowBox[{"-", "1"}], 
           FractionBox["1", "2"], "0", 
           FractionBox["1", "3"]},
          {
           SubscriptBox["y", "21"], "1", "0", "0", "0"},
          {
           SubscriptBox["y", "22"], "0", "2", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, False, True, {False}, False}, 
           "Rows" -> {False, True, False, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 3}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 3}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SystemsModelLabels -> {{
         Subscript[$CellContext`u, 21], 
         Subscript[$CellContext`u, 22]}, {
         Subscript[$CellContext`y, 21], 
         Subscript[$CellContext`y, 22]}}, Control`CommonDump`noD -> True}, {
     True, True, {False, False}}}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "\"\<Positive\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "\"\<Negative\>\""}], "}"}]}], "}"}]}], 
  "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model Connections: State feedback", "Section"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", the states can be fed back to a controller instead of the outputs. ",
 ButtonBox["SystemsModelFeedbackConnect",
  BaseStyle->"FunctionLink"],
 " takes a ",
 ButtonBox["StateSpaceModel ",
  BaseStyle->"FunctionLink"],
 "and a controller, which can either be a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " or a matrix."
}], "Text"],

Cell[BoxData[
 RowBox[{"SystemsModelStateFeedbackConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"a", "b"},
          {"c", "d"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, {False}, False}, 
           "Rows" -> {False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {}}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "k", "}"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 "Like in ",
 ButtonBox["SystemsModelFeedbackConnect",
  BaseStyle->"FunctionLink"],
 ", a feedback type can be specified in the connections."
}], "MathCaption",
 CellChangeTimes->{{3.5042823980803947`*^9, 3.5042824027339325`*^9}, {
  3.504282454500641*^9, 3.5042824567493305`*^9}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"SystemsModelStateFeedbackConnect", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", 
           SubscriptBox["u", "1"], 
           SubscriptBox["u", "2"]},
          {"\<\"\"\>", "0", "1", "1", "0"},
          {"\<\"\"\>", 
           RowBox[{"-", "1"}], 
           FractionBox["1", "2"], "0", 
           FractionBox["1", "3"]},
          {"y", "1", "0", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, False, True, {False}, False}, 
           "Rows" -> {False, True, False, True, {False}, False}},
         GridBoxItemStyle->{"Columns" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "Rows" -> {{Smaller, 
              GrayLevel[0.5], ShowSyntaxStyles -> False, 
              InputFieldBoxOptions -> {
               FieldSize -> Tiny, BaseStyle -> {Smaller, 
                  GrayLevel[0.5], TextAlignment -> Center}, 
                Alignment -> {Center, Automatic}}}, {Automatic}}, 
           "ItemsIndexed" -> {{{1, 1}, {1, 3}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{1, 3}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SystemsModelLabels -> {{
         Subscript[$CellContext`u, 1], 
         Subscript[$CellContext`u, 2]}, {$CellContext`y}}, 
      Control`CommonDump`noD -> True}, {True, True, {False, False}}}], ",", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"s", " ", "T"}]}], ")"}], " ", "\[Alpha]", " ", 
             SubscriptBox["k", "1"]}], 
            RowBox[{"1", "+", 
             RowBox[{"T", " ", "\[Alpha]", " ", "s"}]}]], 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"s", " ", "T"}]}], ")"}], " ", "\[Beta]", " ", 
             SubscriptBox["k", "1"]}], 
            RowBox[{"1", "+", 
             RowBox[{"T", " ", "\[Beta]", " ", "s"}]}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {{
      Control`CommonDump`pVar -> $CellContext`s, Hash -> 882921115}}}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"1", ",", "\"\<Negative\>\""}], "}"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.5042824834525194`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Simulations", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.50428254054425*^9, 3.5042825706360893`*^9}, {3.504282608957508*^9, 
  3.5042826122993107`*^9}, {3.504376680729929*^9, 3.504376682813629*^9}, {
  3.504376717521229*^9, 3.504376775320579*^9}}],

Cell["\<\
The time-domain response of a system is given by these functions:\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["StateResponse ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the state response of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"]
}], "Item",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
  3.5042743096256104`*^9, 3.504274325209344*^9}, {3.5042827216418424`*^9, 
  3.5042827249836445`*^9}, {3.5042868705990815`*^9, 3.5042869099043016`*^9}, {
  3.504376688287229*^9, 3.504376691863729*^9}, {3.5043767953800793`*^9, 
  3.504376823712179*^9}}],

Cell[TextData[{
 ButtonBox["OutputResponse ",
  BaseStyle->"FunctionLink"],
 "\[LongDash]  gives the output response of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " or ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 " "
}], "Item",
 CellChangeTimes->{{3.504273776589405*^9, 3.504273779344906*^9}, {
  3.504274327827536*^9, 3.504274343850248*^9}, {3.5042827310269985`*^9, 
  3.5042827333381515`*^9}, {3.5042869197735505`*^9, 3.5042870188876677`*^9}, {
  3.504376786843129*^9, 3.504376791166029*^9}, {3.5043768287192793`*^9, 
  3.504376859974779*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Simulations: Continuous-time", "Section"],

Cell[TextData[{
 "For a continuous-time system, ",
 ButtonBox["StateResponse",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["OutputResponse",
  BaseStyle->"FunctionLink"],
 " give a symbolic result when the time domain is not specified and an \
interpolating function otherwise."
}], "Text"],

Cell[BoxData[
 RowBox[{"StateResponse", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"StateSpaceModel", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "8"}], ",", 
            RowBox[{"-", "6"}]}], "}"}]}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "0", "}"}], ",", 
          RowBox[{"{", "1", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", ".1"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"UnitStep", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.504377327635833*^9, 3.50437733192069*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"OutputResponse", "[", 
  RowBox[{
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox["1", 
            RowBox[{"1", "+", "\[FormalS]"}]]},
          {
           FractionBox["2", 
            RowBox[{"3", "+", "\[FormalS]"}]]}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalT]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {TransferFunctionModel, {{
      Control`CommonDump`pVar -> \[FormalS], Hash -> 1020225516}}}], ",", 
   RowBox[{"Sin", "[", "t", "]"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.5043771920629416`*^9, 3.504377203265896*^9}, {
  3.504377372260676*^9, 3.50437742612523*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"6", " ", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.504377212614676*^9, 3.504377213456066*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Simulations: Discrete-time", "Section"],

Cell[TextData[{
 "For a discrete-time system, ",
 ButtonBox["StateResponse",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["OutputResponse",
  BaseStyle->"FunctionLink"],
 " can take the input as a function of time, or a list of discrete inputs."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.5042826168435373`*^9, 3.504282714958237*^9}, {3.5043767792080793`*^9, 
  3.504376782831229*^9}, {3.504376920306862*^9, 3.504376941050098*^9}, {
  3.5043770005701036`*^9, 3.504377014087468*^9}, {3.5043770513225107`*^9, 
  3.5043771529986277`*^9}, {3.504377435318197*^9, 3.5043774669170732`*^9}}],

Cell[BoxData[
 RowBox[{"StateResponse", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"StateSpaceModel", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"(", GridBox[{
            {"0.9418", "0.2462"},
            {
             RowBox[{"-", "0.2462"}], "0.3262"}
           }], ")"}], ",", 
         RowBox[{"(", GridBox[{
            {"0.1958"},
            {
             RowBox[{"-", "0.0291"}]}
           }], ")"}], ",", 
         TagBox[
          RowBox[{"(", "\[NoBreak]", GridBox[{
             {"2", "1"}
            },
            
            GridBoxAlignment->{
             "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.7]}, 
                Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
          Function[BoxForm`e$, 
           MatrixForm[BoxForm`e$]]]}], "}"}], ",", 
       RowBox[{"SamplingPeriod", "\[Rule]", "0.2"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Sin", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.504377271044551*^9, 3.504377286392132*^9}, {
  3.5043774804733653`*^9, 3.504377504535679*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.50437748983959*^9, 3.504377490120109*^9}}],

Cell[BoxData[
 RowBox[{"OutputResponse", "[", 
  RowBox[{
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.1"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "1", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"-", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], "}"}]}], "}"}], ",", 
     RowBox[{"SamplingPeriod", "\[Rule]", "0.1"}]}], "]"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "k", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "20"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5043771920629416`*^9, 3.504377203265896*^9}, 
   3.5043775472213507`*^9}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{".1", " ", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "20"}], "]"}]}], ",", 
      RowBox[{"%", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5043776091693406`*^9, 3.504377728483507*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.50428254054425*^9, 3.5042825706360893`*^9}, {3.504282608957508*^9, 
  3.5042826122993107`*^9}}],

Cell["\<\
The frequency response of a system is given by these functions:\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["BodePlot ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] plots of magnitude vs. frequency and phase vs. frequency"
}], "Item"],

Cell[TextData[{
 ButtonBox["NyquistPlot",
  BaseStyle->"FunctionLink"],
 " \[LongDash] complex-plane plot of the transfer function for varying \
frequency"
}], "Item",
 CellChangeTimes->{{3.504273776589405*^9, 3.504273779344906*^9}, {
  3.504274327827536*^9, 3.504274343850248*^9}, {3.5042827310269985`*^9, 
  3.5042827333381515`*^9}, {3.5042869197735505`*^9, 3.5042870188876677`*^9}}],

Cell[TextData[{
 ButtonBox["NicholsPlot",
  BaseStyle->"FunctionLink"],
 " \[LongDash] magnitude vs. phase for varying frequency"
}], "Item"]
}, Open  ]],

Cell["", "Spacer"],

Cell["\<\
The following functions examine the stability margins of a system:\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["StabilityMargins ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] an option for the functions above; adds stability margins to \
the plots"
}], "Item"],

Cell[TextData[{
 ButtonBox["GainMargins",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["PhaseMargins",
  BaseStyle->"FunctionLink"],
 ", and ",
 ButtonBox["GainPhaseMargins",
  BaseStyle->"FunctionLink"],
 "  \[LongDash] returns values for the gain and phase margins of a system"
}], "Item"]
}, Open  ]],

Cell["", "Spacer"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has these additional classical control plots:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["RootLocusPlot ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] plots the closed-loop poles for a varying system parameter"
}], "Item"],

Cell[TextData[{
 ButtonBox["SingularValuePlot",
  BaseStyle->"FunctionLink"],
 "  \[LongDash] plots the singular values of a multi-input, multi-output \
system vs. frequency"
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Bode plots", "Section"],

Cell[TextData[{
 "A ",
 ButtonBox["BodePlot ",
  BaseStyle->"FunctionLink"],
 "consists of a magnitude plot and a phase plot."
}], "Text"],

Cell[TextData[{
 "For a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"tf", "(", "s", ")"}], TraditionalForm]]],
 ", the magnitude plot shows \[LeftBracketingBar]tf(\[ImaginaryI] \[Omega])\
\[RightBracketingBar] over a range of the frequency \[Omega] and the phase \
plot shows \[Angle]tf(\[ImaginaryI] \[Omega])."
}], "Text"],

Cell[TextData[{
 ButtonBox["BodePlot, NicholsPlot, ",
  BaseStyle->"FunctionLink"],
 "and ",
 ButtonBox["NyquistPlot",
  BaseStyle->"FunctionLink"],
 " accept a ",
 ButtonBox["TransferFunctionModel",
  BaseStyle->"FunctionLink"],
 ", a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", or a rational function."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"BodePlot", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox["1", 
           RowBox[{"1", "+", 
            RowBox[{"0.2", " ", "s"}], "+", 
            SuperscriptBox["s", "2"]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 2052358753}}}], 
  "]"}]], "Input",
 CellID->278209330],

Cell[TextData[{
 "If the system is given as an expression, ",
 ButtonBox["BodePlot ",
  BaseStyle->"FunctionLink"],
 "accepts a ",
 ButtonBox["SamplingPeriod ",
  BaseStyle->"FunctionLink"],
 "option to designate a discrete-time system.  MIMO systems give a plot for \
each SISO subsystem.\n"
}], "MathCaption",
 CellChangeTimes->{{3.504289001341789*^9, 3.5042890214862995`*^9}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"BodePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{"z", "-", "0.9", " "}], 
       RowBox[{"z", "-", "0.8"}]], ",", 
      FractionBox[
       RowBox[{"z", "-", "0.7", " "}], 
       RowBox[{"z", "-", "0.8"}]], " ", ",", 
      FractionBox[
       RowBox[{"z", "-", "0.5", " "}], 
       RowBox[{"z", "-", "0.8"}]]}], " ", "}"}], "}"}], ",", 
   RowBox[{"SamplingPeriod", "\[Rule]", "1"}]}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Nyquist plots", "Section"],

Cell[TextData[{
 "A ",
 ButtonBox["NyquistPlot ",
  BaseStyle->"FunctionLink"],
 "shows the value of a transfer function on the complex plane while the \
complex variable covers the Nyquist contour."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.5042826168435373`*^9, 3.504282714958237*^9}, {3.5042889181402736`*^9, 
  3.5042889684547033`*^9}, {3.504289033323152*^9, 3.504289039069803*^9}, {
  3.5042890805612497`*^9, 3.5042891029544497`*^9}}],

Cell[BoxData[
 RowBox[{"NyquistPlot", "[", 
  RowBox[{
   FractionBox["z", 
    RowBox[{"z", "-", "0.5"}]], ",", 
   RowBox[{"SamplingPeriod", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellID->383331155],

Cell["\<\
When the magnitude goes to infinity, the Nyquist plot is represented by a \
dashed semicircle as the phase shifts by 180\[Degree].\
\>", "MathCaption",
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"NyquistPlot", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox[
           RowBox[{"1", "+", "s"}], 
           RowBox[{"4", "+", 
            SuperscriptBox["s", "2"]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 1382956011}}}], 
  "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Nichols plots", "Section"],

Cell[TextData[{
 "A ",
 ButtonBox["NicholsPlot ",
  BaseStyle->"FunctionLink"],
 "plots the magnitude \[LeftBracketingBar]tf(\[ImaginaryI] \[Omega])\
\[RightBracketingBar] against the phase \[Angle]tf(\[ImaginaryI] \[Omega]) \
over a range of the frequency \[Omega]."
}], "Text"],

Cell["\<\
All of the frequency response plots accept a frequency range.\
\>", "MathCaption"],

Cell[BoxData[
 RowBox[{"NicholsPlot", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"s", "+", "4"}], 
    RowBox[{
     SuperscriptBox["s", "2"], "+", 
     RowBox[{"3", "s"}], "+", "1"}]], ",", 
   RowBox[{"{", 
    RowBox[{"0.2", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellID->102324399],

Cell[TextData[{
 ButtonBox["NicholsPlot ",
  BaseStyle->"FunctionLink"],
 "and ",
 ButtonBox["NyquistPlot ",
  BaseStyle->"FunctionLink"],
 "can plot lines of constant closed-loop magnitude and phase by using ",
 ButtonBox["NicholsGridLines",
  BaseStyle->"FunctionLink"],
 " and ",
 ButtonBox["NyquistGridLines",
  BaseStyle->"FunctionLink"],
 ", respectively."
}], "MathCaption",
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"NicholsPlot", "[", 
  RowBox[{
   FractionBox[
    RowBox[{" ", "s"}], 
    RowBox[{
     SuperscriptBox["s", "2"], "+", 
     RowBox[{"3", " ", "s"}], "+", "3"}]], ",", 
   RowBox[{"NicholsGridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.1", ",", "0.15", ",", "0.2", ",", "0.25"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "0.3"}], ",", "0.3", ",", "1"}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Relative stability", "Section"],

Cell["\<\
Stability margins give a relative measure of the stability of the system \
based on the frequency response. \
\>", "Text"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can either plot stability margins on a frequency response by using the ",
 ButtonBox["StabilityMargins ",
  BaseStyle->"FunctionLink"],
 "options, or calculate the values using ",
 ButtonBox["GainMargins",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["PhaseMargins",
  BaseStyle->"FunctionLink"],
 ", and ",
 ButtonBox["GainPhaseMargins",
  BaseStyle->"FunctionLink"],
 ". "
}], "MathCaption"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"BodePlot", "[", "##", "]"}], ",", " ", 
     RowBox[{"NyquistPlot", "[", 
      RowBox[{"##", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "140"}], ",", "0.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "}"}]}]}], "]"}], ",", 
     " ", 
     RowBox[{"NicholsPlot", "[", "##", "]"}]}], "}"}], "&"}], "@@", 
  RowBox[{"{", 
   RowBox[{
    FractionBox["40", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"s", "+", "0.025"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"s", "+", "0.25"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"s", "+", "1"}], ")"}]}]], ",", 
    RowBox[{"{", 
     RowBox[{"0.01", ",", "10"}], "}"}], ",", 
    RowBox[{"StabilityMargins", "\[Rule]", "True"}], ",", 
    RowBox[{"StabilityMarginsStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Green", ",", "Red"}], "}"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.50428956613766*^9, 3.504289592387988*^9}, 
   3.5042896237759466`*^9, {3.5042896676566257`*^9, 3.504289804264519*^9}, {
   3.50428983949399*^9, 3.5042898730837903`*^9}, 3.5042899039876566`*^9, {
   3.504289938124014*^9, 3.5042899777883997`*^9}}],

Cell[TextData[{
 "A gain margin is the distance between the magnitude plot and 0 dB when the \
phase crosses ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "180"}], "\[Degree]"}], TraditionalForm]]],
 ". "
}], "MathCaption",
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"GainMargins", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox["10", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"4", "+", "s"}], ")"}], 
            RowBox[{"(", 
             RowBox[{"1", "+", "s"}], ")"}], 
            RowBox[{"(", 
             RowBox[{"2", "+", "s"}], ")"}]}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 1382956011}}}], 
  "]"}]], "Input"],

Cell[TextData[{
 "A phase margin is the distance between the phase plot and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "180"}], "\[Degree]"}], TraditionalForm]]],
 " when the magnitude crosses 0 dB."
}], "MathCaption",
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"PhaseMargins", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          FractionBox["0.5", 
           RowBox[{
            SuperscriptBox["s", "3"], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["s", "2"]}], "+", "s", "+", "1"}]]}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalT]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {TransferFunctionModel, {{
     Control`CommonDump`pVar -> $CellContext`s, Hash -> 1382956011}}}], 
  "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Singular values", "Section"],

Cell[TextData[{
 ButtonBox["SingularValuePlot",
  BaseStyle->"FunctionLink"],
 " plots the singular values of a multi-input, multi-output system over a \
frequency range."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
   3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
   3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
   3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
   3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
   3.5042826168435373`*^9, 3.504282714958237*^9}, {3.5042889181402736`*^9, 
   3.5042889684547033`*^9}, {3.504289033323152*^9, 3.504289039069803*^9}, {
   3.5042890805612497`*^9, 3.5042891029544497`*^9}, {3.5042891543932247`*^9, 
   3.504289195135108*^9}, {3.5042893467030334`*^9, 3.5042893665508423`*^9}, 
   3.5043489859882045`*^9, {3.5043491091090827`*^9, 3.504349115274421*^9}, {
   3.5043491640561447`*^9, 3.504349241317487*^9}, {3.5043492843959727`*^9, 
   3.5043493151885366`*^9}, {3.504349390412594*^9, 3.5043494454097586`*^9}, {
   3.5043494875051994`*^9, 3.5043495463734074`*^9}, {3.504349991400202*^9, 
   3.504349998879994*^9}, {3.504350332984039*^9, 3.5043504100357847`*^9}}],

Cell[BoxData[
 RowBox[{"SingularValuePlot", "[", 
  RowBox[{"TransferFunctionModel", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"10", " ", 
          RowBox[{"(", 
           RowBox[{"s", "+", "1"}], ")"}]}], 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"2", " ", "s"}], "+", "10"}]], ",", 
        FractionBox["1", 
         RowBox[{"s", "+", "1"}]]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"s", "+", "2.5"}], 
         RowBox[{
          SuperscriptBox["s", "2"], "+", 
          RowBox[{"2", " ", "s"}], "+", "10"}]], ",", 
        FractionBox["5", 
         RowBox[{"s", "+", "1"}]]}], "}"}]}], "}"}], ",", "s"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.504350062738718*^9, 3.50435007559461*^9}, 
   3.504350424342723*^9}],

Cell[TextData[{
 "For single-input, single-output systems, ",
 ButtonBox["SingularValuePlot",
  BaseStyle->"FunctionLink"],
 " is equivalent to the magnitude ",
 ButtonBox["BodePlot",
  BaseStyle->"FunctionLink"],
 "."
}], "MathCaption",
 CellChangeTimes->{{3.504350102958183*^9, 3.5043501168892956`*^9}, {
   3.5043501562984495`*^9, 3.5043501732699833`*^9}, {3.5043504682613955`*^9, 
   3.5043505027367425`*^9}, 3.5043505768150992`*^9},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"SingularValuePlot", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"BodePlot", "[", 
        RowBox[{"#", ",", 
         RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}]}], 
    "}"}], "@", 
   RowBox[{"{", 
    RowBox[{"{", 
     FractionBox[
      RowBox[{"s", "+", "1"}], 
      RowBox[{
       SuperscriptBox["s", "2"], "+", "s", "+", "1"}]], "}"}], 
    "}"}]}]}]], "Input",
 CellChangeTimes->{3.5043505130076528`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Classical Control: Root locus", "Section",
 CellChangeTimes->{{3.505062592559494*^9, 3.5050625932298555`*^9}}],

Cell[TextData[{
 ButtonBox["RootLocusPlot",
  BaseStyle->"FunctionLink"],
 " plots the root loci of a system. The root loci are the closed-loop poles \
for a range of open-loop gain values."
}], "Text"],

Cell[BoxData[
 RowBox[{"RootLocusPlot", "[", 
  RowBox[{
   RowBox[{"TransferFunctionModel", "[", " ", 
    RowBox[{
     FractionBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"s", "+", "1"}], ")"}]}], 
      RowBox[{"s", 
       RowBox[{"(", 
        RowBox[{"s", "-", "1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         RowBox[{"4", "s"}], "+", "16"}], ")"}]}]], ",", "s"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "80"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.504350062738718*^9, 3.50435007559461*^9}}],

Cell[TextData[{
 "By default, ",
 ButtonBox["RootLocusPlot",
  BaseStyle->"FunctionLink"],
 " takes an open-loop system and returns the closed-loop root loci for \
negative feedback.  The ",
 ButtonBox["FeedbackType",
  BaseStyle->"FunctionLink"],
 " option can be set to ",
 StyleBox["\[OpenCurlyDoubleQuote]Positive\[CloseCurlyDoubleQuote]", "MR"],
 " instead, or ",
 StyleBox["None", "MR"],
 ", if a closed-loop system is supplied."
}], "MathCaption",
 CellChangeTimes->{{3.504350102958183*^9, 3.5043501168892956`*^9}, {
  3.5043501562984495`*^9, 3.5043501732699833`*^9}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{"SystemsModelFeedbackConnect", "[", 
  RowBox[{"TransferFunctionModel", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"k", 
         RowBox[{"(", 
          RowBox[{"s", "+", "5"}], ")"}]}], "}"}], "}"}], ",", 
      RowBox[{
       RowBox[{"s", "^", "2"}], "+", 
       RowBox[{"1", "s"}], "-", "3"}]}], "}"}], ",", "s"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"RootLocusPlot", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "10"}], "}"}], ",", " ", 
   RowBox[{"FeedbackType", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5043502108295927`*^9, 3.5043502161752133`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Analysis", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.504350609513688*^9, 3.504350617774056*^9}}],

Cell[TextData[{
 "The controllability and observability of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " is studied with the following functions:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["ControllabilityMatrix ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"B", 
       RowBox[{"A", ".", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], ".", "B"}], "\[Ellipsis]", 
       RowBox[{
        SuperscriptBox["A", 
         RowBox[{"n", "-", "1"}]], ".", "B"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
   TraditionalForm]]]
}], "Item"],

Cell[TextData[{
 ButtonBox["ObservabilityMatrix ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"C"},
      {
       RowBox[{"C", ".", "A"}]},
      {"\[VerticalEllipsis]"},
      {
       RowBox[{"C", ".", 
        SuperscriptBox["A", 
         RowBox[{"n", "-", "1"}]]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
   TraditionalForm]]]
}], "Item"],

Cell[TextData[{
 ButtonBox["OutputControllabilityMatrix ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       RowBox[{"C", ".", "B"}], 
       RowBox[{"C", ".", "A", ".", "B"}], 
       RowBox[{"C", ".", 
        SuperscriptBox["A", "2"], ".", "B"}], "\[Ellipsis]", 
       RowBox[{"C", ".", 
        SuperscriptBox["A", 
         RowBox[{"n", "-", "1"}]], ".", "B"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
   TraditionalForm]]]
}], "Item",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
   3.5042743096256104`*^9, 3.504274325209344*^9}, {3.5043506259409103`*^9, 
   3.504350668146715*^9}, 3.5043507023882785`*^9, {3.5043513779437895`*^9, 
   3.5043513791439114`*^9}}],

Cell[TextData[{
 ButtonBox["ControllabilityGramian ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"A", " ", "\[Tau]"}]], ".", "B", ".", 
      TemplateBox[{"B"},
       "ConjugateTranspose"], ".", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        TemplateBox[{"A"},
         "ConjugateTranspose"], "\[Tau]"}]]}], 
     RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], TraditionalForm]]]
}], "Item",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
   3.5042743096256104`*^9, 3.504274325209344*^9}, {3.5043506259409103`*^9, 
   3.5043506769681644`*^9}, 3.504350708918645*^9}],

Cell[TextData[{
 ButtonBox["ObservabilityGramian ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        TemplateBox[{"A"},
         "ConjugateTranspose"], "\[Tau]"}]], ".", 
      TemplateBox[{"C"},
       "ConjugateTranspose"], ".", "C", ".", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"A", " ", "\[Tau]"}]]}], 
     RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], TraditionalForm]]]
}], "Item",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
  3.5042743096256104`*^9, 3.504274325209344*^9}, {3.5043506259409103`*^9, 
  3.504350737658491*^9}}],

Cell[TextData[{
 ButtonBox["ControllableModelQ ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] tests if the states of a system are controllable"
}], "Item"],

Cell[TextData[{
 ButtonBox["ObservableModelQ ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] tests if the states of a system are observable"
}], "Item"],

Cell[TextData[{
 ButtonBox["OutputControllableModelQ ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] tests if the outputs of a system are controllable"
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
StateSpaceModel Analysis: Controllability and observability matrices\
\>", "Section"],

Cell[TextData[{
 "If the rank of the ",
 ButtonBox["ControllabilityMatrix ",
  BaseStyle->"FunctionLink"],
 "is the same as the order of the ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " then the model is controllable.  Otherwise, the null space gives the \
uncontrollable modes.  The same rule holds for the columns of an ",
 ButtonBox["ObservabilityMatrix",
  BaseStyle->"FunctionLink"],
 "."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
  3.504351134973861*^9}, {3.5043514583831353`*^9, 3.5043514608145514`*^9}, {
  3.5043514941841774`*^9, 3.5043516982205033`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "=", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           SubscriptBox["a", 
            RowBox[{"1", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"1", ",", "2"}]], 
           SubscriptBox["b", "1"], "0"},
          {
           SubscriptBox["a", 
            RowBox[{"2", ",", "1"}]], 
           SubscriptBox["a", 
            RowBox[{"2", ",", "2"}]], "0", 
           SubscriptBox["b", "2"]},
          {
           SubscriptBox["c", "1"], 
           SubscriptBox["c", "2"], "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5043517338500996`*^9, 3.5043517366867514`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ControllabilityMatrix", "[", "ss", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"MatrixForm", ",", " ", "MatrixRank"}], "}"}], "@", 
   "%"}]}]}], "Input",
 CellChangeTimes->{{3.5043517320265374`*^9, 3.5043517403182898`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ObservabilityMatrix", "[", "ss", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"MatrixForm", ",", " ", "MatrixRank"}], "}"}], "@", 
   "%"}]}]}], "Input",
 CellChangeTimes->{{3.5043517425626736`*^9, 3.5043517432484574`*^9}}],

Cell[TextData[{
 "To study the controllability of the outputs instead of the states, use ",
 ButtonBox["OutputControllabilityMatrix",
  BaseStyle->"FunctionLink"],
 "."
}], "MathCaption",
 CellChangeTimes->{{3.5043517761349173`*^9, 3.5043518047663994`*^9}},
 CellTags->"Functions"],

Cell[BoxData[
 RowBox[{
  RowBox[{"OutputControllabilityMatrix", "[", "ss", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5043518617799873`*^9, 3.5043518742799597`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
StateSpaceModel Analysis: Controllability and observability Gramians\
\>", "Section"],

Cell["\<\
The controllability and observability Gramians have the same dimensions as \
the state matrix. Controllable systems will have full rank controllability \
Gramians.  Asymptotically stable and controllable systems will have \
positive-definite controllability Gramians. \
\>", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ControllabilityGramian", "[", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "1", "0", "0"},
          {
           RowBox[{
            RowBox[{"-", "1"}], "/", "10"}], 
           RowBox[{
            RowBox[{"-", "3"}], "/", "4"}], 
           RowBox[{"-", "1"}], "1"},
          {
           SubscriptBox["c", "1"], 
           SubscriptBox["c", "2"], "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "MatrixForm", ",", " ", "MatrixRank", ",", " ", 
     "PositiveDefiniteMatrixQ"}], "}"}], "@", "%"}]}]}], "Input",
 CellChangeTimes->{{3.5043517320265374`*^9, 3.5043517403182898`*^9}, {
  3.5043520351586514`*^9, 3.5043520497627335`*^9}, {3.5043522284250517`*^9, 
  3.5043522380416136`*^9}}],

Cell["An uncontrollable system:", "MathCaption",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
  3.504351134973861*^9}, {3.5043514583831353`*^9, 3.5043514608145514`*^9}, {
  3.5043514941841774`*^9, 3.5043516982205033`*^9}, {3.5043519975496335`*^9, 
  3.5043520299840994`*^9}, {3.504352060002735*^9, 3.5043521086466417`*^9}, {
  3.5043521430605297`*^9, 3.5043522226426454`*^9}, {3.5043523347995014`*^9, 
  3.504352340457219*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ControllabilityGramian", "[", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           RowBox[{"-", "1"}], "0", "0", "0"},
          {
           RowBox[{
            RowBox[{"-", "1"}], "/", "10"}], 
           RowBox[{
            RowBox[{"-", "3"}], "/", "4"}], 
           RowBox[{"-", "1"}], "1"},
          {
           SubscriptBox["c", "1"], 
           SubscriptBox["c", "2"], "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "MatrixForm", ",", " ", "MatrixRank", ",", " ", 
     "PositiveDefiniteMatrixQ"}], "}"}], "@", "%"}]}]}], "Input",
 CellChangeTimes->{{3.5043517320265374`*^9, 3.5043517403182898`*^9}, {
  3.5043520351586514`*^9, 3.5043520497627335`*^9}, {3.5043522284250517`*^9, 
  3.5043522380416136`*^9}, {3.5043523059342294`*^9, 3.5043523245283275`*^9}}],

Cell[" The same rules holds true for observability.", "MathCaption",
 CellChangeTimes->{{3.5043523550301294`*^9, 3.5043523644596596`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ObservabilityGramian", "[", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {
           FractionBox["1", "4"], 
           FractionBox["2", "3"], "b"},
          {
           RowBox[{"-", 
            FractionBox["1", "8"]}], 
           RowBox[{"-", 
            FractionBox["1", "3"]}], "b"},
          {"1", "0", "0"},
          {
           RowBox[{"-", "1"}], "2", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, True, {False}, False}, 
           "Rows" -> {False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox["1",
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {SamplingPeriod -> 1, Control`CommonDump`noD -> True}}],
    "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Through", "@", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "MatrixForm", ",", " ", "MatrixRank", ",", " ", 
     "PositiveDefiniteMatrixQ"}], "}"}], "@", "%"}]}]}], "Input",
 CellChangeTimes->{{3.5043517425626736`*^9, 3.5043517432484574`*^9}, {
  3.504352249466151*^9, 3.5043522567603993`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
StateSpaceModel Analysis: Controllability and observability tests\
\>", "Section"],

Cell[TextData[{
 ButtonBox["ControllableModelQ",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["ObservableModelQ",
  BaseStyle->"FunctionLink"],
 ", and ",
 ButtonBox["OutputControllableModelQ ",
  BaseStyle->"FunctionLink"],
 "are true/false tests for a ",
 ButtonBox["StateSpaceModel.",
  BaseStyle->"FunctionLink"]
}], "Text"],

Cell[BoxData[
 RowBox[{"ControllableModelQ", "[", 
  FormBox[
   TagBox[
    FormBox[
     SubsuperscriptBox[
      FormBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "0"},
          {"1", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, True, {False}, False}, 
           "Rows" -> {False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       TraditionalForm], 
      FormBox[
       StyleBox["\<\"\[InvisibleSpace]\"\>",
        ShowStringCharacters->False],
       TraditionalForm], 
      FormBox[
       StyleBox["\<\"\[ScriptCapitalS]\"\>",
        Editable->False,
        ShowStringCharacters->False],
       TraditionalForm],
      MultilineFunction->None],
     TraditionalForm],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}],
   TraditionalForm], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ObservableModelQ", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0", "0"},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "10"}], 
          RowBox[{
           RowBox[{"-", "3"}], "/", "4"}], 
          RowBox[{"-", "1"}], "1"},
         {"1", "1", "0", "0"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, True, {False}, False}, 
          "Rows" -> {False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"OutputControllableModelQ", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0", "0"},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "10"}], 
          RowBox[{
           RowBox[{"-", "3"}], "/", "4"}], 
          RowBox[{"-", "1"}], "1"},
         {"1", "0", "0", "0"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, True, {False}, False}, 
          "Rows" -> {False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"OutputControllableModelQ", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0", "0"},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "10"}], 
          RowBox[{
           RowBox[{"-", "3"}], "/", "4"}], 
          RowBox[{"-", "1"}], "1"},
         {"1", "0", "0", "0"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, True, {False}, False}, 
          "Rows" -> {False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {Control`CommonDump`noD -> True}}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Decompositions", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.504350609513688*^9, 3.504350617774056*^9}, {3.5043553380511456`*^9, 
  3.5043553409320335`*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " provides the following transformations of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ":"
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
  3.504351134973861*^9}, {3.5043553585618157`*^9, 3.5043554076551247`*^9}, {
  3.5043569135263824`*^9, 3.5043569282802925`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["ControllableDecomposition ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the controllable subsystem of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " "
}], "Item"],

Cell[TextData[{
 ButtonBox["ObservableDecomposition ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the observable subsystem of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " "
}], "Item"],

Cell[TextData[{
 ButtonBox["MinimalStateSpaceModel ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the controllable and observable subsystem of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " "
}], "Item"],

Cell[TextData[{
 ButtonBox["InternallyBalancedDecomposition ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives a realization of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 "  that is equally controllable and observable"
}], "Item"],

Cell[TextData[{
 ButtonBox["JordanModelDecomposition ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] gives the Jordan canonical form of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " "
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
StateSpaceModel Decompositions: Controllable and observable subsystems\
\>", "Section"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " where only some modes are controllable, ",
 ButtonBox["ControllableDecomposition",
  BaseStyle->"FunctionLink"],
 " gives the controllable decomposition along with a transformation matrix \
spanning the controllable subspace. ",
 ButtonBox["ObservableDecomposition ",
  BaseStyle->"FunctionLink"],
 "provides the dual function."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
  3.504351134973861*^9}, {3.5043553585618157`*^9, 3.5043554076551247`*^9}, {
  3.5043569135263824`*^9, 3.5043569282802925`*^9}, {3.5043571458600807`*^9, 
  3.504357327596471*^9}}],

Cell[BoxData[
 RowBox[{"ss", "=", 
  RowBox[{"StateSpaceModel", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["a", "1"], ",", 
        SubscriptBox["a", "2"], ",", 
        SubscriptBox["a", "3"]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["b", "1"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SubscriptBox["b", "2"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["c", "1"], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         SubscriptBox["c", "3"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["d", "11"], ",", 
         SubscriptBox["d", "12"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["d", "21"], ",", 
         SubscriptBox["d", "22"]}], "}"}]}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{3.504357355090237*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["s", "c"], ",", 
    SubscriptBox["ss", "c"]}], "}"}], "=", 
  RowBox[{"ControllableDecomposition", "[", "ss", "]"}]}]], "Input",
 CellChangeTimes->{3.504357355090237*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["s", "o"], ",", 
    SubscriptBox["ss", "o"]}], "}"}], "=", 
  RowBox[{"ObservableDecomposition", "[", "ss", "]"}]}]], "Input",
 CellChangeTimes->{{3.504357355090237*^9, 3.504357385450797*^9}}],

Cell[TextData[{
 ButtonBox["MinimalStateSpaceModel",
  BaseStyle->"FunctionLink"],
 " gives the subsystem that is both observable and controllable."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"MinimalStateSpaceModel", "[", "ss", "]"}]], "Input",
 CellChangeTimes->{{3.504357430175821*^9, 3.5043574356800084`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
StateSpaceModel Decompositions: InternallyBalancedDecomposition\
\>", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.504350609513688*^9, 3.504350617774056*^9}, {3.5043553380511456`*^9, 
  3.5043553409320335`*^9}, {3.504357101084523*^9, 3.5043571190979033`*^9}, {
  3.5043586937173223`*^9, 3.5043587060738482`*^9}}],

Cell[TextData[{
 "An internally balanced ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " is one in which the controllability and observability Gramians are \
identical.  For a stable, minimal ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["InternallyBalancedDecomposition",
  BaseStyle->"FunctionLink"],
 " gives the internally balanced realization and the corresponding \
transformation matrix."
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "=", 
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "1", "}"}], ",", 
        RowBox[{"{", "1", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], "}"}]}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.504357355090237*^9, {3.504358985200316*^9, 3.5043589964056435`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"s", ",", "balanced"}], "}"}], "=", 
  RowBox[{
   RowBox[{"InternallyBalancedDecomposition", "[", "ss", "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5043590007693315`*^9, 3.504359005725234*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"Chop", "@", 
   RowBox[{"Through", "@", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ControllabilityGramian", ",", "ObservabilityGramian"}], "}"}], 
     "@", "balanced"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5043590270449667`*^9, 3.5043590312995625`*^9}}],

Cell[TextData[{
 "With an internally balance model, ",
 ButtonBox["SystemsModelDelete",
  BaseStyle->"FunctionLink"],
 " can remove the least controllable and observable modes."
}], "MathCaption",
 CellChangeTimes->{{3.5043523550301294`*^9, 3.5043523644596596`*^9}, {
  3.504357407134733*^9, 3.504357424838706*^9}, {3.5043590655391884`*^9, 
  3.504359175541647*^9}, {3.5043592197297244`*^9, 3.5043592300723205`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "1", "0", "0", "0"},
          {"0", "0", "1", "0", "0"},
          {"0", "0", "0", "1", "0"},
          {
           RowBox[{"-", "50"}], 
           RowBox[{"-", "79"}], 
           RowBox[{"-", "33"}], 
           RowBox[{"-", "5"}], "1"},
          {"50.5", "15.25", "1", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->{Deployed -> False},
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, False, False, True, {False}, False}, 
           "Rows" -> {False, False, False, False, True, {False}, False}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ib", "=", 
   RowBox[{"Last", "[", 
    RowBox[{"InternallyBalancedDecomposition", "[", "ss", "]"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"ssTruncated", "=", 
  RowBox[{"SystemsModelDelete", "[", 
   RowBox[{"ib", ",", "None", ",", "None", ",", "4"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.504357430175821*^9, 3.5043574356800084`*^9}, {
  3.5043591894697957`*^9, 3.5043592051090546`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Decompositions: JordanModelDecomposition", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.504350609513688*^9, 3.504350617774056*^9}, {3.5043553380511456`*^9, 
  3.5043553409320335`*^9}, {3.504357101084523*^9, 3.5043571190979033`*^9}, {
  3.5043586937173223`*^9, 3.5043587060738482`*^9}, {3.50435924572725*^9, 
  3.504359248563628*^9}}],

Cell[TextData[{
 "A ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " in Jordan canonical form is one in which the state matrix is in Jordan \
block diagonal form with its eigenvalues on the diagonal.  ",
 ButtonBox["J0rdanModelDecomposition",
  BaseStyle->"FunctionLink"],
 " gives a Jordan form realization of a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " and the corresponding transformation matrix."
}], "Text",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
  3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
  3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
  3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
  3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
  3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
  3.504351134973861*^9}, {3.5043553585618157`*^9, 3.5043554076551247`*^9}, {
  3.5043569135263824`*^9, 3.5043569282802925`*^9}, {3.5043571458600807`*^9, 
  3.504357327596471*^9}, {3.504358789753847*^9, 3.504358831879021*^9}, {
  3.504358865323573*^9, 3.504358943869957*^9}, {3.504359362426208*^9, 
  3.50435940766723*^9}, {3.5043594405284786`*^9, 3.5043595796213617`*^9}}],

Cell[BoxData[
 RowBox[{"JordanModelDecomposition", "[", 
  TagBox[
   SubsuperscriptBox[
    FormBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0", "0", "0"},
         {"0", "0", "1", "0", "0"},
         {"0", "0", "0", "1", "0"},
         {
          RowBox[{"-", "5"}], 
          RowBox[{"-", "16"}], 
          RowBox[{"-", "18"}], 
          RowBox[{"-", "8"}], "1"},
         {"10", "0", "0", "0", "0"}
        },
        AllowScriptLevelChange->False,
        BaseStyle->{Deployed -> False},
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {False, False, False, False, True, {False}, False}, 
          "Rows" -> {False, False, False, False, True, {False}, False}},
        GridBoxItemStyle->{
         "ItemsIndexed" -> {{{1, 1}, {}} -> {
             Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
              1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[InvisibleSpace]\"\>",
      ShowStringCharacters->False],
     StandardForm], 
    FormBox[
     StyleBox["\<\"\[ScriptCapitalS]\"\>",
      Editable->False,
      ShowStringCharacters->False],
     StandardForm],
    MultilineFunction->None],
   {StateSpaceModel, {SystemsModelLabels -> None}}], "]"}]], "Input",
 CellChangeTimes->{
  3.504357355090237*^9, {3.504358985200316*^9, 3.5043589964056435`*^9}, 
   3.5043596879752207`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
  3.504350609513688*^9, 3.504350617774056*^9}, {3.5043553380511456`*^9, 
  3.5043553409320335`*^9}, {3.5043601283294306`*^9, 3.504360128875245*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has several functions for finding controller and estimator gains:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["StateFeedbackGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds a feedback gain matrix to place closed loop poles at \
specified locations"
}], "Item"],

Cell[TextData[{
 ButtonBox["EstimatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds a gain matrix to place estimator poles at specified \
locations"
}], "Item"],

Cell[TextData[{
 ButtonBox["LQRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds optimal feedback gains to minimize a quadratic state and \
input cost function "
}], "Item"],

Cell[TextData[{
 ButtonBox["LQEstimatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds optimal estimator gains to minimize the estimation error \
with Gaussian process and sensor noise covariance matrices"
}], "Item"],

Cell[TextData[{
 ButtonBox["LQOutputRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds optimal feedback gains to minimize a quadratic output and \
input cost function"
}], "Item"],

Cell[TextData[{
 ButtonBox["DiscreteLQRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds optimal feedback gains through emulation"
}], "Item"],

Cell[TextData[{
 ButtonBox["DiscreteLQEstimatorGains ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] finds optimal estimator gains through emulation"
}], "Item"]
}, Open  ]],

Cell["", "Spacer"],

Cell["\<\
The following functions construct controllers and estimators:\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["KalmanEstimator ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] creates an optimal estimator ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " for given noise matrices"
}], "Item"],

Cell[TextData[{
 ButtonBox["StateOutputEstimator ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] constructs an estimator ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " for a given estimator gain matrix"
}], "Item"],

Cell[TextData[{
 ButtonBox["LQGRegulator ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] creates an optimal estimator-regulator ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " for given cost and noise matrices"
}], "Item"],

Cell[TextData[{
 ButtonBox["EstimatorRegulator ",
  BaseStyle->"FunctionLink"],
 "\[LongDash] constructs an estimator-regulator ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " for a feedback gain matrix and an estimator gain matrix"
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Pole placement", "Section"],

Cell[TextData[{
 "For a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", ",
 ButtonBox["StateFeedbackGains ",
  BaseStyle->"FunctionLink"],
 "finds a matrix ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " that places the eigenvalues of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"A", "-", 
     RowBox[{"B", ".", "K"}]}], ")"}], TraditionalForm]]],
 " at the specified positions.  Similarly, ",
 ButtonBox["EstimatorGains ",
  BaseStyle->"FunctionLink"],
 "finds matrix ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " to place the eigenvalues of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"A", "-", 
     RowBox[{"L", ".", "C"}]}], ")"}], TraditionalForm]]],
 "."
}], "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EstimatorGains", "[", 
   RowBox[{
    RowBox[{"StateSpaceModel", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["a", "1"], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           SubscriptBox["a", "2"]}], "}"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "b", "}"}], ",", 
         RowBox[{"{", "b", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["c", "1"], ",", 
          SubscriptBox["c", "2"]}], "}"}], "}"}]}], "}"}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["p", "1"], ",", " ", 
      SubscriptBox["p", "2"]}], "}"}]}], "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.5043663981228085`*^9, 3.5043665119451756`*^9}, 
   3.5043666911344438`*^9}],

Cell[TextData[{
 "Both functions accept a ",
 StyleBox["Method", "MR"],
 " option, which can choose either the Ackermann method or the \
Kautsky-Nichols-Van Dooren method."
}], "MathCaption",
 CellChangeTimes->{{3.49884121819436*^9, 3.498841298346932*^9}, {
   3.4989129692062397`*^9, 3.498912970051279*^9}, {3.4991956855912523`*^9, 
   3.4991958333725567`*^9}, {3.499531939301519*^9, 3.499531951695899*^9}, {
   3.499532104550262*^9, 3.499532134684388*^9}, {3.499535854362425*^9, 
   3.4995358704553957`*^9}, {3.5042737255425887`*^9, 3.504273745173585*^9}, {
   3.504350823583165*^9, 3.504350868205597*^9}, {3.5043510864393682`*^9, 
   3.504351134973861*^9}, {3.5043553585618157`*^9, 3.5043554076551247`*^9}, {
   3.5043569135263824`*^9, 3.5043569282802925`*^9}, {3.5043601414133835`*^9, 
   3.504360149491438*^9}, {3.504360179542425*^9, 3.504360205865823*^9}, {
   3.504360334312777*^9, 3.5043603411584992`*^9}, {3.504366152730739*^9, 
   3.50436635763116*^9}, {3.504366534248312*^9, 3.504366600908351*^9}, 
   3.5043666911344438`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"#", "\[Rule]", 
     RowBox[{"MatrixForm", "[", 
      RowBox[{"StateFeedbackGains", "[", 
       RowBox[{
        TagBox[
         SubsuperscriptBox[
          FormBox[
           TagBox[
            RowBox[{"(", "\[NoBreak]", GridBox[{
               {
                RowBox[{"-", "10"}], "0", 
                RowBox[{"-", "10"}], "0", "20", "2.8`"},
               {"0", 
                RowBox[{"-", "0.7`"}], "9", "0", "0", 
                RowBox[{"-", "3.13`"}]},
               {"0", 
                RowBox[{"-", "1"}], 
                RowBox[{"-", "0.7`"}], "0", "0", "0"},
               {"1", "0", "0", "0", "0", "0"}
              },
              AllowScriptLevelChange->False,
              BaseStyle->{Deployed -> False},
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxDividers->{
               "Columns" -> {
                 False, False, False, False, True, {False}, False}, 
                "Rows" -> {False, False, False, False, True, {False}, False}},
              
              GridBoxItemStyle->{
               "ItemsIndexed" -> {{{1, 1}, {}} -> {
                   Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
                    1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.7]}, 
                  Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
            Function[BoxForm`e$, 
             MatrixForm[BoxForm`e$]]],
           StandardForm], 
          FormBox[
           StyleBox["\<\"\[InvisibleSpace]\"\>",
            ShowStringCharacters->False],
           StandardForm], 
          FormBox[
           StyleBox["\<\"\[ScriptCapitalS]\"\>",
            Editable->False,
            ShowStringCharacters->False],
           StandardForm],
          MultilineFunction->None],
         {StateSpaceModel, {}}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "10"}], ",", 
          RowBox[{"-", "8"}], ",", 
          RowBox[{"-", "5"}], ",", 
          RowBox[{"-", "2"}]}], "}"}], ",", " ", 
        RowBox[{"Method", "\[Rule]", "#"}]}], "]"}], "]"}]}], ")"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"\"\<Ackermann\>\"", ",", " ", "\"\<KNVD\>\""}], "}"}]}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Pole placement example", "Section",
 CellChangeTimes->{{3.506778299193904*^9, 3.5067783008969636`*^9}}],

Cell["Controlling a inverted pendulum with pole placement.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"feedbackgains", " ", "=", " ", 
  RowBox[{"StateFeedbackGains", "[", 
   RowBox[{"invPendulum", ",", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "+", " ", 
       RowBox[{"5", "I"}]}], ",", " ", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"5", "I"}]}], ",", " ", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "I"}], ",", " ", 
      RowBox[{
       RowBox[{"-", "3"}], "-", "I"}]}], "}"}], ",", " ", 
    RowBox[{"Method", "\[Rule]", "\"\<Ackermann\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.506778454078581*^9, 3.506778456375368*^9}, {
  3.506778802033969*^9, 3.506778808939954*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["g", "2"]}], " ", "m"}], "-", 
       RowBox[{
        SuperscriptBox["g", "2"], " ", "M"}], "-", 
       RowBox[{"48", " ", "g", " ", "l", " ", "M"}], "-", 
       RowBox[{"260", " ", 
        SuperscriptBox["l", "2"], " ", "M"}]}], "g"], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"8", " ", "l", " ", 
        RowBox[{"(", 
         RowBox[{"g", "+", 
          RowBox[{"22", " ", "l"}]}], ")"}], " ", "M"}], "g"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"260", " ", "l", " ", "M"}], "g"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"176", " ", "l", " ", "M"}], "g"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.50677845801593*^9, 3.5067786189941235`*^9, 
  3.5067788137053957`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"output", "=", 
   RowBox[{"OutputResponse", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"SystemsModelStateFeedbackConnect", "[", 
         RowBox[{"invPendulum", ",", "feedbackgains"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"M", "\[Rule]", "5.6"}], ",", 
          RowBox[{"m", "\[Rule]", "0.53"}], ",", 
          RowBox[{"l", "\[Rule]", "1.7"}], ",", 
          RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", ".03"}], ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}],
      ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "4"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5067786696640525`*^9, 3.506778812580439*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xx", "[", "tt_", "]"}], ":=", 
  RowBox[{"Re", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"output", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ")"}], "/.", 
    RowBox[{"t", "\[Rule]", "tt"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"\[Theta]\[Theta]", "[", "tt_", "]"}], ":=", 
  RowBox[{"Re", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"output", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ")"}], "/.", 
    RowBox[{"t", "\[Rule]", "tt"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.480069178454664*^9, 3.4800692098541327`*^9}, {
   3.480069344016542*^9, 3.480069474386051*^9}, {3.480069623680748*^9, 
   3.480069776359523*^9}, {3.480070500528923*^9, 3.480070511095084*^9}, {
   3.480154575593256*^9, 3.480154589698942*^9}, 3.480355461965889*^9, {
   3.497367840693249*^9, 3.4973678419274187`*^9}, {3.4973678766716366`*^9, 
   3.497367877905806*^9}, {3.49953732224562*^9, 3.49953732524539*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Style", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"Transparent", ",", 
                 RowBox[{"Rectangle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1.5"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"6.5", ",", "2.5"}], "}"}]}], "]"}]}], "}"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1.5", ",", "2.5"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"2.5", ",", "3.5"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3.5", ",", "2.5"}], "}"}]}], "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"DotDashed", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2.5", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2.5", ",", "10.5"}], "}"}]}], "}"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
               RowBox[{"Arrow", "[", 
                RowBox[{
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "10"}], "*", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"\[Theta]\[Theta]", "[", "T", "]"}], "]"}], "*", 
                    RowBox[{"Sin", "[", "dt", "]"}]}], "+", "2.5"}], ",", 
                    RowBox[{"10", "*", 
                    RowBox[{"Cos", "[", "dt", "]"}]}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"dt", ",", "0", ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"\[Theta]\[Theta]", "[", "T", "]"}], "]"}], ",", 
                    RowBox[{"Pi", "/", "200"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", ".1"}], "}"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", 
                RowBox[{"xx", "[", "T", "]"}]}], " ", ",", "0"}], "}"}]}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Rotate", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"FaceForm", "[", "Transparent", "]"}], ",", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2.25", ",", "2.75"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2.75", ",", "9"}], "}"}]}], "]"}]}], "}"}], ",", 
                   " ", 
                   RowBox[{"{", 
                    RowBox[{"DotDashed", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2.5", ",", "3"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2.5", ",", "10.5"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}]}], "}"}], ",", 
                 RowBox[{"\[Theta]\[Theta]", "[", "T", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2.5", ",", "3"}], "}"}]}], "]"}], ",", " ", 
               RowBox[{"PointSize", "[", "Medium", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"2.5", ",", " ", "3"}], "}"}], "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"2.5", ",", " ", "1.5"}], "}"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", 
                RowBox[{"xx", "[", "T", "]"}]}], ",", "0"}], "}"}]}], " ", 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"Rotate", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", "White", ",", 
                   RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{
                RowBox[{"-", "10"}], 
                RowBox[{"xx", "[", "T", "]"}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", 
                RowBox[{"xx", "[", "T", "]"}]}], " ", ",", "0"}], "}"}]}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Translate", "[", 
            RowBox[{
             RowBox[{"Rotate", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", "Thick", "]"}], ",", "White", ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"5", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{
                RowBox[{"-", "10"}], 
                RowBox[{"xx", "[", "T", "]"}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", 
                RowBox[{"xx", "[", "T", "]"}]}], " ", ",", "0"}], "}"}]}], 
            "]"}], " ", ",", "\[IndentingNewLine]", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"8", ",", " ", "1.5"}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"2.5", "+", 
                 RowBox[{"10", 
                  RowBox[{"xx", "[", "T", "]"}]}]}], ",", " ", "1.5"}], 
               "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"9", ",", " ", "1.5"}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"10", ",", " ", "1.5"}], "}"}]}], "}"}], "]"}], ",", 
           " ", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"10", ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"10", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "2"}], ",", 
                RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"x", ",", "Medium", ",", " ", "Blue"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"8.5", ",", " ", "1.5"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\[Theta]", ",", "Medium", ",", " ", "Red"}], "]"}], 
             ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2.8", "+", 
                RowBox[{"10", 
                 RowBox[{"xx", "[", "T", "]"}]}]}], ",", " ", "9.75"}], 
              "}"}]}], "]"}]}], " ", "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "5"}], ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "11"}], "}"}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"T", ">", "t"}], ",", " ", 
             RowBox[{"xx", "[", "t", "]"}], ",", "0"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"T", ">", "t"}], ",", " ", 
             RowBox[{"\[Theta]\[Theta]", "[", "t", "]"}], ",", "0"}], "]"}]}],
           " ", "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", " ", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "4"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".15"}], ",", " ", ".15"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", "Red"}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"Inset", "[", 
           RowBox[{
            RowBox[{"Column", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x(t)\>\"", ",", "10", ",", "Blue"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\[Theta](t)\>\"", ",", "10", ",", "Red"}], 
                "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "0.05"}], "}"}]}], "]"}]}], ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", "\"\<t\>\"", "}"}]}]}], "]"}]}], "}"}], " ", ",", 
     RowBox[{"ImageSizeMultipliers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1.5", ",", "1"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"T", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}], " ", ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.4798377102876043`*^9, {3.479837764381122*^9, 3.47983797235286*^9}, {
   3.479838013934512*^9, 3.479838082986746*^9}, {3.4798381134929447`*^9, 
   3.479838116692375*^9}, {3.4798381718345757`*^9, 3.47983817457742*^9}, {
   3.4798382217574997`*^9, 3.479838282974674*^9}, {3.479838518773099*^9, 
   3.4798385201110363`*^9}, {3.479838565517385*^9, 3.479838593709775*^9}, {
   3.479838627341448*^9, 3.4798386995945673`*^9}, {3.4798387530547457`*^9, 
   3.479838880395114*^9}, {3.479838974391836*^9, 3.479839003996855*^9}, {
   3.4798390375944853`*^9, 3.479839056800249*^9}, {3.4798390892361813`*^9, 
   3.479839243070012*^9}, {3.480066015519232*^9, 3.480066094949997*^9}, {
   3.480066125986209*^9, 3.480066165081772*^9}, {3.480066226934205*^9, 
   3.480066237574588*^9}, {3.480066283505269*^9, 3.4800665111606827`*^9}, {
   3.480066592182413*^9, 3.4800666859305077`*^9}, {3.480066734730438*^9, 
   3.480066768412458*^9}, {3.480066827191833*^9, 3.480066874816085*^9}, {
   3.4800677881528473`*^9, 3.48006786409492*^9}, {3.480067905720847*^9, 
   3.480067930501906*^9}, {3.480068063737153*^9, 3.480068077478175*^9}, {
   3.480068224553863*^9, 3.480068260923872*^9}, {3.4800683290385847`*^9, 
   3.4800683365947533`*^9}, {3.480068369455103*^9, 3.480068432556838*^9}, {
   3.480068557356805*^9, 3.4800685959614153`*^9}, {3.480068630272635*^9, 
   3.48006882899929*^9}, {3.480068881677984*^9, 3.480069044627442*^9}, {
   3.480069232498723*^9, 3.480069258579097*^9}, {3.480069303974855*^9, 
   3.48006931827868*^9}, 3.480069790849802*^9, {3.480069823077478*^9, 
   3.480069826185627*^9}, {3.4800703689063396`*^9, 3.4800703872175417`*^9}, {
   3.480070680107101*^9, 3.480070716887212*^9}, {3.480070750099988*^9, 
   3.480070764723548*^9}, 3.480070827495819*^9, {3.4800708789880867`*^9, 
   3.4800709565664463`*^9}, {3.480070988088188*^9, 3.48007099850309*^9}, {
   3.4800710315847807`*^9, 3.480071049625648*^9}, {3.480071176348041*^9, 
   3.480071199986598*^9}, {3.480071245613636*^9, 3.480071267832406*^9}, {
   3.4800714478086367`*^9, 3.480071725969821*^9}, {3.480154700778866*^9, 
   3.480154704378541*^9}, {3.48035592746231*^9, 3.4803559620343933`*^9}, {
   3.4816420557008657`*^9, 3.4816420718058653`*^9}, {3.48164210254808*^9, 
   3.481642169360544*^9}, 3.481643383888503*^9, {3.4816445804229507`*^9, 
   3.481644622423936*^9}, {3.4973678723598537`*^9, 3.4973678730472393`*^9}, {
   3.499535366458336*^9, 3.4995353715048237`*^9}, {3.499537330916829*^9, 
   3.4995373723823943`*^9}, {3.49953742926865*^9, 3.4995374400959435`*^9}},
 CellID->198217760],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`T$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`T$$], 0, 4}}, Typeset`size$$ = {1120., {232., 236.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`T$7306$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`T$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`T$$, $CellContext`T$7306$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Style[{
         Graphics[{
           Translate[{
             EdgeForm[Thick], {Transparent, 
              Rectangle[{-1.5, 0}, {6.5, 2.5}]}, 
             Line[{{1.5, 2.5}, {2.5, 3.5}, {3.5, 2.5}}], {DotDashed, 
              Line[{{2.5, -1}, {2.5, 10.5}}]}, 
             Arrowheads[Small], 
             Arrow[
              Table[{((-10) Sign[
                    $CellContext`\[Theta]\[Theta][$CellContext`T$$]]) 
                 Sin[$CellContext`dt] + 2.5, 10 
                Cos[$CellContext`dt]}, {$CellContext`dt, 0, 
                Abs[
                 $CellContext`\[Theta]\[Theta][$CellContext`T$$]], Pi/200}], {
              0, 0.1}]}, {10 $CellContext`xx[$CellContext`T$$], 0}], 
           Translate[{
             Rotate[{
               EdgeForm[Black], {
                FaceForm[Transparent], 
                Rectangle[{2.25, 2.75}, {2.75, 9}]}, {DotDashed, 
                Line[{{2.5, 3}, {2.5, 10.5}}]}}, 
              $CellContext`\[Theta]\[Theta][$CellContext`T$$], {2.5, 3}], 
             PointSize[Medium], 
             Point[{2.5, 3}], 
             Point[{2.5, 1.5}]}, {10 $CellContext`xx[$CellContext`T$$], 0}], 
           Translate[
            Rotate[{{
               EdgeForm[Thick], White, 
               Disk[]}, 
              
              Line[{{0, 1}, {0, 
               0}}]}, (-10) $CellContext`xx[$CellContext`T$$]], {
            10 $CellContext`xx[$CellContext`T$$], 0}], 
           Translate[
            Rotate[{{
               EdgeForm[Thick], White, 
               Disk[{5, 0}]}, 
              
              Line[{{5, 1}, {5, 
               0}}]}, (-10) $CellContext`xx[$CellContext`T$$]], {
            10 $CellContext`xx[$CellContext`T$$], 0}], 
           
           Arrow[{{8, 1.5}, {
             2.5 + 10 $CellContext`xx[$CellContext`T$$], 1.5}}], 
           Arrow[{{9, 1.5}, {10, 1.5}}], 
           Line[{{10, 10}, {10, -1}, {-2, -1}}], 
           Text[
            Style[$CellContext`x, Medium, Blue], {8.5, 1.5}], 
           Text[
            Style[$CellContext`\[Theta], Medium, Red], {
            2.8 + 10 $CellContext`xx[$CellContext`T$$], 9.75}]}, 
          PlotRange -> {{-5, 10}, {-2, 11}}], 
         Plot[{
           If[$CellContext`T$$ > $CellContext`t, 
            $CellContext`xx[$CellContext`t], 0], 
           If[$CellContext`T$$ > $CellContext`t, 
            $CellContext`\[Theta]\[Theta][$CellContext`t], 
            0]}, {$CellContext`t, 0, 4}, PlotRange -> {{0, 4}, {-0.15, 0.15}},
           PlotStyle -> {Blue, Red}, Epilog -> Inset[
            Column[{
              Style["x(t)", 10, Blue], 
              Style["\[Theta](t)", 10, Red]}], {3, 0.05}], 
          AxesLabel -> {"t"}]}, ImageSizeMultipliers -> {1.5, 1}], 
      "Specifications" :> {{$CellContext`T$$, 0, 4, AnimationRunning -> False,
          AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, DefaultBaseStyle -> 
        "Animate", DefaultLabelStyle -> "AnimateLabel", SynchronousUpdating -> 
        True, ShrinkingDelay -> 10.}, "DefaultOptions" :> {}],
     ImageSizeCache->{1171., {271., 278.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`\[Theta]\[Theta][
         Pattern[$CellContext`tt, 
          Blank[]]] := Re[
         ReplaceAll[
          
          Part[$CellContext`output, 
           2], $CellContext`t -> $CellContext`tt]], $CellContext`output = {
         InterpolatingFunction[{{0., 4.}}, {
          4, 23, 1, {177}, {4}, 0, 0, 0, 0, Automatic}, CompressedData["
1:eJxFlPs3EwocwPcS9tSqK26iLpVieaWX6/tNlBa5Ni7K6aX1LlLooXJIKpVS
im5ayG1FblSqEV0n1KKJTozNiB5DZNrGmO495/5wP+d8zuc/+MzYHMkTkAgE
AvFfiwn/E77V1XoiT+P5X42g055FGazlg294eqUoOgJu/GJlCCXugaRPuen3
uo7AH9nr+CF5J0BTK1A0B6XC7JHHrg7ki/Dgi09GefxV8Gxp0vpps+Fjl1Nh
/8JcKGjTyUsP5ENUUwXjeLEIxqr8Ilnz/gLvsD1fAhpLgBroZjGVVQpS39FV
HaufQgZWHRadKod1i04XRFVXwpMUBW8ZtQq89msDJM4voG49y58fVgMh3Dlc
ecJL6FywbKVAJIHdM9Z690vr4L74ksv8jVLQ39lqtmi4Aa7HJqWEYiN4Lr85
fvBUE3SwnsVkNbyDRLms7+nU98Dc72EpntYMWabClWKbFrC7SYwR28rgvvuW
XPGcVvCor5GKHdrgZYS9QewkB74+dW6ZmwKUF/pDyha1w87ZgcllHkoYFKZ+
SgrvAIfCvdS7lp2w/Ukgp6GlE/JeuPG0Vz5Ae4N57LTgLrBU6LO8JnVDsErx
bPvbbrioed55Pu0j1BFvGT3y/wQmzBT7NtpnOCpKNcSVfQa114W3k3d9gW2K
y/nFlipQxGUdWiNRAY99w7/3UA/UFubOOGXfCx4rb2tsZb1AWaqa2KXugzrO
PE4OvR8uz9zD3TBrADipIQ+YNt+AnXzw76+F30B7LEtat3gQWg+KFQU1g1AZ
3dZ7hq+GQ3GSA1OeqcE1/qlBOGsI+hNEJ+deGAJR8lXWo5Eh2HzmZCZEfAer
tJgZkrrv0Hxpy90gdw1YBXzVTYnRQAQ11qf5gQbuVI+nZ6o1MJCQ0hHmrIUF
Hmacn6O0cESXeURepIWz9ckquZkOsvOiQxTROrh3aEO14p0OKgL8XNvdh0Fq
tzinPXMYlKN2LKV+GL69ZR9Vho8AUfSjR1kxAhOP9YV22OhhZpCspiNRD5FJ
/Axjyig8K6mP4CSPAvXDSpfgCWMQOrGKEJ8yBvnoIc01MYA6sjT71WkDoNBp
9zfqOJx7c3eJ+dlxaDPYmnoyfsAcR2HzlvM/YGkRvanamIAZu30Tz/AJODD3
hHOAkICrVJUdk3oJeOv2aFqLOxHHBQshO5GIobb7+ze9IWLJh6LsWZYkZOT0
+PUKSGiRvPfr1SMktNuhPud9kYQu/rGcwT9J6Omsf5NdTsLVU45FchtJGDJC
NNN9JmGEIvl+noGE663jqudZkDFs0/bWB25kDMoLG1j6GxkDPnIpL3aRkTvb
w8IvhYw+Oxw573LJuM9v5uOqz2S8Pt8cix0o+JJNfyXcR8EhDYF3vpSC1jJN
a/woBbnlPRG70Ahjhcq+sGQjzEl8F+MrMcJ6watxd9YEHPatSLELmoCXe77y
NhRMQOezVtOzSMZY7+ivagwzxh3S+If0YmM02ld4fIWJCeaw5dyEDSb460Pa
T+JSE5QFL+0cYphirG5noaPAFNlZ1+K2lZti0RKJV84kKnLlI4y2nVT8dNRe
NrmKionWYbfWWNDQpYA1xnKmYZd7Df+tLw0vVcUXpG+k4fI1ruSggzQckqnW
TrlAwzzBzZL3t2nIH/ydmllJQ1cH82PhfTRkb2setLGg42DOVcFHHzo2yENk
d6LpeN98qv9eIR3TeC3PXeroCN9XVLNNGDiQ8eiVejkDbyy0fdN4nIFrZOmN
JWUMHD9MbE7XMbBoWlRbtCsT11e0K3mRTKz1tpnueIaJTq83hRvnMzEzMO9a
ZyUTiS3dLWWtTNy5fpb5FQ0Tm7q3BUeZsfDulfa0Ji8WJvoGS9xjWLhW/5py
7TYLHQ0CUn0TC/+7rxn+A+89lM4=
          "], {Developer`PackedArrayForm, CompressedData["
1:eJwt0gFHnQEAheGvJEmSJElSSZIkSZJcSZIkuZIkyZXMpCZJJpMkSTKTJJlJ
kiRJMpPMJDNJkszMJEkmSZLMTA/t8PyB482O9IV7o4Ig2AyeF00MscQRTwKJ
JJFMCqmkkU4GmWSRQy555FNAIUUUU0IpZZRTQSUhqqimhlrqqKeBRpoI00wL
rbTRTgedROiimxe8pIdeXtHPAIMM8Zph3jDCKGOMM8EkU0zzlnfMMMsc8yzw
ng8sssQyK6yyxjob/3/eYpuPfGKHXT7zhT32+co3DjjkiGNOOOU7P/jJL844
54JLrvjNNTfccsc9Dzzyh7/8IxBCNDHEEkc8CSSSRDIppJJGOhlkkkUOueSR
TwGFFFFMCaWUUU4FlYSoopoaaqmjngYaaSJMMy200kY7HXQS4QmrFkuq
           "], CompressedData["
1:eJwtlGk0FYgfhkmRRMnSxSg0sraIW0r6YTCyZ8sSWVNkj2sL99qvJTtxrdn3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           "]}, {Automatic}][$CellContext`t], 
         InterpolatingFunction[{{0., 4.}}, {
          4, 23, 1, {177}, {4}, 0, 0, 0, 0, Automatic}, CompressedData["
1:eJxFlPs3EwocwPcS9tSqK26iLpVieaWX6/tNlBa5Ni7K6aX1LlLooXJIKpVS
im5ayG1FblSqEV0n1KKJTozNiB5DZNrGmO495/5wP+d8zuc/+MzYHMkTkAgE
AvFfiwn/E77V1XoiT+P5X42g055FGazlg294eqUoOgJu/GJlCCXugaRPuen3
uo7AH9nr+CF5J0BTK1A0B6XC7JHHrg7ki/Dgi09GefxV8Gxp0vpps+Fjl1Nh
/8JcKGjTyUsP5ENUUwXjeLEIxqr8Ilnz/gLvsD1fAhpLgBroZjGVVQpS39FV
HaufQgZWHRadKod1i04XRFVXwpMUBW8ZtQq89msDJM4voG49y58fVgMh3Dlc
ecJL6FywbKVAJIHdM9Z690vr4L74ksv8jVLQ39lqtmi4Aa7HJqWEYiN4Lr85
fvBUE3SwnsVkNbyDRLms7+nU98Dc72EpntYMWabClWKbFrC7SYwR28rgvvuW
XPGcVvCor5GKHdrgZYS9QewkB74+dW6ZmwKUF/pDyha1w87ZgcllHkoYFKZ+
SgrvAIfCvdS7lp2w/Ukgp6GlE/JeuPG0Vz5Ae4N57LTgLrBU6LO8JnVDsErx
bPvbbrioed55Pu0j1BFvGT3y/wQmzBT7NtpnOCpKNcSVfQa114W3k3d9gW2K
y/nFlipQxGUdWiNRAY99w7/3UA/UFubOOGXfCx4rb2tsZb1AWaqa2KXugzrO
PE4OvR8uz9zD3TBrADipIQ+YNt+AnXzw76+F30B7LEtat3gQWg+KFQU1g1AZ
3dZ7hq+GQ3GSA1OeqcE1/qlBOGsI+hNEJ+deGAJR8lXWo5Eh2HzmZCZEfAer
tJgZkrrv0Hxpy90gdw1YBXzVTYnRQAQ11qf5gQbuVI+nZ6o1MJCQ0hHmrIUF
Hmacn6O0cESXeURepIWz9ckquZkOsvOiQxTROrh3aEO14p0OKgL8XNvdh0Fq
tzinPXMYlKN2LKV+GL69ZR9Vho8AUfSjR1kxAhOP9YV22OhhZpCspiNRD5FJ
/Axjyig8K6mP4CSPAvXDSpfgCWMQOrGKEJ8yBvnoIc01MYA6sjT71WkDoNBp
9zfqOJx7c3eJ+dlxaDPYmnoyfsAcR2HzlvM/YGkRvanamIAZu30Tz/AJODD3
hHOAkICrVJUdk3oJeOv2aFqLOxHHBQshO5GIobb7+ze9IWLJh6LsWZYkZOT0
+PUKSGiRvPfr1SMktNuhPud9kYQu/rGcwT9J6Omsf5NdTsLVU45FchtJGDJC
NNN9JmGEIvl+noGE663jqudZkDFs0/bWB25kDMoLG1j6GxkDPnIpL3aRkTvb
w8IvhYw+Oxw573LJuM9v5uOqz2S8Pt8cix0o+JJNfyXcR8EhDYF3vpSC1jJN
a/woBbnlPRG70Ahjhcq+sGQjzEl8F+MrMcJ6watxd9YEHPatSLELmoCXe77y
NhRMQOezVtOzSMZY7+ivagwzxh3S+If0YmM02ld4fIWJCeaw5dyEDSb460Pa
T+JSE5QFL+0cYphirG5noaPAFNlZ1+K2lZti0RKJV84kKnLlI4y2nVT8dNRe
NrmKionWYbfWWNDQpYA1xnKmYZd7Df+tLw0vVcUXpG+k4fI1ruSggzQckqnW
TrlAwzzBzZL3t2nIH/ydmllJQ1cH82PhfTRkb2setLGg42DOVcFHHzo2yENk
d6LpeN98qv9eIR3TeC3PXeroCN9XVLNNGDiQ8eiVejkDbyy0fdN4nIFrZOmN
JWUMHD9MbE7XMbBoWlRbtCsT11e0K3mRTKz1tpnueIaJTq83hRvnMzEzMO9a
ZyUTiS3dLWWtTNy5fpb5FQ0Tm7q3BUeZsfDulfa0Ji8WJvoGS9xjWLhW/5py
7TYLHQ0CUn0TC/+7rxn+A+89lM4=
          "], {Developer`PackedArrayForm, CompressedData["
1:eJwt0gFHnQEAheGvJEmSJElSSZIkSZJcSZIkuZIkyZXMpCZJJpMkSTKTJJlJ
kiRJMpPMJDNJkszMJEkmSZLMTA/t8PyB482O9IV7o4Ig2AyeF00MscQRTwKJ
JJFMCqmkkU4GmWSRQy555FNAIUUUU0IpZZRTQSUhqqimhlrqqKeBRpoI00wL
rbTRTgedROiimxe8pIdeXtHPAIMM8Zph3jDCKGOMM8EkU0zzlnfMMMsc8yzw
ng8sssQyK6yyxjob/3/eYpuPfGKHXT7zhT32+co3DjjkiGNOOOU7P/jJL844
54JLrvjNNTfccsc9Dzzyh7/8IxBCNDHEEkc8CSSSRDIppJJGOhlkkkUOueSR
TwGFFFFMCaWUUU4FlYSoopoaaqmjngYaaSJMMy200kY7HXQS4QmrFkuq
           "], CompressedData["
1:eJxdzWcgFQzfgHHyZBTJSLKVVIjKyCj/oiiUvWfKiIRjpXLXsSLkHJR95FjZ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           "]}, {Automatic}][$CellContext`t]}, $CellContext`xx[
         Pattern[$CellContext`tt, 
          Blank[]]] := Re[
         ReplaceAll[
          Part[$CellContext`output, 1], $CellContext`t -> $CellContext`tt]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Animate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4995371829281955`*^9, {3.4995373934589005`*^9, 3.499537402958171*^9}, 
   3.4995374415020857`*^9}]
}, {2}]],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Optimal gains", "Section"],

Cell[TextData[{
 "For a continuous-time ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", and cost matrices ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ", ",
 ButtonBox["LQRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "finds the feedback gain matrix, to minimize the cost function",
 Cell[BoxData[
  FormBox[Cell[""], TraditionalForm]]],
 "."
}], "Text"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{
        TemplateBox[{RowBox[{"x", "(", "\[Tau]", ")"}]},
         "Transpose"], ".", "P", ".", 
        RowBox[{"u", "(", "\[Tau]", ")"}]}]}], "+", 
      RowBox[{
       TemplateBox[{RowBox[{"x", "(", "\[Tau]", ")"}]},
        "Transpose"], ".", "Q", ".", 
       RowBox[{"x", "(", "\[Tau]", ")"}]}], "+", 
      RowBox[{
       TemplateBox[{RowBox[{"u", "(", "\[Tau]", ")"}]},
        "Transpose"], ".", "R", ".", 
       RowBox[{"u", "(", "\[Tau]", ")"}]}]}], ")"}], 
    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], 
  TraditionalForm]], "DisplayFormula",
 CellID->588972791],

Cell[TextData[{
 "The dual estimation problem with Gaussian noise covariance matrices is \
solved by ",
 ButtonBox["LQEstimatorGains",
  BaseStyle->"FunctionLink"],
 ".  ",
 ButtonBox["LQOutputRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "minimizes the following cost function where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", 
    RowBox[{"(", "t", ")"}]}], TraditionalForm]]],
 " is the output. "
}], "MathCaption",
 CellChangeTimes->{{3.5050640793580666`*^9, 3.5050640903107405`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y", "(", "\[Tau]", ")"}], "\[ConjugateTranspose]"}], ".", 
       "Q", ".", 
       RowBox[{"y", "(", "\[Tau]", ")"}]}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"u", "(", "t", ")"}], "\[ConjugateTranspose]"}], ".", "R", 
       ".", 
       RowBox[{"u", "(", "\[Tau]", ")"}]}], "+", 
      RowBox[{"2", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "(", "\[Tau]", ")"}], "\[ConjugateTranspose]"}], ".", 
        "P", ".", 
        RowBox[{"u", "(", "\[Tau]", ")"}]}]}]}], ")"}], 
    RowBox[{"\[DifferentialD]", "\[Tau]"}]}]}], 
  TraditionalForm]], "DisplayFormula"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "1", "0", "0", "0"},
          {"0", 
           RowBox[{"-", "0.01"}], "0.3", "0", 
           RowBox[{"-", "1"}]},
          {"0", 
           RowBox[{"-", "0.003"}], 
           RowBox[{"-", "10"}], "0.1", "0"},
          {"1", "0", "0", "0", "0"},
          {"0", "1", "0", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->(Deployed -> False),
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, False, True, {False}, False}, 
           "ColumnsIndexed" -> {}, 
           "Rows" -> {False, False, False, True, {False}, False}, 
           "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {}}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{"IdentityMatrix", "[", "3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{"IdentityMatrix", "[", "2", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.15", ",", "0.2"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"LQRegulatorGains", "[", 
   RowBox[{"ss", ",", 
    RowBox[{"{", 
     RowBox[{"q", ",", "r", ",", "p"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]}], "Input",
 CellChangeTimes->{3.5043675458222437`*^9},
 CellID->507714858],

Cell[TextData[{
 "Additional arguments can be used to limit which inputs are considered \
feedback inputs in ",
 ButtonBox["LQRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "and ",
 ButtonBox["LQOutputRegulatorGains",
  BaseStyle->"FunctionLink"],
 ", which sensors are used in ",
 ButtonBox["LQEstimatorGains ",
  BaseStyle->"FunctionLink"],
 "and ",
 ButtonBox["LQOutputRegulatorGains",
  BaseStyle->"FunctionLink"],
 ", and which inputs are stochastic in  ",
 ButtonBox["LQEstimatorGains",
  BaseStyle->"FunctionLink"],
 ".  In this example, only the first output will be sent to the estimator."
}], "MathCaption"],

Cell[BoxData[
 RowBox[{"LQEstimatorGains", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     TagBox[
      SubsuperscriptBox[
       FormBox[
        TagBox[
         RowBox[{"(", "\[NoBreak]", GridBox[{
            {
             RowBox[{"-", "2.9"}], "5", "44", 
             RowBox[{"-", "11"}], "0.02", "1.1"},
            {"0.8", 
             RowBox[{"-", "13"}], 
             RowBox[{"-", "3.9"}], "0", 
             RowBox[{"-", "2"}], "0.7"},
            {"0", "0", 
             RowBox[{"-", "1.9"}], "10", "0", "0"},
            {"1", "0", "0", "0", "0", "0"},
            {"0", "1", "0", "0", "0", "0"}
           },
           AllowScriptLevelChange->False,
           BaseStyle->{Deployed -> False},
           
           GridBoxAlignment->{
            "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
           
           GridBoxDividers->{
            "Columns" -> {False, False, False, True, {False}, False}, 
             "Rows" -> {False, False, False, True, {False}, False}},
           
           GridBoxItemStyle->{
            "ItemsIndexed" -> {{{1, 1}, {}} -> {
                Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
                 1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.7]}, 
               Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]],
        StandardForm], 
       FormBox[
        StyleBox["\<\"\[InvisibleSpace]\"\>",
         ShowStringCharacters->False],
        StandardForm], 
       FormBox[
        StyleBox["\<\"\[ScriptCapitalS]\"\>",
         Editable->False,
         ShowStringCharacters->False],
        StandardForm],
       MultilineFunction->None],
      {StateSpaceModel, {Control`CommonDump`noD -> True}}], ",", "1"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0.001`", "0.`", "0.`"},
         {"0.`", "0.001`", "0.`"},
         {"0.`", "0.`", "0.001`"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0.1`"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0.001`"},
         {"0"},
         {"0.006`"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5043676735027556`*^9, 3.504367674562604*^9}, {
  3.5043679091942472`*^9, 3.5043679256063056`*^9}}],

Cell["", "Spacer"],

Cell[TextData[{
 "All three functions have similar cost functions for discrete-time systems.  \
The results are calculated internally by solving a corresponding Riccati \
equation using either ",
 ButtonBox["RiccatiSolve ",
  BaseStyle->"FunctionLink"],
 "or ",
 ButtonBox["DiscreteRiccatiSolve",
  BaseStyle->"FunctionLink"],
 ". "
}], "Text"],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Optimal gains", "Section"],

Cell[TextData[{
 "Some applications require using a discrete-time controller or estimator on \
a continuous-time system. In this situation, it is common to create a \
discretized model of the system and then design a controller. This process is \
known as ",
 StyleBox["emulation",
  FontSlant->"Italic"],
 ".  For a continuous-time system, ",
 ButtonBox["DiscreteLQRegulatorGains ",
  BaseStyle->"FunctionLink"],
 "and ",
 ButtonBox["DiscreteLQEstimatorGains",
  BaseStyle->"FunctionLink"],
 " use emulation to calculate optimal gains."
}], "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   TagBox[
    SubsuperscriptBox[
     FormBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "0", "0", "0", "0", 
           RowBox[{"-", "1"}]},
          {"0", 
           RowBox[{"-", "2"}], "0", "1", "0", 
           RowBox[{"-", "2"}]},
          {"0", "0", "3", "0.1", "0", "0.5"},
          {"1", "0", "0", "0", "0", "0"},
          {"0", "1", "0", "0", "0", "0"}
         },
         AllowScriptLevelChange->False,
         BaseStyle->(Deployed -> False),
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxDividers->{
          "Columns" -> {False, False, False, True, {False}, False}, 
           "ColumnsIndexed" -> {}, 
           "Rows" -> {False, False, False, True, {False}, False}, 
           "RowsIndexed" -> {}},
         GridBoxItemStyle->{
          "ItemsIndexed" -> {{{1, 1}, {}} -> {
              Deployed -> True, ShowStringCharacters -> False}, {{}, {1, 
               1}} -> {Deployed -> True, ShowStringCharacters -> False}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[InvisibleSpace]\"\>",
       ShowStringCharacters->False],
      StandardForm], 
     FormBox[
      StyleBox["\<\"\[ScriptCapitalS]\"\>",
       Editable->False,
       ShowStringCharacters->False],
      StandardForm],
     MultilineFunction->None],
    {StateSpaceModel, {Control`CommonDump`noD -> True}}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DiscreteLQRegulatorGains", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ss", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"10", "0", "0"},
         {"0", "0.1", "0"},
         {"0", "0", "1"}
        }], ")"}], ",", 
      RowBox[{"(", GridBox[{
         {"1", "0"},
         {"0", "1"}
        }], ")"}], ",", 
      RowBox[{"(", GridBox[{
         {"1", "2"},
         {"2", "0"},
         {"0", "1"}
        }], ")"}]}], "}"}], ",", "1"}], "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.5043718988014555`*^9, 3.5043718990818057`*^9}}],

Cell["", "Spacer"],

Cell[TextData[{
 "The discrete-time ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 " used to calculate the gains is found internally with ",
 ButtonBox["ToDiscreteTimeModel",
  BaseStyle->"FunctionLink"],
 " using the zero-order-hold method."
}], "Text",
 CellChangeTimes->{{3.5043683623571978`*^9, 3.504368480047084*^9}, {
  3.5043719262290306`*^9, 3.5043720207956357`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Estimator", "Section",
 CellChangeTimes->{{3.5042736860782156`*^9, 3.504273689503132*^9}, {
   3.504350609513688*^9, 3.504350617774056*^9}, {3.5043553380511456`*^9, 
   3.5043553409320335`*^9}, {3.5043601283294306`*^9, 3.504360128875245*^9}, {
   3.5043661077203927`*^9, 3.5043661146870217`*^9}, 3.5043666911188583`*^9, {
   3.5043668266694303`*^9, 3.5043668307996936`*^9}, {3.5043720916158257`*^9, 
   3.5043720928468037`*^9}}],

Cell[TextData[{
 "To create an estimator for a ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 ", either ",
 ButtonBox["KalmanEstimator ",
  BaseStyle->"FunctionLink"],
 "or ",
 ButtonBox["StateOutputEstimator ",
  BaseStyle->"FunctionLink"],
 "can be used.  ",
 ButtonBox["KalmanEstimator ",
  BaseStyle->"FunctionLink"],
 "creates an optimal estimator for a set of Gaussian noise covariance \
matrices.  ",
 ButtonBox["StateOutputEstimator",
  BaseStyle->"FunctionLink"],
 " creates an estimator using a gain matrix.  The inputs to the estimator are \
the measured outputs of the system and the deterministic inputs to the \
system.  The outputs of the estimator are the estimated state and the \
estimated output."
}], "Text",
 CellChangeTimes->{{3.5042737678403015`*^9, 3.5042737726507516`*^9}, {
  3.5042743096256104`*^9, 3.504274325209344*^9}, {3.5043506259409103`*^9, 
  3.5043507548026514`*^9}, {3.5043508824043517`*^9, 3.5043510223501477`*^9}, {
  3.5043554170571003`*^9, 3.5043554233511143`*^9}, {3.504356888432257*^9, 
  3.504356909409012*^9}, {3.5043602122905097`*^9, 3.504360220898342*^9}, {
  3.5043604011170444`*^9, 3.504360407479356*^9}, {3.504361752919752*^9, 
  3.5043617762282977`*^9}, {3.504361914333376*^9, 3.504361952671644*^9}, {
  3.5043721334846597`*^9, 3.5043723754200315`*^9}, {3.5043725289300203`*^9, 
  3.504372557096245*^9}, {3.5043726007670975`*^9, 3.504372612884943*^9}, {
  3.504372674561672*^9, 3.504372698191472*^9}}],

Cell[BoxData[
 RowBox[{"StateOutputEstimator", "[", 
  RowBox[{
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", "a", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "b", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "c", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "d", "}"}], "}"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "l", "}"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5043724896713066`*^9, 3.504372518288066*^9}, {
  3.5043725627357035`*^9, 3.504372591865141*^9}}],

Cell[TextData[{
 "When the gain matrix given to ",
 ButtonBox["StateOutputEstimator",
  BaseStyle->"FunctionLink"],
 " is calculated by ",
 ButtonBox["LQEstimatorGains",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LQEstimatorGains"],
 ", the result is equivalent to ",
 ButtonBox["KalmanEstimator",
  BaseStyle->"FunctionLink"],
 "."
}], "MathCaption"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ssd", "=", 
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"(", GridBox[{
          {"0", "1"},
          {
           RowBox[{"-", "1"}], "2"}
         }], ")"}], ",", 
       RowBox[{"(", GridBox[{
          {"0", "0"},
          {"1", "1"}
         }], ")"}], ",", 
       RowBox[{"(", GridBox[{
          {"0.005", "0.003"}
         }], ")"}]}], "}"}], ",", 
     RowBox[{"SamplingPeriod", "\[Rule]", " ", "0.1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ld", "=", 
   RowBox[{"LQEstimatorGains", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ssd", ",", "All", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", "0.001", "}"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"{", "0.1", "}"}], "}"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"kest", "=", 
  RowBox[{"StateOutputEstimator", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ssd", ",", "All", ",", "1"}], "}"}], ",", "ld"}], 
   "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"KalmanEstimator", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ssd", ",", "All", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", "0.001", "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "0.1", "}"}], "}"}]}], "}"}]}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["StateSpaceModel Design: Estimator and regulator", "Section"],

Cell[TextData[{
 "When state feedback is unavailable, or when a system has stochastic or \
unknown properties, a common technique is to do control based on state \
estimation. In ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", either ",
 ButtonBox["LQGRegulator ",
  BaseStyle->"FunctionLink"],
 "or ",
 ButtonBox["EstimatorRegulator ",
  BaseStyle->"FunctionLink"],
 "can be used.  ",
 ButtonBox["LQGRegulator ",
  BaseStyle->"FunctionLink"],
 "creates an optimal estimator for a set of Gaussian noise covariance \
matrices and cost matrices. ",
 ButtonBox["EstimatorRegulator ",
  BaseStyle->"FunctionLink"],
 "creates an estimator using a feedback gain matrix and an estimation gain \
matrix.  "
}], "Text",
 CellChangeTimes->{{3.5052293487607355`*^9, 3.5052293496031303`*^9}}],

Cell["\<\
An LQG regulator for a continuous-time system with one measurement and two \
feedback inputs:\
\>", "MathCaption"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", GridBox[{
         {
          RowBox[{"-", "1"}], "1"},
         {"0", "2"}
        }], ")"}], ",", 
      RowBox[{"(", GridBox[{
         {"1", "0", 
          RowBox[{"-", "0.5"}]},
         {"0", "1", "0.5"}
        }], ")"}], ",", 
      RowBox[{"(", GridBox[{
         {"1", "0"},
         {"0", "1"},
         {"1", 
          RowBox[{"-", "1"}]}
        }], ")"}], ",", 
      RowBox[{"(", GridBox[{
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "0"}
        }], ")"}]}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LQGRegulator", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ss", ",", "3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"IdentityMatrix", "[", "1", "]"}], ",", 
     RowBox[{"0.1", 
      RowBox[{"IdentityMatrix", "[", "1", "]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"2.5", 
      RowBox[{"IdentityMatrix", "[", "2", "]"}]}], ",", 
     RowBox[{"IdentityMatrix", "[", "2", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5043724896713066`*^9, 3.504372518288066*^9}, {
   3.5043725627357035`*^9, 3.504372591865141*^9}, 3.504373490255816*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "=", 
   RowBox[{"StateSpaceModel", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", "a", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "b", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "c", "}"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "d", "}"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"regulator", "=", 
   RowBox[{"EstimatorRegulator", "[", 
    RowBox[{"ss", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", "l", "}"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"{", "k", "}"}], "}"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TransferFunctionModel", "[", "regulator", "]"}]}], "Input",
 CellChangeTimes->{{3.504373558698987*^9, 3.504373579160254*^9}, {
  3.50437418958212*^9, 3.5043741900185194`*^9}, {3.50521317121875*^9, 
  3.505213172546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SystemsModelFeedbackConnect", "[", 
   RowBox[{"ss", ",", "%"}], "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.504374263240138*^9, 3.504374274321571*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Resources", "Section"],

Cell[TextData[{
 "In addition to each function\[CloseCurlyQuote]s reference page (e.g.,  ",
 ButtonBox["StateSpaceModel",
  BaseStyle->"FunctionLink"],
 "), the following guide pages give an overview of the functionality in these \
areas:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Control Systems",
 BaseStyle->"Link",
 ButtonData->"paclet:guide/ControlSystems"]], "Item",
 CellChangeTimes->{{3.50437435982576*^9, 3.5043744003023415`*^9}, {
  3.5043744634719944`*^9, 3.5043744657787075`*^9}, {3.5043745032316256`*^9, 
  3.5043745043226385`*^9}}],

Cell[TextData[ButtonBox["Control Systems Modeling",
 BaseStyle->"Link",
 ButtonData->"paclet:guide/Modeling"]], "Item",
 CellChangeTimes->{{3.50437435982576*^9, 3.5043744003023415`*^9}, 
   3.5043744908875923`*^9}],

Cell[TextData[ButtonBox["Classical Control",
 BaseStyle->"Link",
 ButtonData->"paclet:guide/ClassicalAnalysisAndDesign"]], "Item",
 CellChangeTimes->{{3.50437435982576*^9, 3.5043744003023415`*^9}, {
   3.504374536460764*^9, 3.504374539297398*^9}, 3.5043745755783176`*^9}]
}, Open  ]],

Cell["", "Spacer"],

Cell[TextData[{
 "The ",
 ButtonBox["Control Systems",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/mathematica/new-in-8/integrated-control-\
systems-design/"], None}],
 ButtonBox[" ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/mathematica/new-in-8/statistical-\
visualization/"], None},
  ButtonNote->
   "http://www.wolfram.com/mathematica/new-in-8/statistical-visualization/"],
 "web page contains several examples."
}], "Text",
 CellChangeTimes->{{3.504374635765816*^9, 3.504374642372888*^9}, {
  3.504374672374231*^9, 3.5043746763323135`*^9}, {3.5043747132795525`*^9, 
  3.504374715959344*^9}}]
}, Open  ]]
}, Open  ]]
},
Saveable->True,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1356, 968},
WindowMargins->{{5, Automatic}, {Automatic, 0}},
WindowTitle->"S60 Control Systems",
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell[
       TextData[{"Style Definitions for \n", 
         StyleBox["Wolfram Seminars", FontSlant -> "Italic"]}], "Subtitle"], 
      Cell[
       StyleData[StyleDefinitions -> "Default.nb"]], 
      Cell[
       StyleData[StyleDefinitions -> "StyleMenuClear.nb"]], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Definitions", "Section"], 
         Cell[
          StyleData[
          All, "SlideShow", StyleDefinitions -> 
           StyleData[All, "Presentation"]], PageWidth -> WindowWidth, 
          DockedCells -> Cell[
            BoxData[
             GridBox[{{
                TooltipBox[
                 ButtonBox[
                  StyleBox[
                   RowBox[{"  ", "\[EmptySquare]", " "}], FontSize -> 20, 
                   GrayLevel[0.7]], Appearance -> None, 
                  ButtonFunction :> (
                   FEPrivate`NotebookToggleFullScreen[]; {}), Evaluator -> 
                  None], 
                 DynamicBox[
                  FEPrivate`FrontEndResource[
                  "SlideshowToolbarText", "TooltipToggleFullScreen"]]], 
                StyleBox[
                 RowBox[{
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[FirstPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageFirst", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipFirstSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LeftPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPagePrevious", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipPreviousSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[RightPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageNext", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipNextSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LastPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageLast", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipLastSlide"]]]}], 
                 ButtonBoxOptions -> {Alignment -> {Automatic, 
                    FEPrivate`If[
                    FEPrivate`SameQ[
                    FEPrivate`$OperatingSystem, "Unix"], -0.4, -0.5]}, 
                   Appearance -> "Palette", 
                   ButtonFunction :> (FEPrivate`FrontEndExecute[
                    FrontEnd`FrontEndToken[
                    FrontEnd`ButtonNotebook[], #]]& ), Evaluator -> None, 
                   FrameMargins -> 0, ImageMargins -> 0, ImageSize -> 
                   Medium}], 
                
                DynamicModuleBox[{$CellContext`cells$$ = {}, \
$CellContext`tagFind$$ = False}, 
                 TagBox[
                  DynamicBox[
                   PopupMenuBox[
                    Dynamic[
                    0, With[{$CellContext`nb$ = ButtonNotebook[]}, 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; If[$CellContext`tagFind$$, 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowHeader", Next, 
                    CellTags, AutoScroll -> False], {#}], 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowNavigationBar", 
                    Next, CellStyle, AutoScroll -> False], {#}]]; 
                    SelectionMove[$CellContext`nb$, After, Cell, AutoScroll -> 
                    False]; NotebookWrite[$CellContext`nb$, 
                    Cell["", Deletable -> True, ShowCellBracket -> False], 
                    All]; NotebookDelete[$CellContext`nb$]; 
                    SelectionMove[$CellContext`nb$, 
                    If[$CellContext`tagFind$$, Previous, Next], 
                    Cell]]& ], $CellContext`cells$$, 
                    StyleBox[
                    RowBox[{
                    DynamicBox[
                    CurrentValue[{"CounterValue", "SlideShowNavigationBar"}]], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "SlideshowToolbarCounterText"]], 
                    DynamicBox[
                    
                    CurrentValue[{
                    "MaxCounterValue", "SlideShowNavigationBar"}]]}], 
                    "ControlStyle"], Appearance -> None, ImageSize -> 
                    Automatic], ImageSizeCache -> {50., {6., 18.}}], 
                  
                  EventHandlerTag[{
                   "MouseDown" :> 
                    Module[{$CellContext`cnt$, $CellContext`nb$ = 
                    InputNotebook[]}, $CellContext`cells$$ = {}; \
$CellContext`cnt$ = Apply[(
                    NotebookFind[$CellContext`nb$, #, All, #2, AutoScroll -> 
                    False]; CurrentValue[$CellContext`nb$, {
                    "CellCount", True}])& , {{
                    "SlideShowNavigationBar", CellStyle}, {
                    "SlideShowHeader", CellTags}}, {1}]; $CellContext`cnt$ = 
                    Apply[If[$CellContext`tagFind$$ = # == 
                    0, #2, #]& , $CellContext`cnt$]; 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; 
                    If[$CellContext`tagFind$$, $CellContext`cells$$ = 
                    Map[# -> StringJoin["Slide ", 
                    ToString[#]]& , 
                    Range[$CellContext`cnt$]], 
                    Do[NotebookFind[$CellContext`nb$, 
                    "SlideShowNavigationBar", Next, CellStyle, AutoScroll -> 
                    False]; SelectionMove[$CellContext`nb$, Next, Cell, 
                    AutoScroll -> False]; AppendTo[$CellContext`cells$$, 
                    ReplaceAll[
                    NotebookRead[$CellContext`nb$], Pattern[$CellContext`s, 
                    Blank[StyleBox]] :> With[{$CellContext`ss = Join[
                    Take[$CellContext`s, 1], 
                    DeleteCases[
                    Rest[$CellContext`s], 
                    Alternatives[
                    Blank[String], 
                    Blank[][FontColor, 
                    Blank[]]]]]}, 
                    
                    Condition[$CellContext`ss, 
                    True]]]], {$CellContext`cnt$}]; $CellContext`cells$$ = 
                    Replace[
                    Part[$CellContext`cells$$, All, 1], {BoxData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> $CellContext`c, TextData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> RowBox[
                    If[
                    
                    ListQ[$CellContext`c], $CellContext`c, \
{$CellContext`c}]]}, 1]; $CellContext`cells$$ = 
                    Thread[Range[$CellContext`cnt$] -> \
$CellContext`cells$$]]], PassEventsDown -> True, EvaluationOrder -> Before, 
                    PassEventsDown -> Automatic, PassEventsUp -> True}]], 
                 DynamicModuleValues :> {}]}}, AutoDelete -> False, 
              GridBoxItemSize -> {"Columns" -> {Automatic, Fit, Automatic}}]],
             "DockedCell", CellDynamicExpression :> If[CurrentValue[
                EvaluationNotebook[], {TaggingRules, "DisableController"}] === 
              True, Null, 
              (FrontEndExecute[
               FrontEnd`FrontEndToken[
                FrontEnd`InputNotebook[], #]]& )[
               Switch[
                ControllerState["Apple IR", {"B1", "B2"}], {True, 
                 Blank[]}, "ScrollPagePrevious", {
                 Blank[], True}, "ScrollPageNext", 
                Blank[], None]]], Magnification -> 0.75], 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowGroupOpener -> False, MenuSortingValue -> 1300], 
         Cell[
          StyleData["DockedCell"], Editable -> False, Evaluator -> "Local", 
          PageWidth -> WindowWidth, CellFrame -> {{0, 0}, {0, 0}}, 
          ShowSelection -> True, CellMargins -> {{0, 0}, {0, 0}}, 
          CellElementSpacings -> {
           "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 0}, 
          DynamicUpdating -> True, CellFrameMargins -> {{0, 0}, {0, 4}}, 
          ContextMenu -> None, ComponentwiseContextMenu -> {}, 
          ShowStringCharacters -> False, LineBreakWithin -> False, 
          Magnification -> 1, Background -> GrayLevel[0.97], 
          TooltipBoxOptions -> {TooltipDelay -> Automatic}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], MenuSortingValue -> 1, MenuCommandKey -> "1",
              FontFamily -> "Georgia", FontSize -> 36, FontWeight -> Plain, 
             FontColor -> RGBColor[0.796078, 0.0705882, 0]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{90, 100}, {10, 100}}, FontSize -> 54], 
            Cell[
             StyleData["Title", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], MenuSortingValue -> 100, MenuCommandKey -> 
             "2", FontFamily -> "Georgia", FontSize -> 24, FontWeight -> 
             "Plain", FontSlant -> "Italic"], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{90, 100}, {100, 20}}, FontSize -> 32], 
            Cell[
             StyleData["Subtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], MenuSortingValue -> 200, 
             MenuCommandKey -> "3", FontFamily -> "Georgia", FontSize -> 20, 
             FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.2]], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 120}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 26], 
            Cell[
             StyleData["Subsubtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DateSection"], CellMargins -> {{30, 0}, {12, 24}}, 
             ShowStringCharacters -> False], 
            Cell[
             StyleData["DateSection", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 36}}, ShowStringCharacters -> 
             False, FontSize -> 21], 
            Cell[
             StyleData["DateSection", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Sections", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Chapter"], CellMargins -> {{27, Inherited}, {8, 34}}, 
             CounterIncrements -> {"Chapter"}, MenuSortingValue -> 2410, 
             FontFamily -> "Georgia", FontSize -> 28, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098], CellTags -> "Chapter"], 
            Cell[
             StyleData["Chapter", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 60}, {20, 30}}, FontSize -> 36], 
            Cell[
             StyleData["Chapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "LargeChapter", $CellContext`StyleDefnitions -> 
              StyleData["Chapter"]], 
             CellMargins -> {{27, Inherited}, {8, 34}}, MenuSortingValue -> 
             2430, FontFamily -> "Georgia", FontSize -> 30, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["LargeChapter", "Presentation"], 
             CellMargins -> {{100, 100}, {10, 150}}, FontSize -> 54], 
            Cell[
             StyleData["LargeChapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> 0, MenuSortingValue -> 1200, 
             MenuCommandKey -> "4", FontFamily -> "Georgia", FontSize -> 24, 
             FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 14}, {30, 30}}, FontFamily -> "Georgia", 
             FontSize -> 34, FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> "\[RightGuillemet]", 
             CellGroupingRules -> {"SectionGrouping", 40}, MenuSortingValue -> 
             1300, MenuCommandKey -> "5", FontFamily -> "Georgia", FontSize -> 
             22, FontWeight -> Plain, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{80, 60}, {12, 20}}, FontSize -> 25], 
            Cell[
             StyleData["Subsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[RightGuillemet]", 
             MenuSortingValue -> 1400, MenuCommandKey -> "6", FontFamily -> 
             "Georgia", FontSize -> 20, FontWeight -> Plain, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{88, 60}, {0, 12}}, FontSize -> 22], 
            Cell[
             StyleData["Subsubsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "MoreExamplesSection", StyleDefinitions -> 
              StyleData["Subsubsection"]], CellDingbat -> None, 
             ShowGroupOpener -> True, 
             CellGroupingRules -> {"SectionGrouping", 45}, MenuSortingValue -> 
             2100, FontColor -> RGBColor[0.636862, 0.0564706, 0.]], 
            Cell[
             StyleData["MoreExamplesSection", "Presentation"], 
             CellMargins -> {{88, 60}, {20, 12}}], 
            Cell[
             StyleData["MoreExamplesSection", "SlideShow"], 
             CellMargins -> {{88, 60}, {20, 
              12}}, $CellContext`WholeCellGroupOpener -> True]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], MenuSortingValue -> 2000, MenuCommandKey -> 
             "7", FontFamily -> "Georgia", FontSize -> 18], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{80, 20}, {12, 12}}, LineSpacing -> {1.25, 1}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["Text", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MathCaption"], MenuSortingValue -> 2010, 
             MenuCommandKey -> "8", FontFamily -> "Georgia", FontSize -> 18, 
             FontColor -> GrayLevel[0]], 
            Cell[
             StyleData["MathCaption", "Presentation"], 
             CellMargins -> {{120, 12}, {6, 34}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 20], 
            Cell[
             StyleData["MathCaption", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "IntegrationMathCaption", StyleDefinitions -> 
              StyleData["MathCaption"]], CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Integration", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["IntegrationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}, FontSize -> 20], 
            Cell[
             StyleData["IntegrationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "AutomationMathCaption", StyleDefinitions -> 
              StyleData["IntegrationMathCaption"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Automation", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["AutomationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 20], 
            Cell[
             StyleData["AutomationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Comment", StyleDefinitions -> StyleData["Text"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Comment", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[1., 0.647059, 0], BoxFrame -> 1, 
                  FrameStyle -> RGBColor[1., 0.647059, 0], 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}, 
             MenuSortingValue -> 2200, FontSize -> 14], 
            Cell[
             StyleData["Comment", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16], 
            Cell[
             StyleData["Comment", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16]}, Closed]], 
         
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], 
             CellMargins -> {{60, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             MenuSortingValue -> 1700, 
             UnderoverscriptBoxOptions -> {
              LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
             True], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{120, Inherited}, {
               1.75 Inherited, 1.75 Inherited}}, LineSpacing -> {1, 5}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["DisplayFormula", "SlideShow"]]}, Closed]]}, Closed]], 
      
      Cell[
       CellGroupData[{
         Cell["Styles for Items", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2700, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["Item", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemParagraph"], MenuSortingValue -> 2710, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{120, 90}, {12, 12}}, LineSpacing -> {1.25, 0}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["ItemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2720, FontFamily -> "Georgia", FontSize -> 
             18, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["ItemNumbered", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2730, FontFamily -> 
             "Georgia", FontSize -> 16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 21], 
            Cell[
             StyleData["Subitem", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemParagraph"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2740, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"], 
             CellMargins -> {{136, 90}, {10, 8}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2750, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemNumbered", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input and Output", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], MenuSortingValue -> 2020, MenuCommandKey -> 
             "9", FontSize -> 18], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Input", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], 
             CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
             LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 9, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6]], 
            Cell[
             StyleData["CellLabel", "Presentation"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "SlideShow"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShort"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShortInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLong"], FontFamily -> "Helvetica", 
             FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLongInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], MenuSortingValue -> 2030, FontSize -> 18], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Output", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], FontSize -> 18], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Print", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["MSG"], FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles of Links", "Section"], 
         Cell[
          StyleData["Link", "SlideShow"], FontSize -> 21], 
         Cell[
          StyleData["SearchLink", StyleDefinitions -> StyleData["Link"]]], 
         Cell[
          StyleData["FunctionLink"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Special Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Picture"], CellMargins -> {{100, 100}, {20, 20}}, 
             ShowStringCharacters -> False, MenuSortingValue -> 5000, 
             Magnification -> 1], 
            Cell[
             StyleData["Picture", "Presentation"], 
             CellMargins -> {{100, 100}, {20, 20}}, Magnification -> 1], 
            Cell[
             StyleData["Picture", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "PictureCaption", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> "\[FilledUpTriangle]", 
             CellMargins -> {{114, 100}, {15, 4}}, ShowStringCharacters -> 
             False, MenuSortingValue -> 5100, FontSize -> 14, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["PictureCaption", "Presentation"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16], 
            Cell[
             StyleData["PictureCaption", "SlideShow"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewTitle"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "Presentation"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewSection"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "Presentation"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChapterTagline"], CellMargins -> {{60, 90}, {15, 0}}, 
             MenuSortingValue -> 2420, FontFamily -> "Georgia", FontSize -> 
             20, FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["ChapterTagline", "Presentation"], 
             CellMargins -> {{90, 90}, {15, 0}}, FontSize -> 24], 
            Cell[
             StyleData["ChapterTagline", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["PlotLabel"], FontFamily -> "Helvetica", FontSize -> 14], 
         
         Cell[
          StyleData["NonPrintButton"], 
          CellMargins -> {{128, Inherited}, {16, 0}}, FontFamily -> 
          "Helvetica", FontSize -> 12, FontColor -> GrayLevel[1], 
          ButtonBoxOptions -> {
           Background -> RGBColor[0.811765, 0.117647, 0.145098], 
            ButtonMargins -> 4}], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"]], 
            Cell[
             StyleData["Program", "SlideShow"], 
             CellMargins -> {{116, 48}, {16, 16}}, FontSize -> 18]}, 
           Closed]]}, Closed]]}, Open]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, 2011)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[612, 23, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[85170, 1544, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[87812, 1636, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[90171, 1720, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[93306, 1830, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[98393, 2002, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[100439, 2083, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[154529, 3087, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[157641, 3185, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[162208, 3324, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[165075, 3422, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[166813, 3490, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[171768, 3655, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[175597, 3769, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[183886, 4021, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[186811, 4114, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[193522, 4322, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[200956, 4537, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[203339, 4619, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[205015, 4681, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[266728, 5967, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[287188, 6463, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[311628, 7052, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[314782, 7155, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[337078, 7658, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[344653, 7871, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[346327, 7923, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[349934, 8040, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[354195, 8166, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[356511, 8261, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[360056, 8384, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[362957, 8471, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[364754, 8542, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[370708, 8734, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[374125, 8832, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[376516, 8913, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[381920, 9092, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[386359, 9223, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[394576, 9447, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[401960, 9669, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[404259, 9748, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[407592, 9853, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[412555, 10002, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[416296, 10097, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[419300, 10212, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[424930, 10376, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[460282, 11140, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[470972, 11471, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[474756, 11590, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[479215, 11726, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[482869, 11849, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]},
 "Functions"->{
  Cell[94016, 1855, 809, 30, 69, "DisplayFormula",
   CellTags->"Functions"],
  Cell[98683, 2016, 378, 12, 40, "Input",
   CellTags->"Functions"],
  Cell[99194, 2036, 127, 3, 40, "Input",
   CellTags->"Functions"],
  Cell[100754, 2097, 1269, 42, 68, "Input",
   CellTags->"Functions"],
  Cell[155212, 3110, 1776, 51, 71, "Input",
   CellTags->"Functions"],
  Cell[157426, 3176, 166, 3, 40, "Input",
   CellTags->"Functions"],
  Cell[158389, 3213, 1740, 48, 67, "Input",
   CellTags->"Functions"],
  Cell[160495, 3274, 223, 5, 40, "Input",
   CellTags->"Functions"],
  Cell[161073, 3289, 1086, 29, 95, "Input",
   CellTags->"Functions"],
  Cell[273069, 6117, 95, 1, 65, "MathCaption",
   CellTags->"Functions"],
  Cell[273167, 6120, 8320, 212, 110, "Picture",
   CellTags->"Functions"],
  Cell[291489, 6577, 298, 8, 96, "MathCaption",
   CellTags->"Functions"],
  Cell[291790, 6587, 13798, 307, 174, "Picture",
   CellTags->"Functions"],
  Cell[339371, 7731, 322, 8, 65, "MathCaption",
   CellTags->"Functions"],
  Cell[359109, 8350, 403, 11, 130, "MathCaption",
   CellTags->"Functions"],
  Cell[361181, 8415, 185, 4, 66, "MathCaption",
   CellTags->"Functions"],
  Cell[363769, 8503, 405, 14, 95, "MathCaption",
   CellTags->"Functions"],
  Cell[366860, 8612, 259, 9, 65, "MathCaption",
   CellTags->"Functions"],
  Cell[368800, 8673, 258, 8, 65, "MathCaption",
   CellTags->"Functions"],
  Cell[372998, 8792, 461, 12, 65, "MathCaption",
   CellTags->"Functions"],
  Cell[375150, 8867, 599, 16, 95, "MathCaption",
   CellTags->"Functions"],
  Cell[385839, 9204, 281, 7, 65, "MathCaption",
   CellTags->"Functions"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 517767, 12641},
 {"Functions", 522373, 12744}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[612, 23, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[679, 26, 223, 7, 172, "Title"],
Cell[905, 35, 169, 6, 156, "Subtitle"],
Cell[CellGroupData[{
Cell[1099, 45, 5565, 137, 408, "Input"],
Cell[6667, 184, 77925, 1329, 187, "Output"]
}, {2}]],
Cell[CellGroupData[{
Cell[84626, 1518, 124, 4, 191, "Subsubtitle"],
Cell[84753, 1524, 368, 14, 64, "DateSection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[85170, 1544, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[85259, 1549, 74, 1, 98, "Section"],
Cell[85336, 1552, 244, 6, 46, "Text"],
Cell[CellGroupData[{
Cell[85605, 1562, 298, 7, 47, "Item"],
Cell[85906, 1571, 278, 6, 48, "Item"]
}, Open  ]],
Cell[86199, 1580, 18, 0, 23, "Spacer"],
Cell[86220, 1582, 144, 5, 48, "Text"],
Cell[86367, 1589, 247, 5, 48, "Text"],
Cell[CellGroupData[{
Cell[86639, 1598, 423, 12, 48, "Item"],
Cell[87065, 1612, 388, 8, 48, "Item"],
Cell[87456, 1622, 295, 7, 48, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[87812, 1636, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[87901, 1641, 146, 2, 99, "Section"],
Cell[88050, 1645, 245, 4, 79, "Text"],
Cell[88298, 1651, 507, 19, 63, "DisplayFormula"],
Cell[88808, 1672, 297, 9, 48, "Text"],
Cell[89108, 1683, 647, 18, 39, "Input"],
Cell[89758, 1703, 116, 4, 67, "MathCaption"],
Cell[89877, 1709, 245, 5, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[90171, 1720, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[90260, 1725, 66, 0, 99, "Section"],
Cell[90329, 1727, 439, 8, 79, "Text"],
Cell[90771, 1737, 225, 7, 40, "Input"],
Cell[90999, 1746, 124, 3, 67, "MathCaption"],
Cell[91126, 1751, 452, 15, 40, "Input"],
Cell[91581, 1768, 876, 30, 40, "Input"],
Cell[92460, 1800, 251, 6, 68, "MathCaption"],
Cell[92714, 1808, 543, 16, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[93306, 1830, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[93395, 1835, 246, 4, 99, "Section"],
Cell[93644, 1841, 369, 12, 79, "Text"],
Cell[94016, 1855, 809, 30, 69, "DisplayFormula",
 CellTags->"Functions"],
Cell[94828, 1887, 511, 22, 48, "Text"],
Cell[95342, 1911, 1475, 41, 63, "DisplayFormula"],
Cell[96820, 1954, 711, 16, 67, "MathCaption"],
Cell[97534, 1972, 810, 24, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[98393, 2002, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[98482, 2007, 60, 0, 99, "Section"],
Cell[98545, 2009, 135, 5, 48, "Text"],
Cell[98683, 2016, 378, 12, 40, "Input",
 CellTags->"Functions"],
Cell[99064, 2030, 127, 4, 67, "MathCaption"],
Cell[99194, 2036, 127, 3, 40, "Input",
 CellTags->"Functions"],
Cell[99324, 2041, 219, 8, 67, "MathCaption"],
Cell[99546, 2051, 844, 26, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[100439, 2083, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[100528, 2088, 60, 0, 99, "Section"],
Cell[100591, 2090, 160, 5, 48, "Text"],
Cell[100754, 2097, 1269, 42, 68, "Input",
 CellTags->"Functions"],
Cell[102026, 2141, 77, 0, 67, "MathCaption"],
Cell[102106, 2143, 49889, 869, 425, "Picture"],
Cell[151998, 3014, 2482, 67, 101, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[154529, 3087, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[154618, 3092, 177, 2, 99, "Section"],
Cell[154798, 3096, 411, 12, 48, "Text"],
Cell[155212, 3110, 1776, 51, 71, "Input",
 CellTags->"Functions"],
Cell[156991, 3163, 432, 11, 70, "MathCaption"],
Cell[157426, 3176, 166, 3, 40, "Input",
 CellTags->"Functions"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[157641, 3185, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[157730, 3190, 123, 4, 99, "Section"],
Cell[157856, 3196, 530, 15, 48, "Text"],
Cell[158389, 3213, 1740, 48, 67, "Input",
 CellTags->"Functions"],
Cell[160132, 3263, 360, 9, 67, "MathCaption"],
Cell[160495, 3274, 223, 5, 40, "Input",
 CellTags->"Functions"],
Cell[160721, 3281, 349, 6, 67, "MathCaption"],
Cell[161073, 3289, 1086, 29, 95, "Input",
 CellTags->"Functions"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[162208, 3324, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[162297, 3329, 103, 1, 99, "Section"],
Cell[162403, 3332, 170, 5, 48, "Text"],
Cell[CellGroupData[{
Cell[162598, 3341, 364, 8, 48, "Item"],
Cell[162965, 3351, 418, 9, 48, "Item"],
Cell[163386, 3362, 218, 7, 48, "Item"],
Cell[163607, 3371, 441, 10, 48, "Item"],
Cell[164051, 3383, 481, 15, 48, "Item"],
Cell[164535, 3400, 479, 15, 48, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[165075, 3422, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[165164, 3427, 128, 1, 99, "Section"],
Cell[165295, 3430, 293, 9, 48, "Text"],
Cell[165591, 3441, 559, 19, 40, "Input"],
Cell[166153, 3462, 75, 1, 40, "Input"],
Cell[166231, 3465, 75, 1, 40, "Input"],
Cell[166309, 3468, 312, 10, 98, "MathCaption"],
Cell[166624, 3480, 75, 1, 40, "Input"],
Cell[166702, 3483, 62, 1, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[166813, 3490, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[166902, 3495, 227, 3, 99, "Section"],
Cell[167132, 3500, 354, 11, 79, "Text"],
Cell[167489, 3513, 660, 22, 69, "DisplayFormula"],
Cell[168152, 3537, 117, 2, 48, "Text"],
Cell[168272, 3541, 206, 7, 38, "DisplayFormula"],
Cell[168481, 3550, 125, 4, 67, "MathCaption"],
Cell[168609, 3556, 2785, 82, 141, "Input"],
Cell[171397, 3640, 100, 2, 67, "MathCaption"],
Cell[171500, 3644, 219, 5, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[171768, 3655, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[171857, 3660, 224, 3, 99, "Section"],
Cell[172084, 3665, 255, 7, 48, "Text"],
Cell[172342, 3674, 708, 22, 69, "DisplayFormula"],
Cell[173053, 3698, 590, 11, 67, "MathCaption"],
Cell[173646, 3711, 1902, 52, 113, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[175597, 3769, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[175686, 3774, 218, 3, 99, "Section"],
Cell[175907, 3779, 377, 12, 79, "Text"],
Cell[176287, 3793, 2173, 61, 71, "Input"],
Cell[178463, 3856, 150, 5, 67, "MathCaption"],
Cell[178616, 3863, 2535, 72, 107, "Input"],
Cell[181154, 3937, 152, 4, 67, "MathCaption"],
Cell[181309, 3943, 2528, 72, 107, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[183886, 4021, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[183975, 4026, 103, 1, 99, "Section"],
Cell[184081, 4029, 525, 10, 48, "Text"],
Cell[CellGroupData[{
Cell[184631, 4043, 282, 6, 48, "Item"],
Cell[184916, 4051, 313, 8, 48, "Item"],
Cell[185232, 4061, 347, 8, 48, "Item"],
Cell[185582, 4071, 349, 8, 48, "Item"],
Cell[185934, 4081, 559, 16, 48, "Item"],
Cell[186496, 4099, 254, 8, 48, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[186811, 4114, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[186900, 4119, 124, 1, 99, "Section"],
Cell[187027, 4122, 152, 4, 48, "Text"],
Cell[187182, 4128, 2050, 59, 71, "Input"],
Cell[189235, 4189, 2319, 68, 107, "Input"],
Cell[191557, 4259, 208, 8, 67, "MathCaption"],
Cell[191768, 4269, 1705, 47, 113, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[193522, 4322, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[193611, 4327, 52, 0, 99, "Section"],
Cell[193666, 4329, 1069, 21, 79, "Text"],
Cell[194738, 4352, 1800, 51, 75, "Input"],
Cell[196541, 4405, 1800, 51, 75, "Input"],
Cell[198344, 4458, 457, 11, 67, "MathCaption"],
Cell[198804, 4471, 1977, 56, 113, "Input"],
Cell[200784, 4529, 123, 2, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200956, 4537, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[201045, 4542, 111, 1, 99, "Section"],
Cell[201159, 4545, 234, 8, 48, "Text"],
Cell[201396, 4555, 690, 20, 40, "Input"],
Cell[202089, 4577, 263, 7, 67, "MathCaption"],
Cell[202355, 4586, 935, 27, 68, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[203339, 4619, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[203428, 4624, 54, 0, 99, "Section"],
Cell[203485, 4626, 334, 12, 48, "Text"],
Cell[203822, 4640, 768, 23, 68, "Input"],
Cell[204593, 4665, 185, 4, 40, "Input"],
Cell[204781, 4671, 185, 4, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[205015, 4681, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[205104, 4686, 155, 2, 99, "Section"],
Cell[205262, 4690, 95, 2, 48, "Text"],
Cell[CellGroupData[{
Cell[205382, 4696, 91, 1, 48, "Item"],
Cell[205476, 4699, 11439, 268, 110, "Picture"]
}, Open  ]],
Cell[216930, 4970, 18, 0, 23, "Spacer"],
Cell[CellGroupData[{
Cell[216973, 4974, 93, 1, 48, "Item"],
Cell[217069, 4977, 17073, 352, 182, "Picture"]
}, Open  ]],
Cell[234157, 5332, 18, 0, 23, "Spacer"],
Cell[CellGroupData[{
Cell[234200, 5336, 93, 1, 48, "Item"],
Cell[234296, 5339, 19774, 379, 164, "Picture"]
}, Open  ]],
Cell[254085, 5721, 18, 0, 23, "Spacer"],
Cell[CellGroupData[{
Cell[254128, 5725, 98, 1, 48, "Item"],
Cell[254229, 5728, 12417, 230, 178, "Picture"]
}, Open  ]],
Cell[266661, 5961, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[266728, 5967, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[266817, 5972, 114, 1, 98, "Section"],
Cell[266934, 5975, 1089, 17, 75, "Text"],
Cell[268026, 5994, 5040, 121, 94, "Input"],
Cell[273069, 6117, 95, 1, 65, "MathCaption",
 CellTags->"Functions"],
Cell[273167, 6120, 8320, 212, 110, "Picture",
 CellTags->"Functions"],
Cell[281490, 6334, 5649, 123, 139, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[287188, 6463, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[287277, 6468, 167, 2, 98, "Section"],
Cell[287447, 6472, 1097, 19, 75, "Text"],
Cell[288547, 6493, 2939, 82, 65, "Input"],
Cell[291489, 6577, 298, 8, 96, "MathCaption",
 CellTags->"Functions"],
Cell[291790, 6587, 13798, 307, 174, "Picture",
 CellTags->"Functions"],
Cell[305591, 6896, 5988, 150, 216, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[311628, 7052, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[311717, 7057, 218, 3, 98, "Section"],
Cell[311938, 7062, 270, 6, 76, "Text"],
Cell[312211, 7070, 340, 11, 77, "Text"],
Cell[312554, 7083, 168, 5, 65, "MathCaption"],
Cell[312725, 7090, 172, 5, 70, "Input"],
Cell[312900, 7097, 1833, 52, 65, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[314782, 7155, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[314871, 7160, 218, 3, 98, "Section"],
Cell[315092, 7165, 102, 2, 46, "Text"],
Cell[315197, 7169, 249, 4, 75, "Text"],
Cell[315449, 7175, 15748, 331, 259, "Picture"],
Cell[331200, 7508, 5829, 144, 216, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[337078, 7658, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[337167, 7663, 52, 0, 98, "Section"],
Cell[337222, 7665, 516, 17, 75, "Text"],
Cell[337741, 7684, 1627, 45, 62, "Input"],
Cell[339371, 7731, 322, 8, 65, "MathCaption",
 CellTags->"Functions"],
Cell[339696, 7741, 4908, 124, 188, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[344653, 7871, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[344742, 7876, 294, 4, 98, "Section"],
Cell[345039, 7882, 89, 2, 46, "Text"],
Cell[CellGroupData[{
Cell[345153, 7888, 516, 11, 47, "Item"],
Cell[345672, 7901, 594, 15, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[346327, 7923, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[346416, 7928, 47, 0, 98, "Section"],
Cell[346466, 7930, 297, 9, 75, "Text"],
Cell[346766, 7941, 952, 29, 61, "Input"],
Cell[347721, 7972, 139, 4, 37, "Input"],
Cell[347863, 7978, 1787, 48, 129, "Input"],
Cell[349653, 8028, 232, 6, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[349934, 8040, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[350023, 8045, 45, 0, 98, "Section"],
Cell[350071, 8047, 926, 17, 46, "Text"],
Cell[351000, 8066, 1562, 44, 100, "Input"],
Cell[352565, 8112, 126, 2, 37, "Input"],
Cell[352694, 8116, 959, 29, 61, "Input"],
Cell[353656, 8147, 490, 13, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[354195, 8166, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[354284, 8171, 205, 3, 98, "Section"],
Cell[354492, 8176, 87, 2, 46, "Text"],
Cell[CellGroupData[{
Cell[354604, 8182, 153, 4, 47, "Item"],
Cell[354760, 8188, 385, 8, 47, "Item"],
Cell[355148, 8198, 141, 4, 47, "Item"]
}, Open  ]],
Cell[355304, 8205, 18, 0, 20, "Spacer"],
Cell[355325, 8207, 90, 2, 46, "Text"],
Cell[CellGroupData[{
Cell[355440, 8213, 177, 5, 47, "Item"],
Cell[355620, 8220, 294, 10, 47, "Item"]
}, Open  ]],
Cell[355929, 8233, 18, 0, 20, "Spacer"],
Cell[355950, 8235, 126, 4, 46, "Text"],
Cell[CellGroupData[{
Cell[356101, 8243, 160, 4, 47, "Item"],
Cell[356264, 8249, 186, 5, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[356511, 8261, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[356600, 8266, 48, 0, 98, "Section"],
Cell[356651, 8268, 138, 5, 46, "Text"],
Cell[356792, 8275, 393, 11, 47, "Text"],
Cell[357188, 8288, 346, 13, 66, "MathCaption"],
Cell[357537, 8303, 1569, 45, 68, "Input",
 CellID->278209330],
Cell[359109, 8350, 403, 11, 130, "MathCaption",
 CellTags->"Functions"],
Cell[359515, 8363, 492, 15, 65, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[360056, 8384, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[360145, 8389, 51, 0, 98, "Section"],
Cell[360199, 8391, 777, 14, 46, "Text"],
Cell[360979, 8407, 199, 6, 61, "Input",
 CellID->383331155],
Cell[361181, 8415, 185, 4, 66, "MathCaption",
 CellTags->"Functions"],
Cell[361369, 8421, 1539, 44, 68, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[362957, 8471, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[363046, 8476, 51, 0, 98, "Section"],
Cell[363100, 8478, 279, 7, 47, "Text"],
Cell[363382, 8487, 92, 2, 65, "MathCaption"],
Cell[363477, 8491, 289, 10, 67, "Input",
 CellID->102324399],
Cell[363769, 8503, 405, 14, 95, "MathCaption",
 CellTags->"Functions"],
Cell[364177, 8519, 528, 17, 64, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[364754, 8542, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[364843, 8547, 56, 0, 98, "Section"],
Cell[364902, 8549, 132, 3, 46, "Text"],
Cell[365037, 8554, 464, 16, 94, "MathCaption"],
Cell[365504, 8572, 1353, 38, 92, "Input"],
Cell[366860, 8612, 259, 9, 65, "MathCaption",
 CellTags->"Functions"],
Cell[367122, 8623, 1675, 48, 68, "Input"],
Cell[368800, 8673, 258, 8, 65, "MathCaption",
 CellTags->"Functions"],
Cell[369061, 8683, 1598, 45, 68, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[370708, 8734, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[370797, 8739, 53, 0, 98, "Section"],
Cell[370853, 8741, 1240, 19, 46, "Text"],
Cell[372096, 8762, 899, 28, 67, "Input"],
Cell[372998, 8792, 461, 12, 65, "MathCaption",
 CellTags->"Functions"],
Cell[373462, 8806, 614, 20, 67, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[374125, 8832, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[374214, 8837, 116, 1, 98, "Section"],
Cell[374333, 8840, 202, 5, 46, "Text"],
Cell[374538, 8847, 609, 18, 74, "Input"],
Cell[375150, 8867, 599, 16, 95, "MathCaption",
 CellTags->"Functions"],
Cell[375752, 8885, 434, 14, 37, "Input"],
Cell[376189, 8901, 278, 6, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[376516, 8913, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[376605, 8918, 160, 2, 98, "Section"],
Cell[376768, 8922, 180, 5, 47, "Text"],
Cell[CellGroupData[{
Cell[376973, 8931, 854, 26, 49, "Item"],
Cell[377830, 8959, 821, 27, 133, "Item"],
Cell[378654, 8988, 1170, 31, 49, "Item"],
Cell[379827, 9021, 790, 22, 60, "Item"],
Cell[380620, 9045, 762, 22, 60, "Item"],
Cell[381385, 9069, 155, 4, 47, "Item"],
Cell[381543, 9075, 151, 4, 47, "Item"],
Cell[381697, 9081, 162, 4, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[381920, 9092, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[382009, 9097, 95, 2, 98, "Section"],
Cell[382107, 9101, 992, 20, 75, "Text"],
Cell[383102, 9123, 2084, 57, 91, "Input"],
Cell[385189, 9182, 323, 9, 61, "Input"],
Cell[385515, 9193, 321, 9, 61, "Input"],
Cell[385839, 9204, 281, 7, 65, "MathCaption",
 CellTags->"Functions"],
Cell[386123, 9213, 187, 4, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[386359, 9223, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[386448, 9228, 95, 2, 98, "Section"],
Cell[386546, 9232, 292, 5, 75, "Text"],
Cell[386841, 9239, 2249, 61, 114, "Input"],
Cell[389093, 9302, 819, 11, 65, "MathCaption"],
Cell[389915, 9315, 2326, 62, 114, "Input"],
Cell[392244, 9379, 138, 1, 65, "MathCaption"],
Cell[392385, 9382, 2142, 59, 203, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[394576, 9447, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[394665, 9452, 92, 2, 98, "Section"],
Cell[394760, 9456, 331, 12, 46, "Text"],
Cell[395094, 9470, 1584, 43, 62, "Input"],
Cell[396681, 9515, 1736, 48, 85, "Input"],
Cell[398420, 9565, 1744, 48, 85, "Input"],
Cell[400167, 9615, 1744, 48, 85, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[401960, 9669, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[402049, 9674, 219, 3, 98, "Section"],
Cell[402271, 9679, 757, 15, 46, "Text"],
Cell[CellGroupData[{
Cell[403053, 9698, 218, 7, 47, "Item"],
Cell[403274, 9707, 214, 7, 47, "Item"],
Cell[403491, 9716, 230, 7, 47, "Item"],
Cell[403724, 9725, 255, 7, 47, "Item"],
Cell[403982, 9734, 216, 7, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[404259, 9748, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[404348, 9753, 97, 2, 98, "Section"],
Cell[404448, 9757, 1047, 21, 75, "Text"],
Cell[405498, 9780, 1220, 39, 62, "Input"],
Cell[406721, 9821, 240, 7, 39, "Input"],
Cell[406964, 9830, 262, 7, 39, "Input"],
Cell[407229, 9839, 167, 4, 65, "MathCaption"],
Cell[407399, 9845, 144, 2, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[407592, 9853, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[407681, 9858, 361, 6, 98, "Section"],
Cell[408045, 9866, 460, 13, 103, "Text"],
Cell[408508, 9881, 716, 24, 37, "Input"],
Cell[409227, 9907, 259, 7, 37, "Input"],
Cell[409489, 9916, 316, 8, 37, "Input"],
Cell[409808, 9926, 416, 8, 65, "MathCaption"],
Cell[410227, 9936, 2279, 60, 188, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[412555, 10002, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[412644, 10007, 394, 5, 98, "Section"],
Cell[413041, 10014, 1263, 23, 103, "Text"],
Cell[414307, 10039, 1940, 52, 131, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[416296, 10097, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[416385, 10102, 259, 3, 98, "Section"],
Cell[416647, 10107, 146, 4, 46, "Text"],
Cell[CellGroupData[{
Cell[416818, 10115, 187, 5, 47, "Item"],
Cell[417008, 10122, 172, 5, 47, "Item"],
Cell[417183, 10129, 190, 5, 47, "Item"],
Cell[417376, 10136, 228, 5, 80, "Item"],
Cell[417607, 10143, 196, 5, 47, "Item"],
Cell[417806, 10150, 159, 4, 47, "Item"],
Cell[417968, 10156, 160, 4, 47, "Item"]
}, Open  ]],
Cell[418143, 10163, 18, 0, 20, "Spacer"],
Cell[418164, 10165, 85, 2, 46, "Text"],
Cell[CellGroupData[{
Cell[418274, 10171, 223, 7, 47, "Item"],
Cell[418500, 10180, 232, 7, 47, "Item"],
Cell[418735, 10189, 239, 7, 47, "Item"],
Cell[418977, 10198, 262, 7, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[419300, 10212, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[419389, 10217, 57, 0, 98, "Section"],
Cell[419449, 10219, 739, 29, 76, "Text"],
Cell[420191, 10250, 950, 29, 37, "Input"],
Cell[421144, 10281, 1037, 17, 66, "MathCaption"],
Cell[422184, 10300, 2697, 70, 138, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[424930, 10376, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[425019, 10381, 133, 1, 98, "Section"],
Cell[425155, 10384, 68, 0, 47, "Text"],
Cell[CellGroupData[{
Cell[425248, 10388, 674, 18, 37, "Input"],
Cell[425925, 10408, 991, 30, 69, "Output"]
}, Open  ]],
Cell[426931, 10441, 839, 23, 107, "Input"],
Cell[427773, 10466, 944, 22, 63, "Input"],
Cell[CellGroupData[{
Cell[428742, 10492, 13655, 311, 192, "Input",
 CellID->198217760],
Cell[442400, 10805, 17803, 326, 569, "Output"]
}, {2}]],
Cell[460215, 11134, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[460282, 11140, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[460371, 11145, 56, 0, 98, "Section"],
Cell[460430, 11147, 502, 20, 75, "Text"],
Cell[460935, 11169, 756, 22, 63, "DisplayFormula",
 CellID->588972791],
Cell[461694, 11193, 492, 15, 96, "MathCaption"],
Cell[462189, 11210, 775, 24, 63, "DisplayFormula"],
Cell[462967, 11236, 2675, 77, 234, "Input",
 CellID->507714858],
Cell[465645, 11315, 619, 18, 122, "MathCaption"],
Cell[466267, 11335, 4267, 114, 131, "Input"],
Cell[470537, 11451, 18, 0, 20, "Spacer"],
Cell[470558, 11453, 344, 10, 75, "Text"],
Cell[470905, 11465, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[470972, 11471, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[471061, 11476, 56, 0, 98, "Section"],
Cell[471120, 11478, 549, 14, 103, "Text"],
Cell[471672, 11494, 2619, 76, 216, "Input"],
Cell[474294, 11572, 18, 0, 20, "Spacer"],
Cell[474315, 11574, 392, 10, 75, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[474756, 11590, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[474845, 11595, 458, 6, 98, "Section"],
Cell[475306, 11603, 1468, 31, 132, "Text"],
Cell[476777, 11636, 598, 17, 37, "Input"],
Cell[477378, 11655, 355, 12, 96, "MathCaption"],
Cell[477736, 11669, 1112, 39, 109, "Input"],
Cell[478851, 11710, 315, 10, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[479215, 11726, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[479304, 11731, 66, 0, 98, "Section"],
Cell[479373, 11733, 788, 22, 132, "Text"],
Cell[480164, 11757, 124, 3, 65, "MathCaption"],
Cell[480291, 11762, 1349, 44, 136, "Input"],
Cell[481643, 11808, 972, 29, 84, "Input"],
Cell[482618, 11839, 202, 4, 37, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[482869, 11849, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[482958, 11854, 28, 0, 98, "Section"],
Cell[482989, 11856, 251, 6, 75, "Text"],
Cell[CellGroupData[{
Cell[483265, 11866, 289, 5, 48, "Item"],
Cell[483557, 11873, 214, 4, 48, "Item"],
Cell[483774, 11879, 271, 4, 48, "Item"]
}, Open  ]],
Cell[484060, 11886, 18, 0, 20, "Spacer"],
Cell[484081, 11888, 659, 18, 46, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
